commit 3e63f54fa35b6d908be7c2baaeafa29fb6743163
Author: David King <amigadave@amigadave.com>
Date:   Sat Aug 29 10:56:14 2015 +0100

    Update NEWS for 2.4.0 release

M	NEWS
M	SOURCES
M	configure.ac

commit b43b26c5fa1c3f6278002d78639cc03c683805a6
Author: David King <amigadave@amigadave.com>
Date:	Sat Aug 29 10:53:34 2015 +0100

    Update British English translation

M	po/en_GB.po

commit ed08d1e203907c335680ccb72bed5328994bf138
Author: David King <amigadave@amigadave.com>
Date:	Sat Aug 29 09:21:46 2015 +0100

    Link to help.gnome.org on Windows

M	src/application.c

commit 75dd55b74c34a6ff7db950333551ce060b4237bf
Author: David King <amigadave@amigadave.com>
Date:	Sat Aug 29 09:17:34 2015 +0100

    Update locale list in Windows installer

M	easytag-win32-installer.nsi.in

commit 7aa6796774db9762a651cc0e47fca99d3614b829
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:	Thu Aug 27 08:49:31 2015 +0000

    Added Portuguese translation

M	po/LINGUAS
A	po/pt.po

commit 2831b9d38469efca5c3ce2acb68801e7adb3ed42
Author: David King <amigadave@amigadave.com>
Date:	Tue Aug 25 10:48:45 2015 +0100

    Remove extra terminating semicolons

M	src/file_list.c
M	src/file_name.c
M	src/scan_dialog.c

commit 00b2d93082e779121c16bf7d634497027128d919
Author: David King <amigadave@amigadave.com>
Date:	Mon Aug 24 21:59:21 2015 +0100

    Avoid a crash when deleting files

    Fix GList usage in ET_Remove_File_From_File_List(), which was
    broken in
    commit 6e7d4ab8dd2a0a96f320f9581f2df129c8324d5c, by passing the data
    pointer (not the GList pointer) to g_list_remove(). Additionally, drop
    some bogus g_list_free() calls left over from the old commit.

    https://bugzilla.redhat.com/show_bug.cgi?id=1252925

M	src/file_list.c

commit dfc61ce2bdde7204d869dc07e3b2bb1a90865753
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Tue Aug 11 00:26:19 2015 +0200

    Fix previous commit

M	po/bs.po
M	po/cs.po
M	po/de.po
M	po/es.po
M	po/fr.po
M	po/pl.po
M	po/pt_BR.po
M	po/sr.po
M	po/sr@latin.po
M	po/tr.po

commit 949327a16f29fccc9004c456c019177fb0c0d149
Author: David King <amigadave@amigadave.com>
Date:	Mon Aug 10 14:37:54 2015 +0100

    Fix disc number format specifier

    https://mail.gnome.org/archives/easytag-list/2015-August/msg00006.html

M	data/scan_dialog.ui
M	po/bs.po
M	po/ca.po
M	po/cs.po
M	po/de.po
M	po/en_GB.po
M	po/es.po
M	po/fr.po
M	po/hu.po
M	po/nb.po
M	po/pl.po
M	po/pt_BR.po
M	po/sr.po
M	po/sr@latin.po
M	po/tr.po

commit 7f26078fc55d9dde8c9ccd0cad7d3210a8390bf4
Author: David King <amigadave@amigadave.com>
Date:	Thu Jul 30 08:57:51 2015 +0100

    Improve handling of empty images within tags

    Skip over empty images when displaying them in the image tree view, to
    avoid a crash when trying to load a pixbuf from an empty buffer.

    https://bugzilla.redhat.com/show_bug.cgi?id=1248194

M	src/tag_area.c

commit 0d265c866d29c541e4c1d3c32e3995503a72c0a2
Author: David King <amigadave@amigadave.com>
Date:	Wed Jul 29 23:39:36 2015 +0100

    Improve handling of empty image files

    Raise an error, avoiding a crash, when an image file is empty.

    https://bugzilla.redhat.com/show_bug.cgi?id=1248194

M	src/picture.c

commit c0f62085e14f8f1cb9c96d1a87a02c48dd62e044
Author: Wolfgang Stöggl <c72578@yahoo.de>
Date:	Fri Jul 24 18:40:54 2015 +0000

    Updated German translation

M	po/de.po

commit e62dab45b8070dc5461fa7b23d2c457fb01bd21b
Author: David King <amigadave@amigadave.com>
Date:	Fri Jul 17 17:55:20 2015 +0100

    Allow the CDDB search entry to expand horizontally

M	data/cddb_dialog.ui

commit 37d5a1d95ea63687b75fbfd6b78504ffcb042ea8
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Wed Jul 15 17:42:33 2015 +0200

    Updated Spanish translation

M	po/es.po

commit 0e3a7f56989e9d20298cd1e82f26dd30e0a587a7
Author: David King <amigadave@amigadave.com>
Date:	Sun Jul 12 09:24:45 2015 +0100

    Do not pile up GError in ID3 tag writer

M	src/tags/id3_tag.c

commit 63068da2b97fc7f38b4b317bc4fd13995d5aee19
Author: David King <amigadave@amigadave.com>
Date:	Sun Jul 12 09:04:58 2015 +0100

    Remove a dialog in the ID3 tag writer

    Return the error to the calling code instead, removing a FIXME in the
    process.

M	src/tags/id3_tag.c

commit 3a8dac6eb061d77b2d6d48ab24ae895773c351f1
Author: David King <amigadave@amigadave.com>
Date:	Sun Jul 12 09:02:56 2015 +0100

    Remove some unnecessary include directives

M	src/browser.c
M	src/picture.c
M	src/tags/ape_tag.c
M	src/tags/flac_tag.c
M	src/tags/id3v24_tag.c
M	src/tags/ogg_tag.c
M	src/tags/opus_header.c
M	src/tags/opus_tag.c
M	src/tags/wavpack_header.c
M	src/tags/wavpack_tag.c

commit aeda2dfb6a2cad51fca83bbf6d4e51f8a764100c
Author: David King <amigadave@amigadave.com>
Date:	Thu Jul 9 09:32:48 2015 +0100

    Fix unused variable warning in CDDB dialog

    https://mail.gnome.org/archives/easytag-list/2015-July/msg00000.html

M	src/cddb_dialog.c

commit 4b840f34ae5e05a479d5d3664e87057564584113
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	Mon Jul 6 06:53:25 2015 +0200

    Initial Hungarian help translation added

A	help/hu/hu.po

commit 01568516a3ee14430512b0adef2b1880a95c6381
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	Mon Jul 6 06:52:30 2015 +0200

    Added hu to HELP_LINGUAS

M	help/Makefile.am

commit 7624aea49ca94c2073858d74502fa88fb7ba6cb4
Author: Gábor Kelemen <kelemeng@openscope.org>
Date:	Fri Jul 3 08:07:55 2015 +0000

    Updated Hungarian translation

M	po/hu.po

commit 4f2daf8860378b2903d078d054adc452d516835c
Author: David King <amigadave@amigadave.com>
Date:	Wed Jul 1 09:20:04 2015 +0100

    Do not stop searching when closing the CDDB dialog

    When the close response is emitted on the CDDB dialog, a boolean
    flag is
    set to stop searching. However, if a search is not running, the next
    search is stopped, as is every subsequent search.

    Change the close response handling to leave the flag unchanged.

    https://bugzilla.redhat.com/show_bug.cgi?id=1238042

M	src/cddb_dialog.c

commit 89461056b03a384ce0d2d7eedcc85dcdeeaccf3d
Author: David King <amigadave@amigadave.com>
Date:	Tue Jun 30 17:53:52 2015 +0100

    Do not scroll the log if the message is visible

    Fix a TODO in Log_List_Set_Row_Visible().

M	src/log.c

commit 23ce98865177a48bc1578af878a718c07e4e2449
Author: David King <amigadave@amigadave.com>
Date:	Tue Jun 30 17:52:26 2015 +0100

    Add for loop condition to File_Tag check

    Avoid a crash when checking the difference between two files without
    images.

M	src/file_tag.c

commit ca5da8320ca5a6835a2fc3b95995df86999ae8c6
Author: David King <amigadave@amigadave.com>
Date:	Mon Jun 29 21:13:05 2015 +0100

    Add a test for et_picture_detect_difference()

M	tests/test-picture.c

commit 530058d4c56e688324f60349d28af4715dd63236
Author: David King <amigadave@amigadave.com>
Date:	Mon Jun 29 20:54:30 2015 +0100

    Use et_picture_detect_difference() in tests

M	Makefile.am
M	tests/test-picture.c

commit 7cafddad51ebe49ba893c69097ea53b8ebdc8c34
Author: David King <amigadave@amigadave.com>
Date:	Mon Jun 29 20:37:17 2015 +0100

    Factor out EtPicture comparison to new function

    Move the code to check for differences between two EtPicture instances
    into EtPicture from File_Tag.

M	src/file_tag.c
M	src/picture.c
M	src/picture.h

commit 5b8b18cec47adc98810cae4f709c496fe3449356
Author: David King <amigadave@amigadave.com>
Date:	Mon Jun 29 20:08:58 2015 +0100

    Remove obsolete GLib version check

    GTK+ 3.10 requires GLib 2.38, so a check for 2.35.1 is useless.

M	src/main.c

commit 645e2e14372c6b8f02f7510314e3b66e29977228
Author: David King <amigadave@amigadave.com>
Date:	Mon Jun 29 19:43:11 2015 +0100

    Remove obsolete FIXME in ET_Sort_File_List()

M	src/file_list.c

commit d3a1e8f68865e06025df7f4f4289352436b0892e
Author: David King <amigadave@amigadave.com>
Date:	Mon Jun 29 19:40:21 2015 +0100

    Slightly improve et_artist_album_list_add_file()

    Use g_list_insert_sorted() rather than an append followed by a sort.

M	src/file_list.c

commit 364ab39c9761989ee920b1fd0e439363b41bfcb8
Author: David King <amigadave@amigadave.com>
Date:	Mon Jun 29 19:14:02 2015 +0100

    Refactor Scan_Process_Fields_Functions()

    Remove a FIXME by using GSettings rather than relying on the state
    of UI
    elements.

M	src/scan_dialog.c

commit b9224a1d8775a8f5ebefb5b60a25270050909c6b
Author: David King <amigadave@amigadave.com>
Date:	Mon Jun 29 19:01:31 2015 +0100

    Check for an error when creating a temporary file

    Remove a FIXME in the TagLib GIO wrapper.

M	src/tags/gio_wrapper.cc

commit 3bd3305bb4dfa683b929e11b8cb75d3216fe1ff5
Author: David King <amigadave@amigadave.com>
Date:	Sun Jun 28 16:24:07 2015 +0100

    Store the main window horizontal paned position

    Track changes in the position of the horizontal paned which
    contains the
    browser and tag/file area. On application exit, save the position with
    reference to the unmaximized window state. Restore the paned
    position on
    startup.

    https://bugzilla.gnome.org/show_bug.cgi?id=739701

M	src/application_window.c

commit d02b53e6ff9addaa344053bd3925ba215101ec66
Author: David King <amigadave@amigadave.com>
Date:	Sun Jun 28 14:03:53 2015 +0100

    Fix memory leak when changing browser view mode

    A GVariant retrieved from an action group with
    g_action_group_get_action_state() must be unreffed.

M	src/application_window.c

commit 891b557f77f4285282babb6540f8d150f6b25883
Author: David King <amigadave@amigadave.com>
Date:	Sun Jun 28 14:00:40 2015 +0100

    Fix selection behaviour when saving files

    In file list view, when saving files, the selection was reset to the
    current file only. Fix this by bisecting the failure back to commit
    4d24235a57f68b619ed0a6f7933bf7b9f6306902. Reinstate the check in
    Save_List_Of_Files(), to only call
    et_application_window_browser_toggle_display_mode() if the current
    browser view mode is the album/artist view.

    https://bugzilla.gnome.org/show_bug.cgi?id=739758

M	src/easytag.c

commit 4414da092d64466c85240a6ba0a7f6df01df1254
Author: David King <amigadave@amigadave.com>
Date:	Wed Jun 24 16:27:40 2015 +0100

    Include missing scan dialog capitalize binding

    The option to capitalize the first letter of each word in a field was
    not bound to a GSetting.

    https://mail.gnome.org/archives/easytag-list/2015-June/msg00006.html

M	src/scan_dialog.c

commit 2330fa34ec0c6163aa8f47f5d75a36589234715b
Author: David King <amigadave@amigadave.com>
Date:	Mon Jun 15 05:51:25 2015 +0100

    Fix crash when failing to read FLAC headers

    Ensure that the GError passed to g_file_read() has been initialized.

    https://bugzilla.redhat.com/show_bug.cgi?id=1231502

M	src/tags/flac_header.c

commit 49b316aa6c8e91290f9188c88b22bacd630cdb6f
Author: David King <amigadave@amigadave.com>
Date:	Sat Jun 13 22:34:17 2015 +0100

    Revert "Use GtkBuilder action-widgets for template dialogs"

    This reverts commit fb1758a471a9612b6a61e79a2dc975ddd8658625.

    Unfortunately, action-widgets support in GtkBuilder was only added in
    GTK+ 3.14, not 3.10 (which is the oldest version that EasyTAG
    supports).

    https://mail.gnome.org/archives/easytag-list/2015-June/msg00004.html

M	data/load_files_dialog.ui
M	data/playlist_dialog.ui
M	data/preferences_dialog.ui
M	data/scan_dialog.ui
M	src/load_files_dialog.c
M	src/playlist_dialog.c
M	src/preferences_dialog.c
M	src/scan_dialog.c

commit 5a910bac36a3b964371f9abd9b6fa62974e16203
Author: Gábor Kelemen <kelemeng@openscope.org>
Date:	Fri Jun 12 22:04:48 2015 +0000

    Updated Hungarian translation

M	po/hu.po

commit 2953a215980c32cf74adbf14ebbdb812cbeeb07f
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Thu Jun 11 11:21:32 2015 +0000

    Updated Spanish translation

M	po/es.po

commit 95e54b98baee2f9bb663dfe0f1bb126f4c7ccc79
Author: Muhammet Kara <muhammetk@gmail.com>
Date:	Tue Jun 9 17:43:19 2015 +0000

    Updated Turkish translation

M	po/tr.po

commit 59b980e065c5810b1abf214e3441084fc1f5b533
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Tue Jun 9 12:11:26 2015 +0000

    Updated Spanish translation

M	po/es.po

commit d1ca2a10518efccbc4a1613adf053c2710ce9b26
Author: David King <amigadave@amigadave.com>
Date:	Mon Jun 1 17:16:32 2015 +0100

    Fix file description test with missing tag support

    If support for a particular tag type is disabled, test that the
    file/tag
    type is tested against the unsupported type.

    https://bugzilla.gnome.org/show_bug.cgi?id=749983

M	tests/test-file_description.c

commit 6246b05fb6c62f45e96953156a166778ae550e5c
Author: Marek Černocký <marek@manet.cz>
Date:	Mon Jun 1 15:41:25 2015 +0200

    Updated Czech translation

M	help/cs/cs.po

commit 321fa49bb6cb1b473bab9caaca854749d3718b6f
Author: Marek Černocký <marek@manet.cz>
Date:	Mon Jun 1 15:41:20 2015 +0200

    Updated Czech translation

M	po/cs.po

commit de4d83785968cd4c71f537bcf79c28bc30e75d17
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Mon Jun 1 15:00:10 2015 +0200

    Updated Polish translation

M	po/pl.po

commit aaee6b0b1ab12f309c958d8c03724a1b3256fc6b
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	Mon Jun 1 12:53:34 2015 +0000

    Updated French translation

M	po/fr.po

commit 14975ad4f7905d7d7f064fd6b7e4fcf8e0586ca7
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	Mon Jun 1 12:51:55 2015 +0000

    Updated French translation

M	help/fr/fr.po

commit 8d12d669faa1f22c2718fb92c55359902b994938
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	Mon Jun 1 14:50:10 2015 +0200

    Add missing period in docs

M	help/C/tag-capitalization.page

commit 7ea0facd92fc3ed5552e7c1b91e137a123763ae5
Author: David King <amigadave@amigadave.com>
Date:	Mon Jun 1 13:22:05 2015 +0100

    Remove leading spaces in two translatable strings

    As requested by Alexandre Franke.

M	data/preferences_dialog.ui
M	data/scan_dialog.ui

commit 1dbf92faf0cb1080041f1d46587c5ad60354df45
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	Mon Jun 1 11:54:28 2015 +0000

    Updated French translation

M	po/fr.po

commit 9371cdeab2a24c07a0572c9fda36babc9f8c7209
Author: David King <amigadave@amigadave.com>
Date:	Sun May 31 21:32:57 2015 +0100

    Fix crash when pressing a key to change directory

    Use the correct signal handler for key-press-event on the directory
    browser tree view.

    https://bugzilla.redhat.com/show_bug.cgi?id=1226671

M	data/browser.ui

commit 500ddd0a34a072a54b72ed484c888cecfa615f86
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Fri May 29 08:21:32 2015 +0000

    Updated Spanish translation

M	po/es.po

commit da8cc98bfd936a7264e845ca127867e2b28f7be6
Author: Marek Černocký <marek@manet.cz>
Date:	Sat May 23 19:05:15 2015 +0200

    Updated Czech translation

M	po/cs.po

commit 821114e6849f02a6aa5f4f7076767088b6625d54
Author: Jordi Mas <jmas@softcatala.org>
Date:	Mon May 18 20:19:32 2015 +0200

    Fixes to Catalan translation

M	help/ca/ca.po

commit 4b1ad66211e14effb989aa9a65e5d707ac7d37ed
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Mon May 18 17:23:04 2015 +0200

    Updated Polish translation

M	po/pl.po

commit cd8b8f3dcca8091d400820a64d0082f8cc5bf0a3
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sun May 17 17:02:13 2015 +0200

    Updated Polish translation

M	po/pl.po

commit ed95422f96b0875fa272c4ede8f3dbd01a50c18b
Author: David King <amigadave@amigadave.com>
Date:	Sun May 17 11:04:02 2015 +0100

    Update NEWS for 2.3.7 release

M	NEWS
M	SOURCES
M	configure.ac

commit 25cab7dc17f3d725b7c5594c17ccd96acfb8ac6d
Author: David King <amigadave@amigadave.com>
Date:	Thu May 14 07:01:03 2015 +0200

    Use gtk_builder_new_from_resource()

M	src/application.c
M	src/application_window.c
M	src/browser.c
M	src/log.c
M	src/tag_area.c

commit fb1758a471a9612b6a61e79a2dc975ddd8658625
Author: David King <amigadave@amigadave.com>
Date:	Wed May 13 23:18:26 2015 +0700

    Use GtkBuilder action-widgets for template dialogs

M	data/load_files_dialog.ui
M	data/playlist_dialog.ui
M	data/preferences_dialog.ui
M	data/scan_dialog.ui
M	src/load_files_dialog.c
M	src/playlist_dialog.c
M	src/preferences_dialog.c
M	src/scan_dialog.c

commit 5f9e33e265083a604fad80717b3ee16adcde3488
Author: David King <amigadave@amigadave.com>
Date:	Wed May 13 20:00:20 2015 +0700

    Convert EtPreferencesDialog to a template widget

M	data/preferences_dialog.ui
M	src/preferences_dialog.c

commit ee5f5e207168b6170e35aaaea7c856a691467973
Author: David King <amigadave@amigadave.com>
Date:	Mon May 4 19:49:06 2015 +0100

    Convert EtScanDialog to a template widget

M	data/scan_dialog.ui
M	src/scan_dialog.c

commit 98cdc8d614aa8ac2a0e27dc968b7205dc27df621
Author: David King <amigadave@amigadave.com>
Date:	Sun May 3 22:05:19 2015 +0100

    Convert EtLoadFilesDialog to a template widget

M	data/load_files_dialog.ui
M	src/load_files_dialog.c

commit 1b03d98824602fb7845c10423afaa548725cd97d
Author: David King <amigadave@amigadave.com>
Date:	Sun May 3 17:27:31 2015 +0100

    Convert EtPlaylistDialog to a template widget

M	data/playlist_dialog.ui
M	src/playlist_dialog.c

commit 58c17a944041dadcc034c220cdb8c5fa652ab025
Author: David King <amigadave@amigadave.com>
Date:	Sun May 3 16:58:40 2015 +0100

    Convert EtSearchDialog to a template widget

M	data/search_dialog.ui
M	src/search_dialog.c

commit 90baa8c59ce4e32f0f0262a30c24876175e11f25
Author: David King <amigadave@amigadave.com>
Date:	Sun May 3 16:00:12 2015 +0100

    Convert EtCDDBDialog to a template widget

M	data/cddb_dialog.ui
M	src/cddb_dialog.c

commit d8bf7e596b396dbec7033cf5dddd068149d79ea3
Author: David King <amigadave@amigadave.com>
Date:	Sun May 3 13:22:10 2015 +0100

    Convert EtBrowser to a template widget

M	data/browser.ui
A	data/browser_dialogs.ui
M	data/org.gnome.EasyTAG.gresource.xml
M	po/POTFILES.in
M	src/browser.c

commit 5fe2d433a93a0408a552f1d96420ea10161887f0
Author: David King <amigadave@amigadave.com>
Date:	Sat May 2 11:36:59 2015 +0100

    Convert EtTagArea to a template widget

A	data/image_properties_dialog.ui
M	data/org.gnome.EasyTAG.gresource.xml
M	data/tag_area.ui
M	po/POTFILES.in
M	src/tag_area.c

commit d43940998e4e8fd1951c379d2ca80370ed24f04f
Author: David King <amigadave@amigadave.com>
Date:	Sat May 2 08:33:54 2015 +0100

    Convert EtFileArea to a template widget

M	data/file_area.ui
M	src/file_area.c

commit 6a55e5d6491b940994ae6daa29693a04b7eb1447
Author: David King <amigadave@amigadave.com>
Date:	Tue Apr 28 19:14:33 2015 +0100

    Convert EtLogArea to a template widget

M	data/log_area.ui
M	src/log.c

commit 1842c7870d4a98e4cf9419c629a6f72d05ff2151
Author: David King <amigadave@amigadave.com>
Date:	Thu May 14 07:16:30 2015 +0200

    Use gtk_application_get_active_window()

    Added in GTK+ 3.6.

M	src/application.c

commit b76913f322e4ade1321f0416247b1f6c970e5f7d
Author: David King <amigadave@amigadave.com>
Date:	Fri Jan 9 21:54:00 2015 +0000

    Use gtk_accel_label_set_accel()

    Added in GTK+ 3.6.

M	src/tag_area.c

commit f98eadbedf07e7da218da8cd847e6c3ea972532e
Author: David King <amigadave@amigadave.com>
Date:	Fri Jan 9 21:47:47 2015 +0000

    Use G_DEFINE_TYPE_WITH_PRIVATE

    Added in GLib 2.38.

M	README
M	configure.ac
M	src/application.c
M	src/application.h
M	src/application_window.c
M	src/application_window.h
M	src/browser.c
M	src/browser.h
M	src/cddb_dialog.c
M	src/cddb_dialog.h
M	src/file_area.c
M	src/file_area.h
M	src/load_files_dialog.c
M	src/load_files_dialog.h
M	src/log.c
M	src/log.h
M	src/playlist_dialog.c
M	src/playlist_dialog.h
M	src/preferences_dialog.c
M	src/preferences_dialog.h
M	src/scan_dialog.c
M	src/scan_dialog.h
M	src/search_dialog.c
M	src/search_dialog.h
M	src/status_bar.c
M	src/status_bar.h
M	src/tag_area.c
M	src/tag_area.h

commit 7cc3d40b1d52826d011cff0c5c062d6883fd92fe
Author: David King <amigadave@amigadave.com>
Date:	Fri Jan 9 20:33:08 2015 +0000

    Use gdk_pixbuf_loader_write_bytes()

    Added in GDK Pixbuf 2.30.

M	src/tag_area.c
M	src/tags/ogg_tag.c

commit 31854b89fa5b8f6c4185ff29b4057a42ce9a4935
Author: David King <amigadave@amigadave.com>
Date:	Fri Jan 9 20:12:30 2015 +0000

    Use g_memory_output_stream_steal_as_bytes()

    Added in GIO 2.34.

M	src/picture.c

commit 77b5ac6175e647d572c88e45ae8cd05d79691aff
Author: David King <amigadave@amigadave.com>
Date:	Fri Jan 9 20:09:58 2015 +0000

    Use resource property on GtkImage

    Added in GTK+ 3.8.

M	data/toolbar.ui
M	src/application_window.c

commit 2663ae95b6c6a8b3de3370ec3069f701301a91da
Author: David King <amigadave@amigadave.com>
Date:	Fri Jan 9 18:58:54 2015 +0000

    Handle UI scale factor in images tree view

M	README
M	configure.ac
M	data/tag_area.ui
M	src/tag_area.c

commit d121aec30a398296bbf0837b40024bda8a3d3056
Author: David King <amigadave@amigadave.com>
Date:	Thu May 14 08:17:52 2015 +0200

    Include libepoxy in Windows installer

    https://bugzilla.gnome.org/show_bug.cgi?id=748682

M	SOURCES
M	easytag-win32-installer.nsi.in

commit b399bbb4056d0cd0bfd929f3fd694d565811d749
Author: Marek Černocký <marek@manet.cz>
Date:	Thu May 14 22:17:07 2015 +0200

    Updated Czech translation

M	help/cs/cs.po

commit 39941bc9a5655d0889073b11736d123f580847de
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	Thu May 14 13:23:49 2015 +0000

    Updated French translation

M	help/fr/fr.po

commit 125c879b9c49c8da1e6ea84fbb8c71236517cde9
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	Thu May 14 15:05:35 2015 +0200

    Fix typo

M	help/C/problems-id3.page

commit 861a457aa1e9e084b32f33487dc8b12b48978d42
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sun May 3 20:25:36 2015 +0200

    Updated Polish translation

M	po/pl.po

commit 6a950a2d35f3f558c68148b46029c45e9334c33a
Author: David King <amigadave@amigadave.com>
Date:	Sun Apr 19 23:08:54 2015 +0100

    Update NEWS for 2.3.6 release

M	NEWS
M	SOURCES
M	configure.ac

commit 2846af55d2144f099cb0bfa7a5dedd86a65f2e50
Author: David King <amigadave@amigadave.com>
Date:	Sun Apr 19 23:46:08 2015 +0100

    Update Windows locale path

M	easytag-win32-installer.nsi.in
M	src/win32/win32dep.c

commit 77977445a0b4b17b59d865d367a2707fa6d03f67
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	Sun Apr 19 22:45:53 2015 +0100

    Move symbolic icon to new location

M	Makefile.am
R100	data/icons/scalable/easytag-symbolic.svg
data/icons/symbolic/easytag-symbolic.svg

commit d9725ffc46f4c1f891b1c94cc5ceaea73bdac6dd
Author: David King <amigadave@amigadave.com>
Date:	Sun Apr 19 09:13:46 2015 +0100

    Fix French help translation

M	help/fr/fr.po

commit c251376180e00a0314981fb567db73610d7686a7
Author: David King <amigadave@amigadave.com>
Date:	Sat Dec 27 18:37:25 2014 +0000

    Add a simple test for et_rename_file()

M	tests/test-misc.c

commit 22547cbf8d92f50a4a083ca886a9674953d2a89b
Author: David King <amigadave@amigadave.com>
Date:	Sat Dec 27 16:50:45 2014 +0000

    Move et_rename_file() to misc.c

    This should make it easier to write a test.

M	src/easytag.c
M	src/misc.c
M	src/misc.h

commit 7cd402305b2a06c24a008c73970e98eaf71651c1
Author: Jordi Mas <jmas@softcatala.org>
Date:	Sat Apr 18 20:08:56 2015 +0200

    Fixes to Catalan translation

M	po/ca.po

commit 69d2edccde79e97d3f409c921872b905c9db5137
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	Sat Apr 18 19:14:36 2015 +0200

    Add French translation of help

M	help/Makefile.am
A	help/fr/fr.po

commit f2bb6ce0607a9354543665794d333f692e6f08d9
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	Sat Apr 18 17:10:43 2015 +0000

    Updated French translation

M	po/fr.po

commit ebe763370f8b271ee5d5ca51613a9ae2cfb1a54b
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sun Mar 29 20:54:52 2015 +0200

    Updated Polish translation

M	po/pl.po

commit 6b8391517d30c4444a3ab596533dd76d01dc975b
Author: Marek Černocký <marek@manet.cz>
Date:	Sun Mar 29 13:21:25 2015 +0200

    Updated Czech translation

M	help/cs/cs.po

commit b998f5b09ae7e1e664b3598fa6b2fa1ad2039bdc
Author: David King <amigadave@amigadave.com>
Date:	Fri Mar 27 18:53:46 2015 +0100

    Improve unknown encoding case when reading ID3v2

    Drop use of the internal convert_to_utf8() function, and instead place
    the conversion logic directly in the ID3 code.

M	src/charset.c
M	src/charset.h
M	src/scan_dialog.c
M	src/tags/id3_tag.c

commit 2e77643a70ef2f9a9bce83867c963aac1b54c65e
Author: David King <amigadave@amigadave.com>
Date:	Fri Mar 27 18:08:03 2015 +0100

    Use et_str_empty() instead of strlen() in search

M	src/search_dialog.c

commit e98e19fe2789e516040d1597c8a60338cca896c9
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	Fri Mar 27 16:52:56 2015 +0100

    Format specifiers shouldn't be translatable

M	help/C/format-specifier.page

commit c830fcd737ac05fb8fc837f9ea931a96654d1614
Author: David King <amigadave@amigadave.com>
Date:	Fri Mar 27 14:44:11 2015 +0100

    Fix compilation if Opus support is disabled

M	src/file.c
M	src/file_list.c
M	src/tag_area.c
M	src/tags/vcedit.c

commit 749de0a03f8922c78d41ef79d9b22c11b6206cdf
Author: David King <amigadave@amigadave.com>
Date:	Fri Mar 27 14:40:49 2015 +0100

    Fix compilation if Speex support is disabled

M	src/tags/vcedit.c

commit 61fc11a2d7b6c1a833f40f644b70be2f46ad90bb
Author: David King <amigadave@amigadave.com>
Date:	Fri Mar 27 14:38:27 2015 +0100

    Fix compilation if MP3 support is disabled

M	src/application_window.c
M	src/file_list.c
M	src/preferences_dialog.c
M	src/tag_area.c

commit 2e000acdede6e08e81e28cdee656284af7beea3c
Author: David King <amigadave@amigadave.com>
Date:	Fri Mar 27 14:32:21 2015 +0100

    Fix compilation when WavPack support is enabled

    https://bugzilla.gnome.org/show_bug.cgi?id=746372

M	src/tags/wavpack_private.c

commit 8a07d6b5b3609005dbb0418dbdb84d5626d9857c
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	Fri Mar 27 13:35:53 2015 +0100

    Improve wording in playlist help

M	help/C/playlist-generate.page

commit e3fd07c6f691c0e1a70b5cb6e4f9fc4abecde95b
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	Thu Mar 26 20:11:57 2015 +0100

    Add help for capitalising tags

A	help/C/tag-capitalization.page
M	help/Makefile.am

commit 9162803e58d9a15d5104ea42fa129a87823f6649
Author: David King <amigadave@amigadave.com>
Date:	Thu Mar 26 18:54:02 2015 +0100

    Drop an unnecessary include directive

M	src/about.c

commit b8fa3cd02f0047a774497737dbb6da832db76b1c
Author: David King <amigadave@amigadave.com>
Date:	Thu Mar 26 18:53:46 2015 +0100

    Add translator credits for British English

M	po/en_GB.po

commit 471d5bbc27152f8d6baf153de7c2458603a4f149
Author: David King <amigadave@amigadave.com>
Date:	Thu Mar 26 18:53:23 2015 +0100

    Drop obsolete intltool localedir workaround

M	Makefile.am

commit e00916afb65ea86fe24e16d9a679c2656c59d6aa
Author: Marek Černocký <marek@manet.cz>
Date:	Thu Mar 26 18:23:38 2015 +0100

    Updated Czech translation

M	help/cs/cs.po

commit ea21653f62039f04a3138f6453fe863d18fa1014
Author: David King <amigadave@amigadave.com>
Date:	Thu Mar 26 18:19:33 2015 +0100

    Credit Kat for the symbolic application icon

M	THANKS
M	src/about.c

commit 2f8ce5f47892b75bd610647de22b826f9375b8a2
Author: David King <amigadave@amigadave.com>
Date:	Thu Mar 26 18:05:42 2015 +0100

    Fix switch-enum warning when disabling tag support

    https://bugzilla.gnome.org/show_bug.cgi?id=746372

M	src/application_window.c
M	src/file.c
M	src/file_list.c
M	src/tag_area.c

commit 6984a45fac83e2407e1d9c4908764992f1ea62c4
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	Thu Mar 26 17:30:10 2015 +0100

    Use path instead of stroke for the symbolic icon

M	data/icons/scalable/easytag-symbolic.svg

commit 3f90c91d5cb5f8a8be93ba496ed19fd55e81704d
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	Thu Mar 26 17:25:24 2015 +0100

    Make descriptions consistent in help

M	help/C/image-delete.page
M	help/C/image-export.page
M	help/C/scanner.page

commit 46737fc2a7d42801360ecacc3d6047e87a5e5074
Author: Marek Černocký <marek@manet.cz>
Date:	Thu Mar 26 16:36:32 2015 +0100

    Updated Czech translation

M	help/cs/cs.po

commit 9f65e0288d4464efcaddc474e6bcb68a58196d0c
Author: David King <amigadave@amigadave.com>
Date:	Thu Mar 26 14:32:00 2015 +0100

    Simplify Vorbis comment tag reading

    Split out the code that sets tag fields when reading from Ogg files to
    a separate function, as with FLAC. Fix a memory leak when reading
    multiple identical fields. Avoid an unnecessary string allocation.

M	src/tags/ogg_tag.c

commit d719e73e2996f1d6358d646f1ec4e1d3e74ba6e3
Author: David King <amigadave@amigadave.com>
Date:	Thu Mar 26 13:38:24 2015 +0100

    Fix typo in British English translation

M	po/en_GB.po

commit c0bc190d56c8938681a4e9e945671cc4052780f8
Author: David King <amigadave@amigadave.com>
Date:	Thu Mar 26 13:34:53 2015 +0100

    Update British English translation

M	po/en_GB.po

commit ac3a319bfcbaff1ea8e50137fdf542b05dcd1999
Author: David King <amigadave@amigadave.com>
Date:	Thu Mar 26 10:39:37 2015 +0100

    Remove quit confirmation dialogue

    There is already a dialogue for confirming when unsaved changes
    would be
    lost, so the extra confirmation is unnecessary.

    As suggested by Alexandre Franke.

M	data/org.gnome.EasyTAG.gschema.xml
M	data/preferences_dialog.ui
M	src/application_window.c
M	src/preferences_dialog.c

commit 9eff1aa05679c2b0d43f136bcd71304a0eec29dd
Author: David King <amigadave@amigadave.com>
Date:	Thu Mar 26 10:24:14 2015 +0100

    Update help for UI and string changes

M	help/C/cddb-search.page
M	help/C/file-rename.page
M	help/C/image.page
M	help/C/problems-id3.page
M	help/C/problems-ogg-split.page
M	help/C/scanner.page

commit b988851a21857bb0a2f2da9b22548e9db0fcc339
Author: David King <amigadave@amigadave.com>
Date:	Thu Mar 26 09:51:58 2015 +0100

    Refactor adding FLAC tag fields to Vorbis comment

    Add comments to functions which append tag fields to Vorbis
    comments in
    FLAC tags. Emit a critical warning if appending a tag fails.

M	src/tags/flac_tag.c

commit ecef6029d0a150d421984a4155a9341ece97a8af
Author: David King <amigadave@amigadave.com>
Date:	Thu Mar 26 09:14:40 2015 +0100

    Remove maximum log lines setting

    Do not restrict the maximum number of lines in the log.

M	data/org.gnome.EasyTAG.gschema.xml
M	data/preferences_dialog.ui
M	src/log.c
M	src/preferences_dialog.c

commit 8d7c32b9d7378923ed7ff1bd95c284ef60a72a57
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	Thu Mar 26 08:09:47 2015 +0100

    Add scalable symbolic icon

M	Makefile.am
A	data/icons/scalable/easytag-symbolic.svg

commit afdc4bab35ec7f00bfa3ead9c3356fbd35650db4
Author: Marek Černocký <marek@manet.cz>
Date:	Thu Mar 26 00:47:35 2015 +0100

    Updated Czech translation

M	po/cs.po

commit 48bc8b177698b4233a510f957cf6e68c7a937786
Author: David King <amigadave@amigadave.com>
Date:	Wed Mar 25 22:08:27 2015 +0100

    Refactor FLAC tag field string reading

    Split out the code that sets tag fields when reading from FLAC
    files to
    a separate function. Fix a memory leak when reading multiple identical
    fields. Avoid an unnecessary string allocation.

M	src/tags/flac_tag.c

commit 6a78cda27595163240f0dcd8c73ca5084055e405
Author: David King <amigadave@amigadave.com>
Date:	Wed Mar 25 21:32:20 2015 +0100

    Simplify checking for valid UTF-8 with FLAC

    In the common case that FLAC tag fields are valid UTF-8, avoid
    an extra
    string allocation.

M	src/tags/flac_tag.c

commit 923f1a315f3ab5f580841a93bc53aa2bf8619eef
Author: David King <amigadave@amigadave.com>
Date:	Wed Mar 25 20:24:19 2015 +0100

    Simplify prefixing the current path in the scanner

    Remove an unnecessary Try_To_Validate_Utf8_String() call.

M	src/scan_dialog.c

commit 8e921ebb318d8ae466379ca0fa1ba879e1acf467
Author: David King <amigadave@amigadave.com>
Date:	Wed Mar 25 20:08:01 2015 +0100

    Add some translator comments for scanner headers

    As suggested by Alexandre Franke.

M	data/preferences_dialog.ui

commit b32f9f1370bf03ffe78c476d8d78cb2092e395a0
Author: David King <amigadave@amigadave.com>
Date:	Wed Mar 25 19:42:40 2015 +0100

    Use g_str_empty() for more empty string checks

M	src/browser.c
M	src/tag_area.c
M	src/tags/flac_tag.c

commit 46109b22591173b722a190a69151e855cea52227
Author: David King <amigadave@amigadave.com>
Date:	Wed Mar 25 18:44:02 2015 +0100

    Simplify core file list management

    The ETFileList pointer in ET_Core always points to the first item, so
    avoid calling g_list_first() on it unnecessarily.

M	src/application_window.c
M	src/easytag.c
M	src/file_list.c
M	src/load_files_dialog.c
M	src/playlist_dialog.c
M	src/search_dialog.c
M	src/tag_area.c

commit 7934aab28fbf96e5fc686bc9f97437192b292866
Author: David King <amigadave@amigadave.com>
Date:	Wed Mar 25 18:24:46 2015 +0100

    Add a translator comment for a preferences header

    As suggested by Alexandre Franke.

M	data/preferences_dialog.ui

commit 185056a68895b39760203ce955c5ca8f8959974e
Author: David King <amigadave@amigadave.com>
Date:	Wed Mar 25 18:09:07 2015 +0100

    Remove whitespace in tooltip string

    Additionally, slightly clarify the string.

    Spotted by Alexandre Franke.

M	data/scan_dialog.ui

commit 008287593f6af3a7a2432a75b5f6449972544f69
Author: David King <amigadave@amigadave.com>
Date:	Wed Mar 25 16:58:01 2015 +0100

    Add translator comment for a CDDB dialogue header

    As suggested by Alexandre Franke.

M	data/cddb_dialog.ui

commit 653b1b717f7371791f27a4aefa28c22bb22718de
Author: David King <amigadave@amigadave.com>
Date:	Wed Mar 25 16:56:08 2015 +0100

    Add a translator comment for a CDDB column header

    As suggested by Alexandre Franke.

M	data/cddb_dialog.ui

commit a00b0aa84e471aba695ac7685c24ced740afb3d0
Author: David King <amigadave@amigadave.com>
Date:	Wed Mar 25 16:54:34 2015 +0100

    Improve some track number strings in the CDDB dialogue

    As suggested by Alexandre Franke.

M	data/cddb_dialog.ui

commit 6f359aab83891005a5038acd5d2d843339a51e5b
Author: David King <amigadave@amigadave.com>
Date:	Wed Mar 25 16:50:12 2015 +0100

    Improve load files dialogue tooltip

    As suggested by Alexandre Franke.

M	data/load_files_dialog.ui
M	data/org.gnome.EasyTAG.gschema.xml

commit e57617990f468a68a9c2bc8ee6579c53db91f141
Author: David King <amigadave@amigadave.com>
Date:	Wed Mar 25 16:26:36 2015 +0100

    Improve log area minimum size

    Do not allow the paned to shrink the log area, and set a minimum
    height
    on the scrolled window.

M	data/log_area.ui
M	src/application_window.c

commit e01baeea0743cf7e9476ed2d3c94b723101e9dbc
Author: David King <amigadave@amigadave.com>
Date:	Wed Mar 25 14:42:54 2015 +0100

    Add a translator comment for "literal name"

    As suggested by Alexandre Franke.

M	data/browser.ui

commit 40a5309fdac75d8427cb2adf4b9cb02e8d189966
Author: David King <amigadave@amigadave.com>
Date:	Wed Mar 25 14:30:49 2015 +0100

    Preserve order when copying unsupported tag fields

M	src/file_tag.c

commit b7bd612ab8a7faf19e602491cb28a2bf7779b279
Author: Jordi Mas <jmas@softcatala.org>
Date:	Tue Mar 17 17:23:47 2015 -0400

    Catalan help translation

M	help/Makefile.am
A	help/ca/ca.po

commit 8791563eeb6065ba3edd7062f622b9600550aace
Author: Jordi Mas <jmas@softcatala.org>
Date:	Tue Mar 17 17:10:41 2015 -0400

    Update Catalan translation

M	po/ca.po

commit 285ba45ef80b7d9ff19a1b6dafec85db8a0b4be8
Author: Samir Ribic <samir.ribic@etf.unsa.ba>
Date:	Fri Mar 13 23:22:16 2015 +0000

    Added Bosnian translation

M	po/LINGUAS
A	po/bs.po

commit 35ecb696f6fb8e2781b57a0158d2d3c2d6df4b96
Author: David King <amigadave@amigadave.com>
Date:	Thu Mar 12 21:55:36 2015 +0000

    Make g_file_list_add() accept a GFile

    Fix a long-standing filename memory leak when adding files to the main
    file list.

M	src/easytag.c
M	src/file_list.c
M	src/file_list.h

commit 6fa3e3ff722a650c66ed7ceafd59229e1f07e110
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:	Tue Mar 10 17:25:26 2015 +0200

    Fix error build

    src/file_list.c:243:15: error: ‘LC_CTYPE’ undeclared (first use
    in this
    function)

M	src/file_list.c

commit 74cbe389aa22f4ea269f306cdb9c2d9b07e9275b
Author: David King <amigadave@amigadave.com>
Date:	Tue Mar 10 08:36:27 2015 +0000

    Fix renaming files in the scanner

    Introduced as part of the empty string changes in
    afa3ed43e88762179339bdfad137c21d123deb8f.

    https://mail.gnome.org/archives/easytag-list/2015-March/msg00001.html

M	src/scan_dialog.c

commit f73e12fe96b66cc36470acc39d88a23b96744a37
Author: David King <amigadave@amigadave.com>
Date:	Mon Mar 9 23:20:28 2015 +0000

    Update NEWS for 2.3.5 release

M	NEWS
M	SOURCES
M	configure.ac

commit bba87b66f8ee584630965a55496905ea56535a1e
Author: Marek Černocký <marek@manet.cz>
Date:	Sun Mar 1 19:31:26 2015 +0100

    Updated Czech translation

M	po/cs.po

commit 17491cdbbfc022c15cb98db4cacaaff9a029d1a3
Author: David King <amigadave@amigadave.com>
Date:	Mon Feb 23 21:14:16 2015 +0000

    Add bug reference to File_Tag test

M	tests/test-file_tag.c

commit 3fc01f03d7730524cf02ede2e9adcf1f5df70dde
Author: David King <amigadave@amigadave.com>
Date:	Mon Feb 23 19:04:04 2015 +0000

    Use versioning guards for tests

    Simplify test declaration by factoring out the common variables,
    and add
    the versioning guards to those.

M	Makefile.am

commit 1eca256c4f4b67d38c4dcdb93a658e9f9f26edf9
Author: David King <amigadave@amigadave.com>
Date:	Mon Feb 23 18:53:10 2015 +0000

    Reinstate versioning guards for GLib and GTK+

    These were accidentally dropped when migrating to AX_COMPILER_FLAGS.

M	Makefile.am
M	configure.ac

commit 89e7cb0190ff6970987bd6be6795bd936f5edf30
Author: David King <amigadave@amigadave.com>
Date:	Sun Feb 22 16:08:12 2015 +0000

    Remove some unnecessary finalize() overrides

M	src/load_files_dialog.c
M	src/playlist_dialog.c
M	src/preferences_dialog.c
M	src/search_dialog.c

commit 57512213ef1cb3a708fafadefaaf0294aee1bf53
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sun Feb 22 20:46:45 2015 +0100

    Updated Polish translation

M	po/pl.po

commit 9ae72de9596dbe5715a949912fed73b1d626d80a
Author: David King <amigadave@amigadave.com>
Date:	Sun Feb 22 13:29:58 2015 +0000

    Add a test for et_file_tag_copy_other_into()

M	src/file_tag.c
M	tests/test-file_tag.c

commit 678d0b977387d32951d08f5fcc7d1569ce6ba328
Author: Ting-Wei Lan <lantw@src.gnome.org>
Date:	Sun Feb 22 12:51:21 2015 +0800

    Fix "void function should not return a value"

    https://bugzilla.gnome.org/show_bug.cgi?id=744928

M	src/application_window.c

commit aba60f35e96ecfbc5a5b4c9ccb834aeed670bfdc
Author: David King <amigadave@amigadave.com>
Date:	Sun Feb 22 12:43:19 2015 +0000

    Fix a memory leak when freeing the history list

M	src/file_list.c

commit f3f403cd4e2168f4bbc1fb650357c3ea73102ff5
Author: David King <amigadave@amigadave.com>
Date:	Sun Feb 22 12:14:28 2015 +0000

    Fix memory leak in et_file_list_add()

M	src/file_list.c

commit f899d24f97e770dc6188367d0cff08fe849baa8d
Author: David King <amigadave@amigadave.com>
Date:	Sun Feb 22 11:58:01 2015 +0000

    Avoid some unnecessary tag area string copying

    When applying tags to a selection, avoid using
    gtk_editable_get_chars(),
    which copies the entry content, and instead use gtk_entry_get_text(),
    which returns a const pointer to the entry string.

M	src/tag_area.c

commit 1781770285c0f65bcb6d0e7dc805b12831d0c7cd
Author: David King <amigadave@amigadave.com>
Date:	Sun Feb 22 10:54:36 2015 +0000

    Clarify a string in the scanner dialog legend

    As reported by Tristan Scott.

M	data/scan_dialog.ui

commit 40abf34fa235dcb5527f326bdf772b87b9773bc8
Author: David King <amigadave@amigadave.com>
Date:	Sat Feb 21 23:12:05 2015 +0000

    Use et_str_empty() in several more places

    There are many instances of strlen() being used to check for an empty
    string, which can be replaced with et_str_empty().

M	src/browser.c
M	src/cddb_dialog.c
M	src/playlist_dialog.c
M	src/scan_dialog.c
M	src/tag_area.c

commit 87d56bb8e4013ab1afde622f74317b56d92033c5
Author: David King <amigadave@amigadave.com>
Date:	Sat Feb 21 22:48:32 2015 +0000

    Add simple test for et_str_empty()

M	tests/test-misc.c

commit afa3ed43e88762179339bdfad137c21d123deb8f
Author: David King <amigadave@amigadave.com>
Date:	Sat Feb 21 22:39:56 2015 +0000

    Convert most g_utf8_strlen() to new et_str_empty()

    Nearly all uses of g_utf8_strlen() were to check that a string was not
    empty. The check for empty was often paired with a check that the char
    pointer was not NULL. Simplify the combination of checks into a new
    et_str_empty() function, which returns TRUE if either the supplied
    char
    pointer is NULL or the string is empty.

    Leave checks that are only concerned with one of the two checks
    as they
    are, but remove g_utf8_strlen() where possible.

M	src/browser.c
M	src/cddb_dialog.c
M	src/file.c
M	src/load_files_dialog.c
M	src/misc.c
M	src/misc.h
M	src/playlist_dialog.c
M	src/scan_dialog.c
M	src/setting.c
M	src/tag_area.c
M	src/tags/ape_tag.c
M	src/tags/flac_tag.c
M	src/tags/id3_tag.c
M	src/tags/ogg_tag.c

commit 60657a082be24cb131c41d0284d67a4f475b636b
Author: David King <amigadave@amigadave.com>
Date:	Sat Feb 21 20:45:04 2015 +0000

    Remove unused static variables

M	src/browser.c
M	src/misc.c
M	src/scan_dialog.c

commit eaeb1453d75e122ccb6c228db46afbda8950d3b2
Author: David King <amigadave@amigadave.com>
Date:	Sat Feb 21 20:21:35 2015 +0000

    Move string length define from header to source

M	src/cddb_dialog.c
M	src/easytag.h

commit af0a7687a2226f011fa5000c47f88986316c91f0
Author: David King <amigadave@amigadave.com>
Date:	Sat Feb 21 18:05:32 2015 +0000

    Add a simple test for et_normalized_strcmp0()

M	tests/test-misc.c

commit 834b354f5ddf438ee58fa5824ea7b7849eb05e1e
Author: David King <amigadave@amigadave.com>
Date:	Sat Feb 21 17:54:42 2015 +0000

    Add a function for comparing UTF-8 strings

    Comparing strings for equality with g_utf8_collate() gives a poor
    result, as it is intended for ordering, not equality comparisons. It
    is
    preferable to normalize the string first, and then to compare the
    normalized result.

    Add a new et_normalized_strcmp0() function to do this, and use it in
    et_file_tag_detect_difference() to avoid problems where two strings
    compared identically with g_utf8_collate(), which prevented the user
    from changing tag fields. Adapt the File_Tag test as appropriate.

    https://bugzilla.gnome.org/show_bug.cgi?id=744897

M	src/file_tag.c
M	src/misc.c
M	src/misc.h
M	tests/test-file_tag.c

commit 8e51def2639137056a0f3ebe845986a2934143da
Author: David King <amigadave@amigadave.com>
Date:	Sat Feb 21 16:49:08 2015 +0000

    Add File_Tag tests

M	Makefile.am
A	tests/test-file_tag.c

commit d5ec560efd040fcb065907678a819ec513e51920
Author: David King <amigadave@amigadave.com>
Date:	Sat Feb 21 16:25:13 2015 +0000

    Add a simple undo key test

M	tests/test-misc.c

commit af47e0762d646d72b77c77d5f1de234bbaa22095
Author: David King <amigadave@amigadave.com>
Date:	Sat Feb 21 16:20:20 2015 +0000

    Move undo key generation to misc.c

    This should make it easier to write tests.

M	src/file.c
M	src/file.h
M	src/file_list.c
M	src/file_name.c
M	src/file_tag.c
M	src/misc.c
M	src/misc.h

commit 6671ad6aa83456325dceaef32e276748f205abad
Author: David King <amigadave@amigadave.com>
Date:	Sat Feb 21 16:05:35 2015 +0000

    Use g_build_filename() in a couple more places

M	src/browser.c
M	src/scan_dialog.c

commit 2c202d8e884da7d0749cf907f22c15de204f64b5
Author: David King <amigadave@amigadave.com>
Date:	Sat Feb 21 11:16:31 2015 +0000

    Simplify application window file list navigation

    Factor out the common code to a separate function.

M	src/application_window.c

commit 480514bf6375efdaf310c8f299241346b8aa2c1e
Author: David King <amigadave@amigadave.com>
Date:	Sat Feb 21 11:07:06 2015 +0000

    Update AX_COMPILER_FLAGS from autoconf-archive

M	m4/ax_compiler_flags.m4
M	m4/ax_compiler_flags_cflags.m4

commit dc2d03daa4924aaa02ab7065ebc46b4fec9ae716
Author: David King <amigadave@amigadave.com>
Date:	Sat Feb 21 11:05:54 2015 +0000

    Tighten invariants when navigating the file list

M	src/application_window.c

commit 8702b04364ff590c3181ffbbeeb11b5a49e2cb16
Author: David King <amigadave@amigadave.com>
Date:	Sat Feb 21 10:52:31 2015 +0000

    Use ET_Set_Filename_File_Name_Item()

    Rather than setting File_Name fields directly, use the existing helper
    function.

M	src/file_list.c

commit b0c6e89c56e5877fd8398d3a4511bec9767ca4d5
Author: David King <amigadave@amigadave.com>
Date:	Thu Feb 19 23:27:23 2015 +0000

    Move filename updating code to application window

    Remove GTK+ calls from the ET_File code.

M	src/application_window.c
M	src/file.c
M	src/file.h
M	src/file_name.c
M	src/file_name.h

commit 1a8b1b757f719b16a5a3a62fc9309b743e1b408b
Author: David King <amigadave@amigadave.com>
Date:	Thu Feb 19 22:30:25 2015 +0000

    Factor out common file renaming code

    Refactor ET_Save_File_Name_Internal() and ET_Save_File_Name_From_UI()
    to
    use a new et_file_name_set_from_components(), and reduce code
    duplicatoin slightly.

M	src/file.c

commit 95dc22cef21b1ed78ccdba4021e4f472bab384b5
Author: David King <amigadave@amigadave.com>
Date:	Thu Feb 19 20:32:05 2015 +0000

    Move ET_Display_File_Data_To_UI() to main window

    Rename ET_Display_File_Data_To_UI() to
    et_application_window_display_et_file() and move it to
    EtApplicationWindow.

M	src/application_window.c
M	src/application_window.h
M	src/browser.c
M	src/cddb_dialog.c
M	src/easytag.c
M	src/file.c
M	src/file.h
M	src/load_files_dialog.c
M	src/scan_dialog.c
M	src/tag_area.c

commit 5daf401c2586ef974139b9e1f96044a585d3d078
Author: David King <amigadave@amigadave.com>
Date:	Thu Feb 19 18:34:56 2015 +0000

    Add et_application_window_update_et_file_from_ui()

    Refactor existing code, which directly called
    ET_Save_File_Data_From_UI() against ETCore->ETFileDisplayed,
    to instead
    call the new function. Additionally, handle the case that
    ETCore->ETFileDisplayed is NULL, and do not call the function,
    avoiding
    triggering an invariant check.

M	src/application_window.c
M	src/application_window.h
M	src/browser.c
M	src/cddb_dialog.c
M	src/easytag.c
M	src/load_files_dialog.c
M	src/scan_dialog.c
M	src/tag_area.c

commit 9704e1117c36fe893088a71669b9e7f570cf4c27
Author: David King <amigadave@amigadave.com>
Date:	Thu Feb 19 17:46:46 2015 +0000

    Remove dead assignment in CDDB dialog

    Found with the Cland statix analyzer.

M	src/cddb_dialog.c

commit 01563bb62de675d49d6810f659939057de9b627b
Author: David King <amigadave@amigadave.com>
Date:	Wed Feb 18 22:54:09 2015 +0000

    Add ifdefs around private FLAC code

    Fix compilation when FLAC support is not enabled.

    https://mail.gnome.org/archives/easytag-list/2015-February/msg00004.html

M	src/tags/flac_private.c

commit 92ed3c29cc4bde93ba9f2250e3ecaccad23bcf38
Author: Marek Černocký <marek@manet.cz>
Date:	Mon Feb 16 22:39:14 2015 +0100

    Updated Czech translation

M	po/cs.po

commit 83b4a66ad564f0eba58edcb0c2a742b556781d7f
Author: David King <amigadave@amigadave.com>
Date:	Mon Feb 16 19:18:50 2015 +0000

    Update AX_COMPILER_FLAGS with --disable-Werror

    https://bugzilla.gnome.org/show_bug.cgi?id=744616

M	m4/ax_compiler_flags.m4
M	m4/ax_compiler_flags_cflags.m4
M	m4/ax_compiler_flags_cxxflags.m4
M	m4/ax_compiler_flags_gir.m4

commit 14070f7df03e543b591c5dbc7b28683a6a916299
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	Mon Feb 16 20:12:09 2015 +0100

    Updated Norwegian bokmål translation from Åka Sikrom.

M	po/nb.po

commit dc11af6b42f456fae92844f3a1cdccc57597eab3
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sun Feb 15 18:35:38 2015 +0100

    Updated Polish translation

M	po/pl.po

commit 6c50d0e0242a32b0b8fdca588cd15d98c7ce2e07
Author: David King <amigadave@amigadave.com>
Date:	Sat Feb 14 20:12:37 2015 +0000

    Set the GError in et_id3tag_check_if_file_is_valid

    If the file was empty, but there were otherwise no errors when reading
    the file, the GError was left unset. This caused a crash, when reading
    the error message for display to the user and dereferencing a NULL
    pointer.

M	src/tags/id3_tag.c

commit ca7a1e6f8725df854c4dff41e066bda16d23b7de
Author: David King <amigadave@amigadave.com>
Date:	Sat Feb 14 20:07:39 2015 +0000

    Mark a UI string as translatable

M	src/file_list.c

commit 13844449f413a66410d230e4494011b15513a484
Author: David King <amigadave@amigadave.com>
Date:	Sat Feb 14 20:02:28 2015 +0000

    Check for a valid MP3 file when reading the header

    The check to avoid an infinite loop in id3lib with an empty file was
    only run when reading ID3 tags, not when reading the header
    information.

M	src/tags/id3_tag.c
M	src/tags/id3_tag.h
M	src/tags/mpeg_header.c

commit 34e64fd011a7ea4126223a36c5ba97e2f984bec5
Author: David King <amigadave@amigadave.com>
Date:	Sat Feb 14 19:55:03 2015 +0000

    Refactor et_id3tag_check_if_file_is_corrupted()

    Fit the usual convention of setting the GError when returning
    FALSE, by
    renaming the function to et_id3tag_check_if_file_is_valid().

M	src/tags/id3_tag.c

commit 5cb07a6b41a3ac86625040824c9ca475f06f4dd4
Author: David King <amigadave@amigadave.com>
Date:	Sat Feb 14 00:00:01 2015 +0000

    Remove an unnecessary include

M	src/et_core.c

commit d81075d63435a0402bb9dbfac5c3c1801a13df49
Author: David King <amigadave@amigadave.com>
Date:	Fri Feb 13 23:27:27 2015 +0000

    Remove an unused variable in ET_Core

M	src/et_core.h
M	src/file_list.c

commit fc4526c271bc0a3634b235850f10f17f520a6651
Author: David King <amigadave@amigadave.com>
Date:	Fri Feb 13 23:01:41 2015 +0000

    Add a trivial ET_File_Info test

M	Makefile.am
A	tests/test-file_info.c

commit e859c35a810d0688fdba434952611f8671974eda
Author: David King <amigadave@amigadave.com>
Date:	Fri Feb 13 22:13:27 2015 +0000

    Avoid a crash when reading FLAC files with no tags

    https://bugzilla.gnome.org/show_bug.cgi?id=744497

M	src/tags/flac_tag.c

commit b92a6305602ea1d363560473b072a97c6ad363b1
Author: David King <amigadave@amigadave.com>
Date:	Fri Feb 13 19:58:22 2015 +0000

    Add a test for et_filename_prepare()

M	tests/test-misc.c

commit 97385362051bebd8960137310ac8999648f49b70
Author: David King <amigadave@amigadave.com>
Date:	Fri Feb 13 18:41:05 2015 +0000

    Refactor ET_File_Name_Convert_Character()

    Move ET_File_Name_Convert_Character() to misc.c and rename it
    et_filename_prepare(). Take a boolean argument for whether to replace
    illegal characters, rather than using a setting.

M	src/cddb_dialog.c
M	src/file.c
M	src/file.h
M	src/load_files_dialog.c
M	src/misc.c
M	src/misc.h
M	src/scan_dialog.c

commit d9ce201e78e42993c7bac186fbd109fd801c2ee7
Author: David King <amigadave@amigadave.com>
Date:	Fri Feb 13 18:24:37 2015 +0000

    Move File_Name to a separate file

M	Makefile.am
M	src/cddb_dialog.c
M	src/file.c
M	src/file.h
M	src/file_list.c
A	src/file_name.c
A	src/file_name.h
M	src/load_files_dialog.c
M	src/scan_dialog.c
M	src/tags/flac_tag.c
M	src/tags/id3_tag.c

commit e8d9f1ba1526c12ff474b55616f363e36d2d34b3
Author: David King <amigadave@amigadave.com>
Date:	Fri Feb 13 17:22:22 2015 +0000

    Split ET_File_Info off to a separate file

M	Makefile.am
M	src/core_types.h
M	src/file.c
M	src/file.h
A	src/file_info.c
A	src/file_info.h
M	src/file_list.c

commit bedea331602546237690d98c01f86e3a7d36f133
Author: David King <amigadave@amigadave.com>
Date:	Thu Feb 12 22:56:38 2015 +0000

    Remove unused Makefile variable

M	Makefile.am

commit c5b4c2a3ed78851153da64247e223bbefadf6c9a
Author: David King <amigadave@amigadave.com>
Date:	Thu Feb 12 22:53:37 2015 +0000

    Pass AX_COMPILER_FLAGS warning flags to the linker

M	Makefile.am

commit 9803a41db5d4ee530286f6af15cad7f572afdae6
Author: David King <amigadave@amigadave.com>
Date:	Thu Feb 12 22:50:18 2015 +0000

    Enable compiler warnings for Nautilus extension

M	Makefile.am
M	nautilus-extension/nautilus-easytag.c

commit 8d75031bdfc79a20f77417e92c9e688c101496bf
Author: David King <amigadave@amigadave.com>
Date:	Thu Feb 12 22:44:43 2015 +0000

    Remove unused variable from configure summary

M	configure.ac

commit 616154f3a53c29b3c63a40921bf8ee8ef9a623ba
Author: David King <amigadave@amigadave.com>
Date:	Thu Feb 12 22:44:28 2015 +0000

    Update SOURCES for 2.3.4 release

M	SOURCES

commit 8f4cd655595f7067f44ba6541cce527bb1cec6ea
Author: David King <amigadave@amigadave.com>
Date:	Thu Feb 12 17:30:58 2015 +0000

    Correctly update the artwork description

    An EtPicture was fetched from the model containing all the images
    for a
    file, and the description was updated depending on what the user
    entered
    into the artwork properties dialog.

    However, the updated EtPicture (which was a copy of the one in the
    model, as EtPicture is a boxed type and was fetched from the
    model with
    gtk_tree_model_get()) was not set on the model, and so any change
    to the
    description was lost on exiting the dialog.

    Include the EtPicture as part of the gtk_list_store_set() call when
    closing the dialog, and update the description correctly.

M	src/tag_area.c

commit 7c2d6467b66c9863100b12ae5f5e919e66c6a5e2
Author: David King <amigadave@amigadave.com>
Date:	Thu Feb 12 17:30:36 2015 +0000

    Fix memory leak in artwork types dialog

M	src/tag_area.c

commit dd7ee206c5755e9c8d80193510b690350cc964c6
Author: David King <amigadave@amigadave.com>
Date:	Wed Feb 11 17:49:16 2015 +0000

    Handle empty descriptions in ID3 tag artwork

    https://bugzilla.gnome.org/show_bug.cgi?id=744295

M	src/tags/id3v24_tag.c

commit e3f197aae814354925b3528260efbdb4115e657e
Author: ChrisiPK <ChrisiPK@gmail.com>
Date:	Wed Feb 11 11:46:59 2015 +0000

    Fix CDDB requests being truncated

    EasyTAG does not handle the chunked encoding and truncates lines that
    fall on chunk boundaries. Make HTTP requests with 1.0 as the protocol
    version, to avoid a chunked transfer encoding.

    https://bugzilla.gnome.org/show_bug.cgi?id=743812

M	src/cddb_dialog.c

commit 6879d49ad2969fe25db928dba3c9164ffdd8294e
Author: Osman Karagöz <osmank3@gmail.com>
Date:	Wed Feb 11 10:33:06 2015 +0000

    Updated Turkish translation

M	po/tr.po

commit 70e049b83bd5185883b55707a981b3b64f36c11a
Author: Marek Černocký <marek@manet.cz>
Date:	Sun Feb 8 23:21:02 2015 +0100

    Updated Czech translation

M	po/cs.po

commit 1a775b1c0605e360ac6f1363c38fc774a0cb6d88
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sun Feb 8 13:56:52 2015 +0100

    Updated Polish translation

M	po/pl.po

commit 69f6bb575c0368bbe658d03b43533cbf7577ee6e
Author: David King <amigadave@amigadave.com>
Date:	Sat Feb 7 21:27:46 2015 +0000

    Fix format warnings caused by incorrect sign

    GCC 5.0 now warns about using %d as a format specifier for an unsigned
    int.

M	src/application.c
M	src/cddb_dialog.c
M	src/easytag.c
M	src/file.c
M	src/file_area.c
M	src/file_list.c
M	src/misc.c
M	src/tag_area.c
M	src/tags/libapetag/apetaglib.c

commit 5df5c6193c51cdc77feefde05a26161a9d715c7e
Author: David King <amigadave@amigadave.com>
Date:	Sat Feb 7 09:55:52 2015 +0000

    Add missing break in playlist dialog switch

    Found with Coverity (CID 1268296).

M	src/playlist_dialog.c

commit 5b8659a80ece30fb7353ac68c3381d8f7d5123d0
Author: David King <amigadave@amigadave.com>
Date:	Sat Feb 7 09:52:59 2015 +0000

    Return a value from et_artist_album_list_add_file

    Use g_return_val_if_fail() rather than g_return_if_fail(), and
    return an
    empty list of no ET_File is supplied.

    Found with Coverity (CID 1268295).

M	src/file_list.c

commit 54ba8cf11c92650ab20d33670df66144c6ee2e67
Author: David King <amigadave@amigadave.com>
Date:	Fri Feb 6 20:43:33 2015 +0000

    Add checks for extra id3lib declarations

    Fix compilation of id3lib wrapper on Debian, which includes some C
    wrapper functions which were not in the id3lib 3.8.3 release, by
    checking for the declarations with AC_CHECK_DECLS.

M	configure.ac
M	src/tags/id3lib/id3_bugfix.h

commit bec4bdd64f7650e0051f90d198ab3e6ee9a4dfb3
Author: David King <amigadave@amigadave.com>
Date:	Fri Feb 6 17:49:05 2015 +0000

    Update NEWS for 2.3.4 release

M	NEWS
M	configure.ac

commit a2d8e7a5c8cb4541666e7c3156ab1e87078ec015
Author: David King <amigadave@amigadave.com>
Date:	Fri Feb 6 17:45:09 2015 +0000

    Fix redefinition warning from TagLib

    https://github.com/taglib/taglib/commit/7d7a7be115976d31715b7d4051d50249f32d2a05

M	src/tags/mp4_tag.cc

commit ecf346d48f601c5c1c42a772338bef5f34ef2e99
Author: David King <amigadave@amigadave.com>
Date:	Fri Feb 6 17:31:35 2015 +0000

    Fix redefinition warning in Windows compat code

    Only define a custom mkstemp() or truncate() if the functions are not
    available.

M	src/win32/win32dep.c
M	src/win32/win32dep.h

commit 44ee9ec20ce2f6dd0810a0abf268cd0209783d92
Author: David King <amigadave@amigadave.com>
Date:	Thu Jan 8 20:03:47 2015 +0000

    Remove several unused functions

    Found with the -fdata-sections and -ffunction-sections arguments
    to the
    compiler, and --gc-sections and --print-gc-sections linker arguments.

M	src/application_window.c
M	src/application_window.h
M	src/charset.c
M	src/charset.h
M	src/misc.c
M	src/misc.h
M	src/preferences_dialog.c
M	src/scan_dialog.c
M	src/scan_dialog.h

commit 8a94b7defb5600919930434410f69eb1bdbf7697
Author: David King <amigadave@amigadave.com>
Date:	Wed Jan 7 21:02:58 2015 +0000

    Refactor several file list functions

    Accept a file list as the first parameter, and return the list pointer
    as necessary.

M	src/application_window.c
M	src/browser.c
M	src/easytag.c
M	src/file.c
M	src/file_list.c
M	src/file_list.h
M	src/tag_area.c

commit e319c907d92245ac581258d43e4e8491a1830090
Author: David King <amigadave@amigadave.com>
Date:	Wed Jan 7 20:46:44 2015 +0000

    Remove unused displayed list function

M	src/file_list.c
M	src/file_list.h

commit f6f2e4d32fd037960db81b6fba32abb21380d154
Author: David King <amigadave@amigadave.com>
Date:	Mon Jan 5 23:24:14 2015 +0000

    Refactor artist album file list functions

    Take a file list as the first parameter.

M	src/browser.c
M	src/file_list.c
M	src/file_list.h

commit e9225a10b223f6ac1a5ffb9e15c882b273846373
Author: David King <amigadave@amigadave.com>
Date:	Mon Jan 5 22:48:49 2015 +0000

    Refactor file list freeing functions

    Accept the list to be freed as a parameter. Zero out the list
    pointer in
    ET_Core_Free() instead of in the list freeing functions.

M	src/et_core.c
M	src/file_list.c
M	src/file_list.h

commit 4d2e91f89457275b7527209605644d1074ecc318
Author: David King <amigadave@amigadave.com>
Date:	Mon Jan 5 21:27:34 2015 +0000

    Refactor function to check if all files are saved

    Accept the file list as a parameter.

M	src/application_window.c
M	src/browser.c
M	src/file_list.c
M	src/file_list.h

commit 8097699d1170248d09721bfda9baf8a747fe5085
Author: David King <amigadave@amigadave.com>
Date:	Wed Feb 4 08:28:32 2015 +0000

    Use AX_GENERATE_CHANGELOG

    Use the upstream autoconf archive ChangeLog generation macro, rather
    than a custom equivalent.

M	Makefile.am
M	configure.ac
A	m4/ax_generate_changelog.m4

commit 7f2d67b9a02a6c4d5f6cae10b012d9fc86f821a7
Author: David King <amigadave@amigadave.com>
Date:	Tue Feb 3 23:17:12 2015 +0000

    Use AX_IS_RELEASE to control compiler warnings

    Make compiler warnings non-fatal for release builds (those in which a
    git directory is not present).

M	configure.ac
A	m4/ax_is_release.m4

commit 3aaf603fb5579ba547f2295c541f4887cae7e161
Author: David King <amigadave@amigadave.com>
Date:	Sat Jan 31 14:08:56 2015 +0100

    Port to AX_COMPILER_FLAGS

M	configure.ac
A	m4/ax_append_compile_flags.m4
A	m4/ax_append_flag.m4
A	m4/ax_check_compile_flag.m4
A	m4/ax_check_enable_debug.m4
A	m4/ax_compiler_flags.m4
A	m4/ax_compiler_flags_cflags.m4
A	m4/ax_compiler_flags_cxxflags.m4
A	m4/ax_compiler_flags_gir.m4
A	m4/ax_compiler_flags_ldflags.m4
A	m4/ax_require_defined.m4

commit 127157defbb9965c2cd5d0a591fd8a24336f3c57
Author: David King <amigadave@amigadave.com>
Date:	Fri Jan 30 14:10:57 2015 +0000

    Fix const correctness warnings

M	src/file_area.c
M	src/scan_dialog.c
M	src/tag_area.c
M	src/tags/ogg_header.c

commit e0a9c2f75c9a65d1bd4508dbde46abc0d1742106
Author: David King <amigadave@amigadave.com>
Date:	Fri Jan 30 13:53:50 2015 +0000

    Fix sign comparison warnings

M	src/cddb_dialog.c
M	src/charset.c
M	src/charset.h
M	src/core_types.h
M	src/file.c
M	src/file.h
M	src/log.c
M	src/scan_dialog.c
M	src/tags/id3v24_tag.c

commit 9110197224fb3084b926828c9a1466e89d1b5390
Author: David King <amigadave@amigadave.com>
Date:	Fri Jan 30 13:50:17 2015 +0000

    Avoid old-style function declaration

M	src/application.c
M	src/log.c

commit e90a7e842f459fd3354d5de9f9da8410de143386
Author: David King <amigadave@amigadave.com>
Date:	Fri Jan 30 13:49:40 2015 +0000

    Avoid unhandled switch cases warning

M	src/application.c
M	src/picture.c
M	src/playlist_dialog.c
M	src/scan_dialog.c
M	src/tag_area.c
M	src/tags/flac_header.c
M	src/tags/flac_tag.c
M	src/tags/id3_tag.c
M	src/tags/id3v24_tag.c
M	src/tags/mp4_tag.cc
M	src/tags/mpeg_header.c
M	src/tags/ogg_header.c
M	src/tags/vcedit.c

commit 6f19b8589cb2857c646dbdc443108026ccd62d09
Author: David King <amigadave@amigadave.com>
Date:	Fri Jan 30 13:43:57 2015 +0000

    Avoid shadowed variable warnings

M	src/application_window.c
M	src/cddb_dialog.c
M	src/charset.c
M	src/easytag.c
M	src/file.c
M	src/file_list.c
M	src/log.c
M	src/playlist_dialog.c
M	src/scan_dialog.c
M	src/tags/gio_wrapper.cc
M	src/tags/id3_tag.c
M	src/tags/id3v24_tag.c
M	src/tags/libapetag/apetaglib.c
M	src/tags/mp4_tag.cc
M	src/tags/ogg_tag.c
M	src/tags/vcedit.c

commit 0a6d0228a7cd2ea8a92fe502f15d07a09a44d4f0
Author: David King <amigadave@amigadave.com>
Date:	Fri Jan 30 13:35:25 2015 +0000

    Add missing default cases in switch statements

M	src/application_window.c
M	src/browser.c
M	src/cddb_dialog.c
M	src/file_list.c
M	src/load_files_dialog.c
M	src/playlist_dialog.c
M	src/scan_dialog.c
M	src/tag_area.c
M	src/tags/opus_header.c
M	src/tags/vcedit.c

commit 2db55ba7ecf762762bf95d27c673dd16bf1110c8
Author: David King <amigadave@amigadave.com>
Date:	Fri Jan 30 13:31:15 2015 +0000

    Remove redundant declaration

M	src/file_list.h
M	src/scan_dialog.c

commit 91e48e8a6cdc551cb6e0220591a3b3d7350ee9c0
Author: David King <amigadave@amigadave.com>
Date:	Fri Jan 30 14:26:19 2015 +0000

    Handle OptimFrog files as if they are unknown

M	src/file.c
M	src/file_list.c

commit 65435b7197b5edf8404da3dee5ec633bbb5f9861
Author: David King <amigadave@amigadave.com>
Date:	Mon Feb 2 20:55:13 2015 +0000

    Fix compilation of misc test

M	tests/test-misc.c

commit 2703196a5c7446c0873aa71bdd3d26428ed53296
Author: David King <amigadave@amigadave.com>
Date:	Thu Jan 22 16:32:20 2015 +0000

    Remove unnecessary NULL check in CDDB dialog

    Found with Coverity (CID 1265641).

M	src/cddb_dialog.c

commit 7c04a8693a4a05aa5a4d19e9ea65ffc3502e7a67
Author: David King <amigadave@amigadave.com>
Date:	Thu Jan 22 16:31:55 2015 +0000

    Add missing break in switch

    Avoid an assert when opening Opus files.

    Found with Coverity (CID 1265644).

M	src/tags/vcedit.c

commit c47e1c630c7d510a33758e1886f2569bffd6e1f7
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Mon Jan 12 19:13:06 2015 +0100

    Updated Spanish translation

M	po/es.po

commit 31b6782943c2470e71a83835b07f723046d23da2
Author: Christian Kirbach <christian.kirbach@gmail.com>
Date:	Sun Jan 11 23:43:12 2015 +0100

    Added German help translation

M	help/Makefile.am
A	help/de/de.po

commit 93b17aed08fae4c89739b7ad84419fb173ce2042
Author: David King <amigadave@amigadave.com>
Date:	Fri Jan 9 18:54:12 2015 +0000

    Simplify GtkFileFilter creation

M	src/tag_area.c

commit 5709590dda8e909e5d0c85881aa1ced632d92e1b
Author: David King <amigadave@amigadave.com>
Date:	Thu Jan 8 20:02:01 2015 +0000

    Fix common symbol linker warnings

    Found with the --warn-common linker argument.

M	src/easytag.c
M	src/easytag.h
M	src/setting.c
M	src/setting.h

commit debc2d333fa7a1679e4828f1d8f78f8a1546f7e2
Author: David King <amigadave@amigadave.com>
Date:	Wed Jan 7 09:23:54 2015 +0000

    Fix pointer arithmetic when reading CDDB result

    Found with cppcheck.

M	src/cddb_dialog.c

commit b8719737110fb33bd4c169308f9b316191beb9c1
Author: David King <amigadave@amigadave.com>
Date:	Wed Jan 7 09:23:32 2015 +0000

    Avoid an unnecessary variable assignment

    Found with cppcheck.

M	src/browser.c

commit ebe269ac7bedf4394f57db8712f8dfd402f2d5e3
Author: David King <amigadave@amigadave.com>
Date:	Wed Jan 7 09:16:46 2015 +0000

    Fix crash when saving FLAC tags

    https://bugzilla.gnome.org/show_bug.cgi?id=742350

M	src/tags/id3_tag.c

commit 9aad89da3bbe7c822eb12fb082e7d4a085eb3ed6
Author: David King <amigadave@amigadave.com>
Date:	Mon Jan 5 00:09:36 2015 +0000

    Refactor File_Tag copying functions

    Change functions which accept ET_File for the purposes of copying a
    File_Tag struct to instead use the File_Tag directly. Move the
    declarations to file_tag.h.

M	src/cddb_dialog.c
M	src/file.c
M	src/file.h
M	src/file_tag.c
M	src/file_tag.h
M	src/scan_dialog.c
M	src/tag_area.c

commit 5068f6537caa6748cf535405a6ef59776bb0f683
Author: David King <amigadave@amigadave.com>
Date:	Sun Jan 4 22:24:36 2015 +0000

    Update copyright year in about dialog

M	src/about.c

commit f1b5b2ab94bdd5448e3415f1189c846fabfbcd36
Author: David King <amigadave@amigadave.com>
Date:	Sun Jan 4 22:15:56 2015 +0000

    Simplify ET_Copy_File_Tag_Item()

    Use File_Tag setters to avoid code duplication.

M	src/file_tag.c

commit c2d9b91f88f0255d4f54d48b1f108d7675c1ec56
Author: David King <amigadave@amigadave.com>
Date:	Sun Jan 4 21:58:57 2015 +0000

    Remove unnecessary et_file_tag_init()

    Use g_slice_new0() to zero-initialize the File_Tag struct, and do away
    with the separate function.

M	src/file_tag.c

commit 4db3cfad59ada303745ca1d938daf0fdec92b88d
Author: David King <amigadave@amigadave.com>
Date:	Sun Jan 4 21:51:44 2015 +0000

    Use consistent naming for File_Tag methods

    Use et_file_tag_ as a prefix for functions dealing with File_Tag
    structs.

M	src/application_window.c
M	src/cddb_dialog.c
M	src/file.c
M	src/file_list.c
M	src/file_tag.c
M	src/file_tag.h
M	src/scan_dialog.c
M	src/tag_area.c
M	src/tags/flac_tag.c
M	src/tags/id3_tag.c

commit fda6ef148fa2c1f68494b17806d64083bc4a511a
Author: Marek Černocký <marek@manet.cz>
Date:	Sun Jan 4 23:35:33 2015 +0100

    Updated Czech translation

M	help/cs/cs.po

commit 46ce097031559cf279f1d63c4fff25026ef2040e
Author: Marek Černocký <marek@manet.cz>
Date:	Sun Jan 4 22:38:12 2015 +0100

    Add Czech help translation

M	help/Makefile.am
A	help/cs/cs.po

commit 6224dff545be6ae7776d13f4ed37b148edd9c1a9
Author: David King <amigadave@amigadave.com>
Date:	Sun Jan 4 14:26:40 2015 +0000

    Relicense id3lib wrapper to GPLv2+

    Invoke Section 3 of the LGPL, and apply the terms of the GPL to
    all the
    LGPL portions of id3lib code inside EasyTAG.

M	src/tags/id3lib/c_wrapper.cpp
M	src/tags/id3lib/id3_bugfix.h

commit 608a91f515004efe1ad44534e7cafc79c93e08e5
Author: David King <amigadave@amigadave.com>
Date:	Sun Jan 4 12:07:19 2015 +0000

    Check for a valid Vorbis comment image MIME type

M	src/tags/ogg_tag.c

commit 8944602a8154fd7cbbaa6911e3f43b3e6f432368
Author: David King <amigadave@amigadave.com>
Date:	Sun Jan 4 11:34:44 2015 +0000

    Do some validation of Vorbis artwork field lengths

M	src/tags/ogg_tag.c

commit 2024a4be439afd9cdf1b897e72bbda7b76052fdb
Author: David King <amigadave@amigadave.com>
Date:	Sun Jan 4 10:41:11 2015 +0000

    Check for an invalid field when reading Vorbis art

    When reading cover art from Vorbis comments, check that the
    Base64-decoded data is at least long enough to hold the
    METADATA_BLOCK_PICTURE fields. Mark any invalid files as modified, so
    that the invalid field is removed upon saving.

    https://retrace.fedoraproject.org/faf2/problems/516585/

M	src/tags/ogg_tag.c

commit e4c4e1a17c0a6c006f2e7e9669e68703bcad1367
Author: David King <amigadave@amigadave.com>
Date:	Wed Dec 31 19:21:12 2014 +0000

    Update NEWS for 2.3.3 release

M	NEWS
M	SOURCES
M	configure.ac

commit a7fbff9745f87b883162585bdc88d2af31ddf084
Author: David King <amigadave@amigadave.com>
Date:	Wed Dec 31 19:14:15 2014 +0000

    Distribute easytag.manifest for MinGW build

M	Makefile.am

commit 88150f84f78fcae47a6b316eea6954aabe506597
Author: David King <amigadave@amigadave.com>
Date:	Wed Dec 31 19:07:13 2014 +0000

    Add stdlib.h include for malloc() under MinGW

M	src/tags/vcedit.c

commit ec35ca5930a91a50870a3988742dcd3a779a45c8
Author: David King <amigadave@amigadave.com>
Date:	Wed Dec 31 19:03:37 2014 +0000

    Add unistd.h include for SEEK_SET under MinGW

M	src/tags/flac_private.c

commit e87b62b58af12187bb66571dfeb8ad0212095af0
Author: David King <amigadave@amigadave.com>
Date:	Wed Dec 31 12:10:04 2014 +0000

    Add test for ET_File_Description functions

M	Makefile.am
A	tests/test-file_description.c

commit 94da689bccf1dc291eebe08f2db2ae77e156f183
Author: David King <amigadave@amigadave.com>
Date:	Wed Dec 31 11:08:57 2014 +0000

    Simplify ET_Core from four functions to two

    Remove the duplication of create/initialize and free/destroy to just
    ET_Core_Create() and ET_Core_Free().

M	src/application.c
M	src/application_window.c
M	src/easytag.c
M	src/et_core.c
M	src/et_core.h

commit c5abfa4bb11ef3c00a41637310052254d74708b6
Author: David King <amigadave@amigadave.com>
Date:	Tue Dec 30 21:04:44 2014 +0000

    Split ET_Core list handling code off to new file

M	Makefile.am
M	po/POTFILES.in
M	src/application.c
M	src/application_window.c
M	src/browser.c
M	src/easytag.c
M	src/et_core.c
M	src/file.c
M	src/file.h
M	src/file_area.c
A	src/file_list.c
A	src/file_list.h
M	src/scan_dialog.h
M	src/tag_area.c

commit 103c20223cdbf9e6870d371fd3a7a82a317dca96
Author: David King <amigadave@amigadave.com>
Date:	Sun Dec 28 22:32:37 2014 +0000

    Split majority of et_core.c out into new file.c

M	Makefile.am
M	po/POTFILES.in
M	src/et_core.c
M	src/et_core.h
C097	src/et_core.c	src/file.c
C077	src/et_core.h	src/file.h

commit d639f6ca9e60726dcb0932c168c2cfbedf83183c
Author: David King <amigadave@amigadave.com>
Date:	Sun Dec 28 20:32:27 2014 +0000

    Split ET_File_Description out to separate file

M	Makefile.am
M	src/easytag.c
M	src/et_core.c
M	src/et_core.h
A	src/file_description.c
A	src/file_description.h

commit 7c12ed02a4b1707bcf791db34d2438d69dcd8715
Author: David King <amigadave@amigadave.com>
Date:	Sun Dec 28 20:08:27 2014 +0000

    Move two more struct declarations to core_types.h

M	src/core_types.h
M	src/et_core.h

commit 86f79e4b7093ef221eb30786366cf79896af486f
Author: David King <amigadave@amigadave.com>
Date:	Sun Dec 28 19:34:55 2014 +0000

    Split off File_Tag to a separate file

    Move most of the prototypes for functions that deal with File_Tag to a
    separate file_tag.h header, and keep the remaining ones in et_core.h.

M	Makefile.am
M	src/et_core.c
M	src/et_core.h
A	src/file_tag.c
A	src/file_tag.h

commit bb9ce6f6bc4a4318c4b4b3dbc07079c91d04caff
Author: David King <amigadave@amigadave.com>
Date:	Sun Dec 28 18:58:30 2014 +0000

    Move EtPicture declaration to picture.h

M	src/et_core.h
M	src/picture.h

commit 9e855c1b482f11b3114d10cf0b0b48c87b90f931
Author: David King <amigadave@amigadave.com>
Date:	Sun Dec 28 18:41:22 2014 +0000

    Split a couple of enums out to a new core_types.h

    This should make it easier to split up the behemoth that is et_core.h.

M	Makefile.am
A	src/core_types.h
M	src/et_core.h
M	src/picture.h

commit 3377420a6676718711d1b1f227703f3cca90054a
Author: David King <amigadave@amigadave.com>
Date:	Sun Dec 28 16:41:53 2014 +0000

    Make ET_Set_Field_File_Tag_Item() static

    Change the last uses of ET_Set_Field_File_Tag_Item() inside the
    scanner
    dialog to use the File_Tag struct setters instead.

M	src/et_core.c
M	src/et_core.h
M	src/scan_dialog.c

commit b1242ae8a868aa55a176ce7cebee173309701fdc
Author: David King <amigadave@amigadave.com>
Date:	Sun Dec 28 15:52:10 2014 +0000

    Add File_Tag struct setters

M	src/cddb_dialog.c
M	src/et_core.c
M	src/et_core.h
M	src/scan_dialog.c
M	src/tag_area.c

commit 551629c3f63c071122a5fadb012f8ce37821111e
Author: David King <amigadave@amigadave.com>
Date:	Mon Dec 29 11:43:02 2014 +0000

    Fix stripping disc number field from ID3v2.4 tags

    As part of a change made in bug 726467, disc number handling for ID3
    tags was modified to only allow digits and the '/' character in
    the TPOS
    field. A bogus check was added for ID3 tags, so that if saving a tag
    with no content in the disc number field, the existing TPOS tag would
    not be cleared.

    Remove the erroneous check, as et_id3tag_get_tpos_from_file_tag()
    safely
    handles the disc number field being empty.

    https://bugzilla.gnome.org/show_bug.cgi?id=742082

M	src/tags/id3v24_tag.c

commit ef551ae59259c5782a005b532716832c92458162
Author: David King <amigadave@amigadave.com>
Date:	Sun Dec 28 15:04:57 2014 +0000

    Simplify ET_Set_Field_File_Tag_Item()

    Return void rather than TRUE. Use a comparison against '\0'
    rather than
    using g_utf8_strlen(). Avoid a superfluous assignment to NULL.

M	src/et_core.c
M	src/et_core.h

commit c17f82ba10ee4a908db90c86ca66e0dd18b6f53a
Author: David King <amigadave@amigadave.com>
Date:	Sun Dec 28 14:59:51 2014 +0000

    Avoid warnings due to uninitialized values

M	src/tag_area.c
M	src/tags/ogg_tag.c

commit 0019f3dc197585dc61bc34743b57b9ffff1bd9a9
Author: David King <amigadave@amigadave.com>
Date:	Sun Dec 28 11:33:24 2014 +0000

    Refactor et_picture_new() to be more complete

    Make et_picture_new() both create a new EtPicture instance and
    initialize all the fields. Copy the description string and ref
    the image
    data GBytes. Adapt existing users (and tests) to the new interface.

M	src/picture.c
M	src/picture.h
M	src/tag_area.c
M	src/tags/flac_tag.c
M	src/tags/id3v24_tag.c
M	src/tags/mp4_tag.cc
M	src/tags/ogg_tag.c
M	tests/test-picture.c

commit 411b45ede2bc9c46668cb0be90d72b5147b4e5c6
Author: David King <amigadave@amigadave.com>
Date:	Sun Dec 28 10:06:57 2014 +0000

    Use new et_file_tag_set_picture()

M	src/et_core.c
M	src/tag_area.c
M	src/tags/mp4_tag.cc

commit 787810ab863d12ccf5f9dac3a2ec9692ddda606b
Author: David King <amigadave@amigadave.com>
Date:	Sat Dec 27 22:25:14 2014 +0000

    Refactor ET_Set_Field_File_Tag_Picture()

    Rename to et_file_tag_set_picture(). Rather than handling a EtPicture
    **, take a File_Tag and set the picture field appropriately.

M	src/et_core.c
M	src/et_core.h
M	src/tag_area.c

commit 94dae722e611172961b619f5f97a49635ffb39ee
Author: David King <amigadave@amigadave.com>
Date:	Sat Dec 27 21:46:24 2014 +0000

    Refactor ET_Get_Number_Of_Files_In_Directory()

    Generate the collate key for the path once, rather than for each
    iteration through the loop.

M	src/et_core.c

commit 1b3e8b1f0f4cfc21533fb6008b7fdef837c19e49
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	Sat Dec 27 13:36:44 2014 +0100

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit fad2eca29ba532fc386bb5a421169e31dbb9eff2
Author: David King <amigadave@amigadave.com>
Date:	Fri Dec 26 22:36:39 2014 +0000

    Fix Ctrl-clicking to toggle file selection

    In the selection changed handler, only change the current file
    shown in
    the file and tag areas if it is selected. When unselecting, do not
    update the current file.

    https://bugzilla.gnome.org/show_bug.cgi?id=741980

M	src/browser.c

commit bfc1a7748b4856e04dd817ecae96a49ea65b07d3
Author: Marek Černocký <marek@manet.cz>
Date:	Fri Dec 26 12:09:27 2014 +0100

    Updated Czech translation

M	po/cs.po

commit 8d099a706d1fa8eb67669cca31a44ac7444195a9
Author: David King <amigadave@amigadave.com>
Date:	Wed Dec 24 15:00:29 2014 +0000

    Add an invariant in Log_Print()

    Return and log a critical message if EtLogArea has not been
    initialized
    when calling Log_Print().

M	src/log.c

commit b1a10faac70b6cf074f338f9dc3ae918ef2b1f30
Author: David King <amigadave@amigadave.com>
Date:	Wed Dec 24 14:53:32 2014 +0000

    Remove broken early logging code

    The code to store a temporary list for logging messages during early
    application startup was broken, and needs to be rethought.

M	src/log.c

commit 28396f3cc13171a14c9299af4d546707c31bcdf5
Author: David King <amigadave@amigadave.com>
Date:	Wed Dec 24 14:43:45 2014 +0000

    Avoid crash during config directory migration

    Do not call Log_Print() during early application startup, to avoid the
    situation before EtApplicationWindow and EtLogArea have been
    instantiated where logging a message will fail.

    https://retrace.fedoraproject.org/faf2/problems/552599/

M	src/setting.c

commit 153a2f2f822714d9157497f764824df1ff1b1a78
Author: David King <amigadave@amigadave.com>
Date:	Wed Dec 24 12:58:12 2014 +0000

    Fix double unref in et_rename_file() error path

    https://retrace.fedoraproject.org/faf2/problems/558544/
    https://retrace.fedoraproject.org/faf2/problems/552602/

M	src/easytag.c

commit 00f216188543d5460d4d10218e304f5fa70a418b
Author: David King <amigadave@amigadave.com>
Date:	Wed Dec 24 09:37:09 2014 +0000

    Add album artist support to APE tags

M	src/tags/ape_tag.c
M	src/tags/libapetag/apetaglib.h

commit 2d7791969d689038e36c81575facf8d7e0673d3f
Author: David King <amigadave@amigadave.com>
Date:	Tue Dec 23 21:15:37 2014 +0000

    Avoid compiler warning in et_flac_read_func()

    Cast a GFileInputStream to a GInputStream when passed as the first
    argument to g_input_stream_read().

M	src/tags/flac_private.c

commit d41c9b8b9b4d0baa2e697fd0592e50a433998b14
Author: David King <amigadave@amigadave.com>
Date:	Tue Dec 23 20:35:46 2014 +0000

    Simplify the shared FLAC reading code

    Make EtFlacWriteState extend EtFlacReadState, and use a single
    callback
    function for each of the read, seek, tell and EOF callbacks as
    a result.

M	src/tags/flac_header.c
M	src/tags/flac_private.c
M	src/tags/flac_private.h
M	src/tags/flac_tag.c

commit e49dac580f9d88380f1f44aabbc4a18f5f178446
Author: David King <amigadave@amigadave.com>
Date:	Tue Dec 23 20:01:35 2014 +0000

    Use GIO for writing WavPack tags

    Add a new EtWavpackWriteState struct, extended from EtWavpackState,
    and
    use it to store the IOStream during tag writing.

M	src/tags/wavpack_private.c
M	src/tags/wavpack_private.h
M	src/tags/wavpack_tag.c

commit 71dc1da626f0d32d4d8f0f983d12c11d86900114
Author: David King <amigadave@amigadave.com>
Date:	Tue Dec 23 18:20:15 2014 +0000

    Use GIO for reading WavPack headers

    Split out the WavpackStreamReader functions to a separate file,
    so that
    they can be shared between the header and tag functions.

M	Makefile.am
M	src/tags/wavpack_header.c
A	src/tags/wavpack_private.c
A	src/tags/wavpack_private.h
M	src/tags/wavpack_tag.c

commit 03b13fccbb6a712c70d64683f9d5860a7cb4d3d6
Author: David King <amigadave@amigadave.com>
Date:	Tue Dec 23 17:42:48 2014 +0000

    Use GIO when reading WavPack tags

M	src/tags/wavpack_tag.c

commit 614529cee0caa215acbb989126b16c3bb4a3e3de
Author: David King <amigadave@amigadave.com>
Date:	Tue Dec 23 09:17:04 2014 +0000

    Really fix the disc number padding check button

    Rathar than fixing only the disc number padding spin button,
    also update
    the setting bound to the check button.

    https://bugzilla.gnome.org/show_bug.cgi?id=741889

M	src/preferences_dialog.c

commit 786c97140d6afb78a806cf27d127fd75fc16e734
Author: David King <amigadave@amigadave.com>
Date:	Tue Dec 23 08:49:48 2014 +0000

    Fix the disc number padding widgets

    Bind the spin button for setting the disc number padding to the
    tag-disc-length setting, and the corresponding check button to the
    tag-disc-padded setting, rather than using the track number settings.

    https://bugzilla.gnome.org/show_bug.cgi?id=741889

M	src/preferences_dialog.c

commit 3be9f9e912ec44e7d938d1f3b70b74f578a93268
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:	Tue Dec 23 02:30:38 2014 +0000

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit da0cad5c8b08ed411c1cb356c86d2dd5a7b72f4d
Author: David King <amigadave@amigadave.com>
Date:	Sun Dec 21 22:33:25 2014 +0000

    Fix string leak when reading WavPack tags

M	src/tags/wavpack_tag.c

commit 77c2379a132805b57ca3e31f497d9f67be88c51a
Author: David King <amigadave@amigadave.com>
Date:	Sun Dec 21 22:16:06 2014 +0000

    Read the WavPack channel mask

    Use WavpackGetChannelMask() to read the channel mask from the WavPack
    header, and add a new et_wavpack_channel_mask_to_string() function to
    format it for display.

M	src/tags/wavpack_header.c

commit adc40e02b6d177a2df5cbb154b1b6dfb9384a849
Author: David King <amigadave@amigadave.com>
Date:	Sun Dec 21 21:17:57 2014 +0000

    Clear empty tag fields when saving WavPack tags

    Refactor WavPack tag saving to use a new
    et_wavpack_append_or_delete_tag_item() helper function. Call
    WavpackDeleteTagItem() to delete a tag item if the item is empty.

M	src/tags/wavpack_tag.c

commit d2ed5f679a8c465297b542b38d1110be10ed1391
Author: David King <amigadave@amigadave.com>
Date:	Sun Dec 21 19:32:08 2014 +0000

    Use memset() to zero out the WavPack read buffer

M	src/tags/wavpack_tag.c

commit fa6c9de17173f5234f4072fa615d5ee5e6b7ee52
Author: David King <amigadave@amigadave.com>
Date:	Sun Dec 21 19:30:33 2014 +0000

    Support album artist in WavPack tags

M	src/tags/wavpack_tag.c

commit 1e4a307d4768c414c255d1896e4b9d74e7be746d
Author: David King <amigadave@amigadave.com>
Date:	Sun Dec 21 10:39:56 2014 +0000

    Remove stray unused local CDDB code

M	src/cddb_dialog.c

commit 6532af69270ae1a030d48d389c13aa4bd122a190
Author: David King <amigadave@amigadave.com>
Date:	Sun Dec 21 10:37:09 2014 +0000

    Use const when fetching File_Name from an ET_File

M	src/application_window.c
M	src/browser.c
M	src/easytag.c
M	src/et_core.c
M	src/file_area.c
M	src/playlist_dialog.c
M	src/scan_dialog.c
M	src/tag_area.c

commit 928c5e111dc1aac5da8d9de0767c06eb4f456bbb
Author: David King <amigadave@amigadave.com>
Date:	Sun Dec 21 10:36:33 2014 +0000

    Add -Werror=return-type to compiler flags

M	configure.ac

commit dc66588abaaf528d55a9f447ea923760289a08b0
Author: David King <amigadave@amigadave.com>
Date:	Sun Dec 21 09:55:26 2014 +0000

    Remove unnecessary ftruncate() wrapper

M	configure.ac
M	src/win32/win32dep.c
M	src/win32/win32dep.h

commit 1342885c94e73a865b7775fae419f11171c85700
Author: David King <amigadave@amigadave.com>
Date:	Sat Dec 20 18:11:37 2014 +0000

    Use GIO when reading and writing ID3v2.4 files

M	src/tags/id3v24_tag.c

commit d8a9e8889f8345f69a61993dbf1448c61cd76377
Author: Balázs Úr <urbalazs@gmail.com>
Date:	Sat Dec 20 11:03:55 2014 +0000

    Updated Hungarian translation

M	po/hu.po

commit c0bb61c66ff0363894bd2919979b047ce80317f4
Author: David King <amigadave@amigadave.com>
Date:	Fri Dec 19 22:19:34 2014 +0000

    Use GIO when reading and writing list store files

M	src/setting.c

commit 6fcbdd18ef8177df92e09137e4d2d8649bffc92b
Author: David King <amigadave@amigadave.com>
Date:	Thu Dec 18 17:44:38 2014 +0000

    Use the GLib slice allocator where appropriate

    When allocating structs, use the GLib slice allocator. Simplify some
    allocation code to also zero-initialize the struct.

M	src/cddb_dialog.c
M	src/et_core.c
M	src/log.c
M	src/scan_dialog.c

commit 06c9eeb5cdb78c4dab056b99c44596d1252f40db
Author: David King <amigadave@amigadave.com>
Date:	Thu Dec 18 17:44:16 2014 +0000

    Avoid superfluous use of sizeof(char)

M	src/tags/id3_tag.c

commit 15eec372a8b0162dad18c36a7463aad135831bfe
Author: David King <amigadave@amigadave.com>
Date:	Thu Dec 18 17:43:32 2014 +0000

    Simplify reading artwork description from Ogg tags

M	src/tags/ogg_tag.c

commit 18769d84f2deda03138cf86907197db0c258868e
Author: David King <amigadave@amigadave.com>
Date:	Thu Dec 18 17:41:21 2014 +0000

    Use a stack-allocated buffer for WavPack tags

M	src/tags/wavpack_tag.c

commit 9e312fa308724050b2945c1f993e7375bb72aafa
Author: David King <amigadave@amigadave.com>
Date:	Thu Dec 18 16:59:39 2014 +0000

    Fix double free in CDDB dialog error path

M	src/cddb_dialog.c

commit 8f48a76c0d97d72642fe83d715298d9fc073bd0c
Author: David King <amigadave@amigadave.com>
Date:	Thu Dec 18 16:46:33 2014 +0000

    Fix check for errors when writing WavPack tags

M	src/tags/wavpack_tag.c

commit 45248269bd07ae50e89a673c70e49b590855c057
Author: David King <amigadave@amigadave.com>
Date:	Thu Dec 18 16:36:44 2014 +0000

    Fix a double free when reading WavPack headers

M	src/tags/wavpack_header.c

commit bfde77327544d7b548c9fec113321e13e26d0638
Author: David King <amigadave@amigadave.com>
Date:	Thu Dec 18 16:35:37 2014 +0000

    Add G_SLICE=debug-blocks to test environment

M	Makefile.am

commit 593aa8f45e5d5256d5bb167394b8e872c253be47
Author: David King <amigadave@amigadave.com>
Date:	Wed Dec 17 22:38:46 2014 +0000

    Add a test for EtPicture boxed type copying

M	tests/test-picture.c

commit 1fdb2ef8382e0bbce97b60f4259a01dc961e1ff6
Author: David King <amigadave@amigadave.com>
Date:	Wed Dec 17 22:18:16 2014 +0000

    Fix Picture_Format_From_Data()

    Check the result of memcmp() against 0. Extend the JPEG magic number.
    Add a simple test.

M	src/picture.c
M	tests/test-picture.c

commit 5e15d6ed841c10846a1b4695b69eb1589035b9c6
Author: David King <amigadave@amigadave.com>
Date:	Wed Dec 17 18:18:16 2014 +0000

    Fix memory leak when saving a temporary FLAC file

M	src/tags/flac_tag.c

commit 7a04dedf0a37a5da1fadb085b5693e67fc220107
Author: David King <amigadave@amigadave.com>
Date:	Wed Dec 17 18:02:02 2014 +0000

    Make EtPicture a boxed type

    Rename Picture to EtPicture and define a boxed type with
    G_DEFINE_BOXED_TYPE. Rename Picture functions to et_picture_*(). Fix a
    memory leak when destroying the tag area tree view, by using an
    EtPicture column in the list store. Update the EtPicture tests.

M	data/tag_area.ui
M	src/et_core.c
M	src/et_core.h
M	src/picture.c
M	src/picture.h
M	src/tag_area.c
M	src/tags/flac_tag.c
M	src/tags/id3_tag.c
M	src/tags/id3v24_tag.c
M	src/tags/mp4_tag.cc
M	src/tags/ogg_tag.c
M	tests/test-picture.c

commit 2f38620fdfce98ed381ac9b72a6f8d82ca4d0c63
Author: David King <amigadave@amigadave.com>
Date:	Wed Dec 17 17:10:39 2014 +0000

    Use GBytes for image data inside Picture

    Avoid many superfluous memory allocations when copying Picture
    instances
    by using GBytes instead of a bare pointer, and incrementing the
    reference count when copying. Use the slice allocator to allocate
    Picture instances. Avoid Picture->bytes from ever being NULL. Update
    the
    Picture tests.

    Inspired by a report of excessive memory usage on the mailing list:

    https://mail.gnome.org/archives/easytag-list/2014-December/msg00000.html

M	src/et_core.c
M	src/et_core.h
M	src/picture.c
M	src/picture.h
M	src/tag_area.c
M	src/tags/flac_tag.c
M	src/tags/id3_tag.c
M	src/tags/id3v24_tag.c
M	src/tags/mp4_tag.cc
M	src/tags/ogg_tag.c
M	tests/test-picture.c

commit 1dc1732e26b93a3ee792f13d0faaf18652ea4a71
Author: David King <amigadave@amigadave.com>
Date:	Tue Dec 16 20:25:25 2014 +0000

    Remove many unnecessary include directives

M	src/about.c
M	src/application.c
M	src/application.h
M	src/application_window.c
M	src/browser.c
M	src/browser.h
M	src/cddb_dialog.c
M	src/charset.c
M	src/easytag.c
M	src/easytag.h
M	src/et_core.c
M	src/et_core.h
M	src/log.c
M	src/misc.c
M	src/picture.c
M	src/picture.h
M	src/preferences_dialog.c
M	src/scan_dialog.c
M	src/setting.c
M	src/status_bar.c
M	src/tag_area.c
M	src/tags/ape_tag.c
M	src/tags/flac_header.c
M	src/tags/flac_tag.c
M	src/tags/id3_tag.c
M	src/tags/id3v24_tag.c
M	src/tags/monkeyaudio_header.c
M	src/tags/mp4_tag.cc
M	src/tags/mpeg_header.c
M	src/tags/musepack_header.c
M	src/tags/ogg_header.c
M	src/tags/ogg_header.h
M	src/tags/ogg_tag.c
M	src/tags/opus_header.c
M	src/tags/opus_tag.c
M	src/tags/vcedit.c
M	src/tags/vcedit.h
M	src/tags/wavpack_header.c
M	src/tags/wavpack_tag.c

commit 790a379aa45523126630e58992fc83470f059079
Author: David King <amigadave@amigadave.com>
Date:	Sun Dec 14 22:06:46 2014 +0000

    Allow the search dialog tree view to expand

    https://bugzilla.gnome.org/show_bug.cgi?id=741525

M	data/search_dialog.ui

commit 935318961603f506a3bdba80d4b46eed34131ae3
Author: David King <amigadave@amigadave.com>
Date:	Sun Dec 14 18:03:38 2014 +0000

    Make crc32_file_with_ID3_tag() accept a GFile

M	src/crc32.c
M	src/crc32.h
M	src/scan_dialog.c

commit 1d227dc59cf47da8976d0d92ebab6cbaf5872879
Author: David King <amigadave@amigadave.com>
Date:	Sun Dec 14 15:52:16 2014 +0000

    Refactor Vorbis comment code

    Use the slice allocator. Move the state struct definition to the
    source
    file. Adjust coding style. Change the codec type defines to be a new
    EtOggKind enum.

M	src/tags/ogg_header.c
M	src/tags/ogg_tag.c
M	src/tags/vcedit.c
M	src/tags/vcedit.h

commit 699747408eeb2407ba9d5ed7babe472a500af25e
Author: David King <amigadave@amigadave.com>
Date:	Sun Dec 14 13:54:44 2014 +0000

    Fix memory leak when loading a Speex file

M	src/tags/vcedit.c

commit 5167916b5ba9bfd4f7b01bc8ae0372aa6af5a344
Author: David King <amigadave@amigadave.com>
Date:	Sun Dec 14 13:54:24 2014 +0000

    Fix a memory leak when saving an Ogg file

M	src/tags/ogg_tag.c

commit 6202482e34567ba89f8ceab86469ccee0c41e0e5
Author: Marek Černocký <marek@manet.cz>
Date:	Sun Dec 14 14:13:43 2014 +0100

    Fixed typo

M	po/cs.po

commit 97921e2978f9fa897302151522d385b829796aad
Author: Muhammet Kara <muhammetk@gmail.com>
Date:	Sat Dec 13 08:22:25 2014 +0000

    Updated Turkish translation

M	po/tr.po

commit cf24bff29443f44bcdeb4862d7cb1e698befde5d
Author: David King <amigadave@amigadave.com>
Date:	Thu Dec 11 22:11:02 2014 +0000

    Fix memory leak in CDDB dialog error path

M	src/cddb_dialog.c

commit 21773c4bde88e344a5cbde8a3c4d76b4d7fe3aeb
Author: David King <amigadave@amigadave.com>
Date:	Tue Dec 9 23:01:02 2014 +0000

    Relicense libapetag and vcedit.c to GPLv2+

    Invoke Section 3 of the LGPL, and apply the terms of the GPL to
    all the
    LGPL portions of code inside EasyTAG, which include the APE tag
    reading
    code (libapetag) and the Vorbis comment parsing code (vcedit.c).

M	Makefile.am
M	data/easytag.appdata.xml.in
D	src/tags/libapetag/COPYING.LGPL
M	src/tags/libapetag/README.apetag
M	src/tags/libapetag/apetaglib.c
M	src/tags/libapetag/apetaglib.h
M	src/tags/libapetag/id3v2_read.c
M	src/tags/libapetag/id3v2_read.h
M	src/tags/libapetag/info_mac.c
M	src/tags/libapetag/info_mac.h
M	src/tags/libapetag/info_mpc.c
M	src/tags/libapetag/info_mpc.h
M	src/tags/libapetag/is_tag.c
M	src/tags/libapetag/is_tag.h
M	src/tags/vcedit.c
M	src/tags/vcedit.h

commit d907c83e674a64dff5d9472349eab32e7bab5ea8
Author: David King <amigadave@amigadave.com>
Date:	Sat Dec 6 23:57:24 2014 +0000

    Split off shared FLAC code to a separate file

M	Makefile.am
M	src/tags/flac_header.c
A	src/tags/flac_private.c
A	src/tags/flac_private.h
M	src/tags/flac_tag.c

commit ca5ef60eb3544908af0d7980cfa8ce9e2901a76a
Author: David King <amigadave@amigadave.com>
Date:	Fri Oct 3 17:44:31 2014 +0100

    Use GIO when reading and writing FLAC tags

    Use the level 2 FLAC metadata interface to read and write FLAC tags,
    using GIO for the IO callbacks.

M	src/tags/flac_tag.c

commit a80a55dc3f2a2c9cc8af53524e5f081bdf5b5f8c
Author: David King <amigadave@amigadave.com>
Date:	Sun Nov 30 21:38:33 2014 +0000

    Update NEWS for 2.3.2 release

M	NEWS
M	SOURCES
M	configure.ac

commit 08f5ac591a8af07c513ced6cf356e8048a15a179
Author: David King <amigadave@amigadave.com>
Date:	Sun Nov 30 20:38:23 2014 +0000

    Update British English translation

M	po/en_GB.po

commit 3e41239e437f8deda54e731e9ec13db55f7b20f5
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sun Nov 30 18:19:09 2014 +0100

    Updated Polish translation

M	po/pl.po

commit bea6a388583970ac506f5d6f21d59a3b256e8fa4
Author: David King <amigadave@amigadave.com>
Date:	Fri Nov 28 21:42:50 2014 +0000

    Use a separator row in the album view

M	data/browser.ui
M	src/browser.c

commit 20190badece12683366ce9da0e793f4bf2432f59
Author: David King <amigadave@amigadave.com>
Date:	Fri Nov 28 21:39:46 2014 +0000

    Remove unused PangoStyle columns from album models

M	data/browser.ui
M	src/browser.c

commit 06650c56f7b4443a483b434d8ce4121e9818936e
Author: Marek Černocký <marek@manet.cz>
Date:	Wed Nov 26 07:17:22 2014 +0100

    Updated Czech translation

M	po/cs.po

commit b6e9d66d8a305209160706bd916f2f7282055063
Author: David King <amigadave@amigadave.com>
Date:	Mon Nov 24 21:43:49 2014 +0000

    Add several picture type strings

    Improve the heuristic for guessing the image type from the filename.

    https://bugzilla.gnome.org/show_bug.cgi?id=740654

M	src/picture.c
M	src/picture.h
M	tests/test-picture.c

commit df635e253dceb93befa0ea6e9054ef0126c7d624
Author: Marek Černocký <marek@manet.cz>
Date:	Mon Nov 24 20:10:03 2014 +0100

    Updated Czech translation

M	po/cs.po

commit ac50c03cafefa2b1f3c8e579167a12e47762eadb
Author: David King <amigadave@amigadave.com>
Date:	Sat Nov 22 16:52:22 2014 +0000

    Remove unused argument from Ogg reading function

M	src/tags/ogg_tag.c
M	src/tags/ogg_tag.h
M	src/tags/opus_tag.c

commit 38ba361b46a1d00d93252cbecfb3afb9ffd8c839
Author: David King <amigadave@amigadave.com>
Date:	Fri Nov 21 23:18:16 2014 +0000

    Add tests for several picture functions

M	Makefile.am
M	src/picture.c
M	src/picture.h
M	src/tag_area.c
A	tests/test-picture.c

commit 4fcfe2136e8c36d3ca7f757bf453c07cf7742ebc
Author: David King <amigadave@amigadave.com>
Date:	Fri Nov 21 19:33:47 2014 +0000

    Add tests for DLM function

    Additionally, improve the metric reporting to report 0 as a minimum
    result fot the "similarity metric".

M	Makefile.am
M	src/dlm.c
M	src/dlm.h
A	tests/test-dlm.c

commit d5c3569e076486c46ce1d4a3a86476c4c00553d8
Author: David King <amigadave@amigadave.com>
Date:	Fri Nov 21 16:38:26 2014 +0000

    Add simple test for Convert_Duration()

M	Makefile.am
A	tests/test-misc.c

commit 084f04adc487f21bc768835d37709fe7626ac934
Author: David King <amigadave@amigadave.com>
Date:	Fri Nov 21 16:34:10 2014 +0000

    Move busy cursor handling to application window

    Avoid the deprecated gdk_cursor_new(), and instead use
    gdk_cursor_new_for_display().

M	src/application.c
M	src/application_window.c
M	src/application_window.h
M	src/easytag.c
M	src/misc.c
M	src/misc.h

commit 3d5ccb51e67997cf4f18ad9bb10923f86faa2324
Author: David King <amigadave@amigadave.com>
Date:	Thu Nov 20 23:54:06 2014 +0000

    Remove unused et_get_file_size()

    Additionally, tidy up some unnecessary misc.h prototypes.

M	src/misc.c
M	src/misc.h

commit 6456cdfc6bad7e48670bb380cdb42c905d48a4ed
Author: David King <amigadave@amigadave.com>
Date:	Thu Nov 20 23:36:03 2014 +0000

    Move file selection dialogs to application window

M	src/browser.c
M	src/misc.c
M	src/misc.h

commit a9d84f50b48c2398e39800d355b0e4ea24e6bd5f
Author: David King <amigadave@amigadave.com>
Date:	Thu Nov 20 22:37:33 2014 +0000

    Return a GError when launching external programs

    Consistently return a GError when reporting failures to launch
    external
    applications, and allow the calling code to show the error to the user
    as necessary.

M	src/application_window.c
M	src/browser.c
M	src/misc.c
M	src/misc.h

commit afed1362d87b1c070de448dffad7bc5d06929ecd
Author: David King <amigadave@amigadave.com>
Date:	Thu Nov 20 21:32:19 2014 +0000

    Fix launching an external application

    Only display a warning if the program name is empty. Move the
    status bar
    message printed on successful program execution to EtBrowser.

M	src/browser.c
M	src/misc.c

commit c8d869280f4d4ed34444bcd1da563715341d1a60
Author: David King <amigadave@amigadave.com>
Date:	Wed Nov 19 16:59:03 2014 +0000

    Fix memory leaks in Save_File() error paths

M	src/easytag.c

commit 72ec45e6bb209e9029ba13f6663d0f0a48ab8378
Author: David King <amigadave@amigadave.com>
Date:	Fri Nov 14 22:19:35 2014 +0000

    Make file list selection independent of direction

    When selecting a range from a row which is below the current view, do
    not scroll to the bottom of the selection, and instead ensure that the
    row which was clicked most-recently is the one which is shown in
    the tag
    area.

    https://bugzilla.gnome.org/show_bug.cgi?id=740134

M	src/browser.c

commit c11c8b5abf3e19f186db4f9290e24e008bb5e5a5
Author: David King <amigadave@amigadave.com>
Date:	Sun Nov 9 14:05:43 2014 +0000

    Set a GError in id3tag_write_file_v24tag()

    When returning FALSE to indicate an error, always set the passed-in
    GError.

M	src/tags/id3v24_tag.c

commit 1b4bb5b25860bb784e50fd84a373889fe45cea4c
Author: David King <amigadave@amigadave.com>
Date:	Sat Nov 8 18:45:59 2014 +0000

    Fix tag split setting for composer in FLAC

M	src/tags/flac_tag.c

commit cae160ebfd27b3d99a689732ec8c69f2d96a44e8
Author: David King <amigadave@amigadave.com>
Date:	Sat Nov 8 10:05:48 2014 +0000

    Remove unused log.h include from tagging code

M	src/tags/ape_tag.c
M	src/tags/flac_tag.c
M	src/tags/id3_tag.c
M	src/tags/id3v24_tag.c
M	src/tags/mp4_tag.cc
M	src/tags/ogg_tag.c
M	src/tags/opus_header.c
M	src/tags/opus_tag.c

commit 24fdf0b83665a64b52f3ceacdcff552fbe4fbf2a
Author: David King <amigadave@amigadave.com>
Date:	Sat Nov 8 10:02:40 2014 +0000

    Switch log message to debug in Ogg image handling

    Any images which cannot be converted to the specification-required PNG
    on JPEG are left unchanged, so emitting a log message is less than
    helpful.

M	src/tags/ogg_tag.c

commit 5e6686d300e7500a2c3e90d2c82e3465837e7ea8
Author: David King <amigadave@amigadave.com>
Date:	Fri Nov 7 19:33:05 2014 +0000

    Force a margin between the tag label and the tabs

    Add a GtkBox as a container for the tag label, so that the margin is
    applied when using it as an action widget in the tag area notebook.

M	data/tag_area.ui

commit 7d2e5f3f1a1a72f9cccad38583480a7f4d1116dc
Author: David King <amigadave@amigadave.com>
Date:	Fri Nov 7 19:02:15 2014 +0000

    Allow the tag area image treeview to expand

    Repack the tag area and file are into a GtkGrid rather than a GtkBox,
    and allow the images treeview to expand, so that the tag area expands
    vertically if there is room.

    https://mail.gnome.org/archives/easytag-list/2014-November/msg00005.html

M	data/tag_area.ui
M	src/application_window.c

commit 871ec1c8c2e0f08a665c881c09548314d0fc5ade
Author: David King <amigadave@amigadave.com>
Date:	Fri Nov 7 08:39:45 2014 +0000

    Fix process-fields setting handling in scanner

    Connect solely to the GSettings changed signal, rather than also
    connecting to the toggled signal on the check buttons. This ensures
    that
    the state is updated only when the GSettings key changes, avoiding
    inconsistent behaviour when unselecting the last selected field.

    https://bugzilla.gnome.org/show_bug.cgi?id=739756

M	src/scan_dialog.c

commit eadb07b3556a7f3c0a69c3e896a83876bf4b45f6
Author: David King <amigadave@amigadave.com>
Date:	Fri Nov 7 08:26:19 2014 +0000

    Fix double unref when opening an invalid Ogg file

M	src/tags/vcedit.c

commit c60fd9f91e9e106c20d9d322884861b9bbe19002
Author: David King <amigadave@amigadave.com>
Date:	Fri Nov 7 08:18:14 2014 +0000

    Refactor Ogg file ID3v2 skipping logic

    Mark the Ogg file as modified while reading, if it has an ID3v2
    tag, as
    it will be removed while saving. Remove a double unref of the input
    stream in an error path. Tidy up several obsolete seeks.

M	src/tags/ogg_tag.c

commit 9d1e4dc1bba908fcf4cb99b136aa0184d16be699
Author: David King <amigadave@amigadave.com>
Date:	Thu Nov 6 22:08:52 2014 +0000

    Do not warn about ID3v2 tags when saving Ogg files

    The Ogg tag writing code can handle ID3v2 tags without problems, and a
    warning is already logged when reading the file, so warning again when
    saving is not helpful.

M	src/tags/ogg_tag.c

commit 03418dd249116b985e114023622fccdc426d904a
Author: David King <amigadave@amigadave.com>
Date:	Thu Nov 6 21:59:59 2014 +0000

    Fix skipping over ID3v2 tags in Ogg files

    According to the documentation for ogg_sync_pageout(), a return
    value of
    -1 means that bytes were skipped, and so it is fine to continue
    reading.
    Fixes writing to Ogg files where an ID3v2 tag is present.

    https://bugzilla.gnome.org/show_bug.cgi?id=739748

M	src/tags/vcedit.c

commit 4a67851124bf2b9a64e232e773a19badb3d18aff
Author: David King <amigadave@amigadave.com>
Date:	Thu Nov 6 16:33:18 2014 +0000

    Move extended date field warning out of tag code

M	src/et_core.c
M	src/tags/flac_tag.c
M	src/tags/ogg_tag.c

commit b83f270dca352a67c299a23f320fda6823f710da
Author: David King <amigadave@amigadave.com>
Date:	Thu Nov 6 16:23:40 2014 +0000

    Emit a critical warning for invalid FLAC artwork

    This should only happen if gdk-pixbuf supplies bogus data, so
    it should
    not use Log_Print() to log a massage to the UI.

M	src/tags/flac_tag.c

commit 6a17785ed0dfcdb1638aafd1227bc5c8e649d3ba
Author: David King <amigadave@amigadave.com>
Date:	Thu Nov 6 07:59:32 2014 +0000

    Avoid a crash when reading empty FLAC tags

    https://bugzilla.gnome.org/show_bug.cgi?id=739694

M	src/tags/flac_tag.c

commit 728b3f71276dd259f1e730ab1b48ed06fe176892
Author: David King <amigadave@amigadave.com>
Date:	Thu Nov 6 07:38:01 2014 +0000

    Do not force-enable the log visiibility on startup

    https://bugzilla.gnome.org/show_bug.cgi?id=739696

M	src/application_window.c

commit fcfd471746ac34741ab47e6d724026aab6072f5b
Author: David King <amigadave@amigadave.com>
Date:	Wed Nov 5 17:41:25 2014 +0000

    Make the application name translatable

M	data/easytag.desktop.in
M	src/about.c
M	src/application.c
M	src/application_window.c

commit c4e35451b5b0f95a4cc63779b112012ff9435955
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Wed Nov 5 13:38:23 2014 +0100

    Updated Polish translation

M	po/pl.po

commit 642fae6e3d3754842ef702789ba134e98058f262
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	Wed Nov 5 05:13:22 2014 +0100

    Added Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit ac3c5a6f7e56b287ab2c2ec8c801b4cd0b88b06b
Author: David King <amigadave@amigadave.com>
Date:	Tue Nov 4 16:42:34 2014 +0000

    Fix several CDDB response memory leaks

M	src/cddb_dialog.c

commit de33ecf87262d39cf6a953ec64b12df810d3b000
Author: David King <amigadave@amigadave.com>
Date:	Tue Nov 4 16:41:58 2014 +0000

    Fix memory leak of a path in a browser error path

M	src/browser.c

commit ba3305e91043f1960c94f6343d343adf50060a2b
Author: David King <amigadave@amigadave.com>
Date:	Tue Nov 4 08:40:46 2014 +0000

    Improve copying extra tags between files

    Prepend to the GList, and then reverse it afterwards.

M	src/et_core.c

commit 8efaf8c913219114beaccb4fc9dc009879cb8852
Author: David King <amigadave@amigadave.com>
Date:	Mon Nov 3 23:58:28 2014 +0000

    Fix leak of selected row list in CDDB dialog

M	src/cddb_dialog.c

commit 966745009352e0d9c2c22bb523be2a569907b7fd
Author: David King <amigadave@amigadave.com>
Date:	Mon Nov 3 23:31:29 2014 +0000

    Fix filename leak in browser DLM selection

M	src/browser.c

commit b08fef9f394dc89bd5138412bf204fcb14d48116
Author: David King <amigadave@amigadave.com>
Date:	Mon Nov 3 23:00:52 2014 +0000

    Fix more CDDB track number memory leaks

M	src/cddb_dialog.c

commit 6cfe0b7cb430c849ef2c303d8df5e1b7b51b8bb7
Author: David King <amigadave@amigadave.com>
Date:	Mon Nov 3 22:15:56 2014 +0000

    Fix leaks of track number strings in CDDB dialog

M	src/cddb_dialog.c

commit 6582f1aa3933ed096342be3cbf8d4851b9c048bb
Author: David King <amigadave@amigadave.com>
Date:	Mon Nov 3 22:14:20 2014 +0000

    Fix a memory leak when searching albums via CDDB

M	src/cddb_dialog.c

commit 7845f0616b1a7c16a16d7d3bc46e494fc93ab5ce
Author: David King <amigadave@amigadave.com>
Date:	Mon Nov 3 21:17:54 2014 +0000

    Simplify character pointer syntax in CDDB dialog

M	src/cddb_dialog.c

commit 0ce66082495a2f5c0400a9e25966509045fe1021
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	Mon Nov 3 21:11:30 2014 +0000

    Update strings to use ‘spaces’ and ‘underscores’

    Use the words ‘spaces’ and ‘underscores’ instead of ‘ ’
    and ‘_’, which
    is more consistent with other instances of both in the preferences.

M	data/scan_dialog.ui
M	src/tag_area.c

commit 43b160afef98e9cebc83a83caed2d7ccf576ecdf
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	Mon Nov 3 21:06:50 2014 +0000

    Add description to help index

M	help/C/index.page

commit f2f46357576758ed3d3d6b0cf26520edd5aed95a
Author: David King <amigadave@amigadave.com>
Date:	Mon Nov 3 18:43:38 2014 +0000

    Fix incorrect track duration in CDDB results

M	src/cddb_dialog.c

commit cef074fd5f2bd538817577d5ca93d6d4e3c3c20e
Author: David King <amigadave@amigadave.com>
Date:	Sun Nov 2 18:48:42 2014 +0000

    Set the GError when failing to read ID3 tags

M	src/tags/id3v24_tag.c

commit 7ef0e7569cb0108debe6bac95cd7ece1ac39f3a6
Author: David King <amigadave@amigadave.com>
Date:	Fri Oct 31 23:09:51 2014 +0000

    Add AppData metainfo file for Nautilus extension

M	.gitignore
M	Makefile.am
A	data/easytag-nautilus.metainfo.xml.in
M	po/POTFILES.in

commit 7476eaa86e66824092c86ba67d76265dba1cf884
Author: David King <amigadave@amigadave.com>
Date:	Fri Oct 31 22:18:24 2014 +0000

    Include name and summary in AppData

M	data/easytag.appdata.xml.in

commit 57b277816450de8d49fb43fb8a55a4bfd9c2fb7c
Author: David King <amigadave@amigadave.com>
Date:	Fri Oct 31 19:56:28 2014 +0000

    Refactor Action_Select_Nth_File_By_Etfile()

    Move Action_Select_Nth_File_By_Etfile() to the application window as
    et_application_window_select_file_by_et_file().

M	src/application_window.c
M	src/application_window.h
M	src/browser.c
M	src/easytag.c
M	src/easytag.h
M	src/search_dialog.c

commit 35b184ccd8ab00cf7e4c2b85f0b144c2c6a3aa22
Author: David King <amigadave@amigadave.com>
Date:	Fri Oct 31 19:45:42 2014 +0000

    Update NEWS for 2.3.1 release

M	NEWS
M	README
M	THANKS

commit 4aeb12504d0f7e569b5e275d1fd5276411d19632
Author: David King <amigadave@amigadave.com>
Date:	Fri Oct 31 18:12:37 2014 +0000

    Use old-style BMPs for Windows installer images

    NSIS expects the images in 24-bit format (no alpha channel),
    and without
    colourspace information.

M	data/nsis/easytag-header.bmp
M	data/nsis/easytag-sidebar.bmp

commit 222dc2bf02ea302805d0cbb980cafe22778418e7
Author: David King <amigadave@amigadave.com>
Date:	Fri Oct 31 17:09:21 2014 +0000

    Remove some obsolete checks from configure.ac

M	configure.ac

commit de1f4d9e5201d3e5511c35b7d71cba9709aa88a5
Author: David King <amigadave@amigadave.com>
Date:	Fri Oct 31 17:03:21 2014 +0000

    Warn if APPDATA_XML macro is not available

    Rather than getting an error at make time, output an error message
    during configure if the macro is not found.

M	configure.ac

commit 2f34a818098247850a9db6f89be42cbfa012d1dc
Author: David King <amigadave@amigadave.com>
Date:	Thu Oct 30 23:38:36 2014 +0000

    Use GVolumeMonitor to discover Windows drives

M	src/browser.c

commit 0d8c3be16f583d359091a750d5ab3c3d0f877ff3
Author: David King <amigadave@amigadave.com>
Date:	Thu Oct 30 23:38:16 2014 +0000

    Include GSettings schema in Windows installer

M	easytag-win32-installer.nsi.in

commit ef1e00bbb6dae29aad0d5fcd0ac16d83a3d29417
Author: David King <amigadave@amigadave.com>
Date:	Sat Sep 27 01:28:40 2014 +0100

    Update Windows installer script

    Include complete Adwaita icon theme. Include winpthread DLL.

M	SOURCES
M	easytag-win32-installer.nsi.in

commit f8250eceeb25a63dcfa44e9ca0482c1dc81448c3
Author: David King <amigadave@amigadave.com>
Date:	Thu Oct 30 20:28:42 2014 +0000

    Fix a MinGW build failure in EtBrowser

M	src/browser.c

commit 116290a2508a732228546ced88dc77c7d43c81f6
Author: David King <amigadave@amigadave.com>
Date:	Thu Oct 30 20:27:14 2014 +0000

    Check for gdk-pixbuf-pixdata in configure

    The gdk-pixbuf-pixdata tool is required for glib-compile-resources
    when
    using the to-pixdata option.

M	configure.ac

commit 115c7ef98e9a70a012ec613b1e4cba5de08dac7c
Author: David King <amigadave@amigadave.com>
Date:	Thu Oct 30 20:26:17 2014 +0000

    Do not show the PID of the application at startup

    Any warning message from g_log() will show the PID, and it is
    otherwise
    not that useful.

M	src/application.c

commit dbf902108670899f4fbda452976eb4606676041e
Author: David King <amigadave@amigadave.com>
Date:	Wed Oct 29 23:18:50 2014 +0000

    Fix CDDB search button tooltip text

M	data/cddb_dialog.ui

commit 19613ea9e4ef4b333e9c00011f57e7d8b7eb97c5
Author: David King <amigadave@amigadave.com>
Date:	Wed Oct 29 21:03:40 2014 +0000

    Fix settings key name for default path

M	src/preferences_dialog.c

commit a9e53282ecc64c02f84edc6bacc2b578719244c9
Author: David King <amigadave@amigadave.com>
Date:	Wed Oct 29 20:59:46 2014 +0000

    Remove outdated configuration file handling

M	src/setting.c

commit ba97e21c7138947b352b3174a2cecbca7f5c172b
Author: David King <amigadave@amigadave.com>
Date:	Wed Oct 29 19:08:54 2014 +0000

    Move log area visible logic to EtApplicationWindow

M	src/application_window.c
M	src/log.c

commit 526c45a788e6a977938fd0d92501c2314fd27b8a
Author: David King <amigadave@amigadave.com>
Date:	Sat Oct 25 22:21:03 2014 +0100

    Remove unused log area show/hide functions

M	src/application_window.c
M	src/application_window.h

commit 5f44956e440f3bcf0627015d92ee241578d21040
Author: David King <amigadave@amigadave.com>
Date:	Wed Oct 29 16:36:27 2014 +0000

    Use GFile for tag reading functions

M	src/et_core.c
M	src/tags/ape_tag.c
M	src/tags/ape_tag.h
M	src/tags/flac_tag.c
M	src/tags/flac_tag.h
M	src/tags/id3_tag.c
M	src/tags/id3_tag.h
M	src/tags/id3v24_tag.c
M	src/tags/mp4_tag.cc
M	src/tags/mp4_tag.h
M	src/tags/ogg_tag.c
M	src/tags/ogg_tag.h
M	src/tags/wavpack_tag.c
M	src/tags/wavpack_tag.h

commit aca762a3063b33300ceb783d5a97f79a92307149
Author: David King <amigadave@amigadave.com>
Date:	Mon Oct 27 23:57:19 2014 +0000

    Use GFile in header reading functions

M	src/et_core.c
M	src/tags/flac_header.c
M	src/tags/flac_header.h
M	src/tags/monkeyaudio_header.c
M	src/tags/monkeyaudio_header.h
M	src/tags/mp4_header.cc
M	src/tags/mp4_header.h
M	src/tags/mp4_tag.cc
M	src/tags/mpeg_header.c
M	src/tags/mpeg_header.h
M	src/tags/musepack_header.c
M	src/tags/musepack_header.h
M	src/tags/ogg_header.c
M	src/tags/ogg_header.h
M	src/tags/opus_header.c
M	src/tags/wavpack_header.c
M	src/tags/wavpack_header.h

commit 748723d36283ef2c0920b1277095157996caa166
Author: David King <amigadave@amigadave.com>
Date:	Sat Oct 25 23:46:58 2014 +0100

    Remove unused et_grid_attach_full()

M	src/misc.c
M	src/misc.h

commit 73526459d5c794c2c5c11addb8486cf14a90489d
Author: David King <amigadave@amigadave.com>
Date:	Sat Oct 25 22:20:04 2014 +0100

    Use const in more places

M	src/application_window.c
M	src/application_window.h
M	src/browser.c
M	src/browser.h
M	src/easytag.c
M	src/easytag.h
M	src/picture.c
M	src/picture.h
M	src/playlist_dialog.c
M	src/scan_dialog.c
M	src/scan_dialog.h

commit 5db73b5bb22002864111ae3070ed86489ddc7039
Author: David King <amigadave@amigadave.com>
Date:	Sat Oct 25 20:58:21 2014 +0100

    Avoid GSettings handler unused parameter warnings

    Use the settings and key parameters to the GSettings changed handler
    where possible.

M	src/browser.c
M	src/preferences_dialog.c
M	src/scan_dialog.c

commit 357e5d2296d49eea058e635a6320ffa10d89e4a2
Author: David King <amigadave@amigadave.com>
Date:	Sat Oct 25 20:51:28 2014 +0100

    Remove unused filename parameters in header code

    Avoid some -Wextra warnings about unused parameters.

M	src/et_core.c
M	src/tags/flac_header.c
M	src/tags/flac_header.h
M	src/tags/monkeyaudio_header.c
M	src/tags/monkeyaudio_header.h
M	src/tags/mp4_header.cc
M	src/tags/mp4_header.h
M	src/tags/mpeg_header.c
M	src/tags/mpeg_header.h
M	src/tags/musepack_header.c
M	src/tags/musepack_header.h
M	src/tags/ogg_header.c
M	src/tags/ogg_header.h
M	src/tags/opus_header.c
M	src/tags/opus_header.h
M	src/tags/wavpack_header.c
M	src/tags/wavpack_header.h

commit 332d161c9200bdc5b80bee2c6be3d038d3180f12
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sat Oct 25 19:11:01 2014 +0200

    Updated Polish translation

M	po/pl.po

commit 3bd1bc5c24bcf2e823c3a66506a1da21b58a97c8
Author: David King <amigadave@amigadave.com>
Date:	Fri Oct 24 23:59:25 2014 +0100

    Fix GIOStream leak when checking for buggy id3lib

M	src/tags/id3_tag.c

commit 1ab81be3a6c5cd2e8cc3cbb71f03de00ddd8389a
Author: David King <amigadave@amigadave.com>
Date:	Fri Oct 24 22:22:54 2014 +0100

    Refactor Vorbis comment setting functions slightly

    Iterate over string array better, without using g_strv_length(). Make
    more parameters const. Simplify conditional check. Remove a couple of
    unnecessary prototypes.

M	src/tags/ogg_tag.c

commit 9810819b5442428520dfee21fb5ede5188fb4112
Author: David King <amigadave@amigadave.com>
Date:	Thu Oct 23 00:12:33 2014 +0100

    Add a setting to disable automatic image types

    The heuristic for selecting the type of an image based on the filename
    can get confused quite easily, so provide an option to disable it.

    https://bugzilla.gnome.org/show_bug.cgi?id=738804

M	data/org.gnome.EasyTAG.gschema.xml
M	data/preferences_dialog.ui
M	src/preferences_dialog.c
M	src/tag_area.c

commit e9d132016e8874f31a26ce697d54d1b46b183f36
Author: David King <amigadave@amigadave.com>
Date:	Wed Oct 22 22:33:16 2014 +0100

    Use level 2 interface when reading FLAC header

    Improve bitrate calculation to ignore metadata blocks.

M	src/tags/flac_header.c

commit ded35bddf49b4353b5ff00b880ac6b904b434be6
Author: David King <amigadave@amigadave.com>
Date:	Mon Oct 20 23:19:15 2014 +0100

    Clear empty fields in MP4 tags

    The existing tag is loaded from the file and modified before being
    written out. For "extra" fields, including cover art and album artist,
    the existing tag field was preserved in the case that the
    corresponding
    tag field had been cleared from the UI. Fix this by explicitly
    removing
    the cleared tag field.

M	src/tags/mp4_tag.cc

commit b6c388ad25d323c3698ad6380d6c034a76f408f5
Author: David King <amigadave@amigadave.com>
Date:	Mon Oct 20 23:08:25 2014 +0100

    Fix an invalid read when reading MP4 cover art

M	src/tags/mp4_tag.cc

commit d53f10969c2569e753db83cac80b79550c44eb72
Author: David King <amigadave@amigadave.com>
Date:	Mon Oct 20 22:55:36 2014 +0100

    Fix memory leak in C++ GIOStream wrapper

M	src/tags/gio_wrapper.cc

commit 3fbdffab187351818ec81cf7b7853b1b8f66c741
Author: David King <amigadave@amigadave.com>
Date:	Mon Oct 20 08:31:59 2014 +0100

    Propagate double-click events on tree view headers

    Receiving a double-click event on a tree view is not a good
    indicator of
    whether to change the selection, as the event could have occurred
    on the
    column headers, resulting in the header resizing and the selection
    changing simultaneously. Avoid the problem by checking that the
    double-click event is in the bin window, and ignoring (and
    propagating)
    it otherwise.

    https://bugzilla.gnome.org/show_bug.cgi?id=738830

M	src/browser.c
M	src/cddb_dialog.c

commit 5dec634bec10b0b64ff09b8ce103aeb9f52fbd1d
Author: David King <amigadave@amigadave.com>
Date:	Fri Oct 17 20:09:11 2014 +0100

    Fix memory leak when constructing load file dialog

M	src/load_files_dialog.c

commit 1305e1098a116e8086eca94c44357c45efa38132
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	Fri Oct 17 00:05:12 2014 +0200

    Added nb

M	po/LINGUAS

commit 35bc971df28dd82a02fb14508ee91b0a5ca05b30
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	Fri Oct 17 00:04:57 2014 +0200

    Added Norwegian bokmål translation from Åka Sikrom.

A	po/nb.po

commit 5ddceb7573e98e86d63d9807e2e6def516346cfa
Author: David King <amigadave@amigadave.com>
Date:	Wed Oct 8 20:14:50 2014 +0100

    Avoid a memory leak of the disc ID in error paths

M	src/cddb_dialog.c

commit df0919bfc444f09a6914479dea3e25cf5b50308a
Author: David King <amigadave@amigadave.com>
Date:	Wed Oct 8 19:44:41 2014 +0100

    Refactor some CDDB dialog code to use GString

    Avoid a memory leak in error paths, and use GString to simplify
    the code
    a little.

M	src/cddb_dialog.c

commit 75c025779d7992b2ddfb89f47a04d80ad2a0ce35
Author: David King <amigadave@amigadave.com>
Date:	Wed Oct 8 19:31:18 2014 +0100

    Fix two memory leaks in CDDB dialog

    Store a pointer to the start of the GLists, so that the lists can be
    freed later.

M	src/cddb_dialog.c

commit f8c48eaef4dab037acc75acd80fb52aa2aa4ca24
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sun Oct 5 17:49:19 2014 +0200

    Updated Polish translation

M	po/pl.po

commit 12ba8ac010d8b20900f323a19aaa6eab649e617c
Author: David King <amigadave@amigadave.com>
Date:	Thu Oct 2 23:57:51 2014 +0100

    Use GIO when reading FLAC header information

M	src/et_core.c
M	src/tags/flac_header.c
M	src/tags/flac_header.h

commit f6348498dd88eb7718ea8500efcfbf86b09873ee
Author: David King <amigadave@amigadave.com>
Date:	Mon Sep 29 23:15:37 2014 +0100

    Add const to variables and parameters in et_core.c

M	src/application_window.c
M	src/application_window.h
M	src/et_core.c
M	src/et_core.h
M	src/file_area.c
M	src/file_area.h
M	src/tag_area.c
M	src/tag_area.h
M	src/tags/ape_tag.c
M	src/tags/ape_tag.h
M	src/tags/flac_header.c
M	src/tags/flac_header.h
M	src/tags/flac_tag.c
M	src/tags/flac_tag.h
M	src/tags/id3_tag.c
M	src/tags/id3_tag.h
M	src/tags/id3v24_tag.c
M	src/tags/monkeyaudio_header.c
M	src/tags/monkeyaudio_header.h
M	src/tags/mp4_header.cc
M	src/tags/mp4_header.h
M	src/tags/mp4_tag.cc
M	src/tags/mp4_tag.h
M	src/tags/mpeg_header.c
M	src/tags/mpeg_header.h
M	src/tags/musepack_header.c
M	src/tags/musepack_header.h
M	src/tags/ogg_header.c
M	src/tags/ogg_header.h
M	src/tags/ogg_tag.c
M	src/tags/ogg_tag.h
M	src/tags/opus_header.c
M	src/tags/opus_header.h
M	src/tags/wavpack_header.c
M	src/tags/wavpack_header.h
M	src/tags/wavpack_tag.c
M	src/tags/wavpack_tag.h

commit a58b943a71fba1168393182143b70cb9de830ed2
Author: Ting-Wei Lan <lantw@src.gnome.org>
Date:	Tue Sep 30 09:18:48 2014 +0800

    Fix printf format string warning

    https://bugzilla.gnome.org/show_bug.cgi?id=737633

M	src/tags/id3_tag.c

commit c2edff249ac90a4f86e6fc08a6eeefa1300d5fe8
Author: David King <amigadave@amigadave.com>
Date:	Mon Sep 29 17:58:05 2014 +0100

    Unify logging code for tag reading

M	src/et_core.c

commit 827e4ed7cf379ec2acbdb679b7853e02de45af90
Author: David King <amigadave@amigadave.com>
Date:	Mon Sep 29 16:52:40 2014 +0100

    Report successful writing in UI, not in tag code

    Remove several Log_Print() calls in the tagging code, and instead
    report
    the successful writing of a tag in the UI.

M	src/easytag.c
M	src/et_core.c
M	src/tags/flac_tag.c
M	src/tags/id3_tag.c
M	src/tags/id3v24_tag.c
M	src/tags/ogg_header.c
M	src/tags/ogg_tag.c

commit 1561588a121294b2f91e9ed5589c394212858cbf
Author: David King <amigadave@amigadave.com>
Date:	Mon Sep 29 16:11:20 2014 +0100

    Use GError in WavPack tagging code

M	src/et_core.c
M	src/tags/wavpack_header.c
M	src/tags/wavpack_header.h
M	src/tags/wavpack_tag.c
M	src/tags/wavpack_tag.h

commit 2d37ee8c7b0ebcc88d592437957616d33d3dd446
Author: David King <amigadave@amigadave.com>
Date:	Wed Sep 24 21:37:32 2014 +0100

    Use GError in Ogg header code

    Avoid a few Log_Print() calls.

M	src/et_core.c
M	src/tags/ogg_header.c
M	src/tags/ogg_header.h
M	src/tags/ogg_tag.c

commit 1482f841e4564c968815a24e98600426ee5e7f67
Author: David King <amigadave@amigadave.com>
Date:	Wed Sep 24 20:34:24 2014 +0100

    Use GError in MP4 tagging code

    Avoid several uses of Log_Print().

M	src/et_core.c
M	src/tags/mp4_header.cc
M	src/tags/mp4_header.h
M	src/tags/mp4_tag.cc
M	src/tags/mp4_tag.h

commit 3c7014b234d1896061bf8f373d1ffe34dc1196ed
Author: David King <amigadave@amigadave.com>
Date:	Wed Sep 24 00:17:05 2014 +0100

    Use GError in ID3 tagging code

    Avoid several uses of Log_Print(), and convert some more into warnings
    or debugging messages.

M	src/et_core.c
M	src/et_core.h
M	src/tags/flac_tag.c
M	src/tags/id3_tag.c
M	src/tags/id3_tag.h
M	src/tags/id3v24_tag.c
M	src/tags/mpeg_header.c
M	src/tags/mpeg_header.h

commit 35cd27c9d04b5d7344642a39fdc43e718e6cee70
Author: David King <amigadave@amigadave.com>
Date:	Tue Sep 23 22:34:59 2014 +0100

    Use GError in APE tagging code

    Avoid a use of Log_Print().

M	src/et_core.c
M	src/tags/ape_tag.c
M	src/tags/ape_tag.h
M	src/tags/id3_tag.c
M	src/tags/libapetag/apetaglib.c
M	src/tags/libapetag/apetaglib.h
M	src/tags/monkeyaudio_header.c
M	src/tags/monkeyaudio_header.h
M	src/tags/musepack_header.c
M	src/tags/musepack_header.h

commit 054ca780cb42c7001edc095875e68757b4cabe89
Author: David King <amigadave@amigadave.com>
Date:	Tue Sep 23 22:28:36 2014 +0100

    Use GError in FLAC tagging code

    Avoid several uses of Log_Print().

M	src/et_core.c
M	src/tags/flac_header.c
M	src/tags/flac_header.h
M	src/tags/flac_tag.c
M	src/tags/flac_tag.h

commit 553cb194494c308dd764548899be8c70cccbd4fe
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sat Sep 27 21:29:06 2014 +0200

    Updated Polish translation

M	po/pl.po

commit d0a066633a32d02910e5577a2e664d1e65b5f760
Author: David King <amigadave@amigadave.com>
Date:	Fri Sep 26 22:08:55 2014 +0100

    Refactor ET_Add_File_To_Artist_Album_File_List()

    Use g_return_val_if_fail() to check invariant.

M	src/et_core.c

commit 6e7d4ab8dd2a0a96f320f9581f2df129c8324d5c
Author: David King <amigadave@amigadave.com>
Date:	Fri Sep 26 20:59:47 2014 +0100

    Slightly refactor some GList handling in et_core.c

    If calling a g_list_*() method, a pointer to the first element in the
    list is always returned, so there is no need to additionally call
    g_list_first(). Fix GDestroyNotify functions to return void.

M	src/et_core.c
M	src/et_core.h

commit 0a11b1c1580d703d4136df5feef4cfb52948fcdc
Author: David King <amigadave@amigadave.com>
Date:	Fri Sep 26 08:38:28 2014 +0100

    Fix memory leak in id3lib buggy check

    Free the result string.

M	src/tags/id3_tag.c

commit 656946c80805acc39c3102c1dff480658064bb8c
Author: David King <amigadave@amigadave.com>
Date:	Thu Sep 25 17:57:39 2014 +0100

    Handle renaming on case-insensitive filesystems

    A rename will fail on a filesystem that is case-insensitive, if the
    filenames only differ by case. Work around this by moving to
    a temporary
    file first, in the case that a rename fails because the target exists.

    https://bugzilla.gnome.org/show_bug.cgi?id=737302

M	src/easytag.c

commit 43c76c81c075734147a11b413e3941b1f4d085f9
Author: David King <amigadave@amigadave.com>
Date:	Sat Sep 20 11:28:17 2014 +0100

    Update HACKING for GtkBuilder UI files

M	HACKING
M	TODO

commit 9ae954f662703ab371026ab4344579bc5f5eb06f
Author: David King <amigadave@amigadave.com>
Date:	Sat Sep 20 09:17:22 2014 +0100

    Improve expand behaviour of tag entry fields

M	data/tag_area.ui

commit 70712f2205003372688e430ef720508dd12f41b1
Author: David King <amigadave@amigadave.com>
Date:	Fri Sep 19 23:47:26 2014 +0100

    Move tag area to GtkBuilder

M	TODO
M	data/tag_area.ui
M	src/tag_area.c

commit 622be638168d22818028641df72032601f67edd3
Author: David King <amigadave@amigadave.com>
Date:	Fri Sep 19 17:37:44 2014 +0100

    Move log area to GtkBuilder

A	data/log_area.ui
M	data/org.gnome.EasyTAG.gresource.xml
M	po/POTFILES.in
M	src/log.c
M	src/log.h

commit 596a179593d895e123aecc616218b6a0875bce74
Author: David King <amigadave@amigadave.com>
Date:	Fri Sep 19 16:47:40 2014 +0100

    Move file area to GtkBuilder

A	data/file_area.ui
M	data/org.gnome.EasyTAG.gresource.xml
M	po/POTFILES.in
M	src/file_area.c

commit 9add9cf7c5ec6ce431c513a17922962118c8f5a7
Author: David King <amigadave@amigadave.com>
Date:	Fri Sep 19 16:46:37 2014 +0100

    Use const for strings in tests and libapetag

M	src/tags/libapetag/apetaglib.c
M	src/tags/libapetag/apetaglib.h
M	tests/test-scan.c

commit 821273008d1684632b0b1e2c3aee32642d6792b7
Author: David King <amigadave@amigadave.com>
Date:	Thu Sep 18 17:27:04 2014 +0100

    Mark some strings as const in tagging functions

M	src/tags/ape_tag.c
M	src/tags/ape_tag.h
M	src/tags/flac_header.c
M	src/tags/flac_header.h
M	src/tags/flac_tag.c
M	src/tags/flac_tag.h
M	src/tags/id3_tag.c
M	src/tags/id3_tag.h
M	src/tags/id3v24_tag.c
M	src/tags/libapetag/apetaglib.c
M	src/tags/libapetag/apetaglib.h
M	src/tags/monkeyaudio_header.c
M	src/tags/monkeyaudio_header.h
M	src/tags/mp4_header.cc
M	src/tags/mp4_header.h
M	src/tags/mp4_tag.cc
M	src/tags/mp4_tag.h
M	src/tags/mpeg_header.c
M	src/tags/mpeg_header.h
M	src/tags/musepack_header.c
M	src/tags/musepack_header.h
M	src/tags/ogg_header.c
M	src/tags/ogg_header.h
M	src/tags/ogg_tag.c
M	src/tags/ogg_tag.h
M	src/tags/wavpack_header.c
M	src/tags/wavpack_header.h
M	src/tags/wavpack_tag.c
M	src/tags/wavpack_tag.h

commit 498bf51ad4d1d7bd39b52a88fd7c0bace6f35598
Author: David King <amigadave@amigadave.com>
Date:	Wed Sep 17 22:48:56 2014 +0100

    Move browser to GtkBuilder

M	data/browser.ui
M	src/application_window.c
M	src/browser.c
M	src/browser.h

commit 1cedf1284c22ddb279406be0606b025cc2cd95c0
Author: David King <amigadave@amigadave.com>
Date:	Wed Sep 17 16:37:29 2014 +0100

    Move scanner dialog to GtkBuilder

M	data/org.gnome.EasyTAG.gresource.xml
A	data/scan_dialog.ui
M	po/POTFILES.in
M	src/scan_dialog.c

commit a21a43a1713f44719db81c02766b9ad6a488ebe4
Author: David King <amigadave@amigadave.com>
Date:	Tue Sep 16 20:00:49 2014 +0100

    Add simple tests for style-sensitive case function

M	tests/test-scan.c

commit b00b5ec6913be484159294c51e866f58b42516bb
Author: David King <amigadave@amigadave.com>
Date:	Tue Sep 16 17:19:51 2014 +0100

    Move remaining upper-casing functions to scan.c

    Split out Scan_Process_Fields_First_Letters_Uppercase() and
    Scan_Word_Is_Roman_Numeral() and add some parameters, so that they do
    not depend on the state of GSettings keys internally.

M	src/scan.c
M	src/scan.h
M	src/scan_dialog.c
M	src/scan_dialog.h
M	src/tag_area.c

commit 02b86bb625d1b3d3c3182bd2cb67e0af97eee063
Author: David King <amigadave@amigadave.com>
Date:	Mon Sep 15 20:49:32 2014 +0100

    Use return value to speed up force saving files

    The variable assignment was lost during refactoring.

    Found with Coverity (CID 1238689).

M	src/easytag.c

commit b8c4707f7ffd4c67615c30f6073f15b0693fe491
Author: David King <amigadave@amigadave.com>
Date:	Mon Sep 15 20:40:05 2014 +0100

    Remove dead code in et_browser_label_set_text()

    Found with Coverity (CID 1238690).

M	src/browser.c

commit cbc7f3a54d12d63c46a9600f9a953be34d0ba7e4
Author: David King <amigadave@amigadave.com>
Date:	Mon Sep 15 20:19:18 2014 +0100

    Remove redundant NULL checks in CDDB dialog

    Found with Coverity (CID 1238682, CID 1238683, CID 1238684, CID
    1238685,
    CID 1238686)

M	src/cddb_dialog.c

commit 9f898378b70158f9ca10164fd1a7c45ebad0389d
Author: David King <amigadave@amigadave.com>
Date:	Sun Sep 14 21:02:47 2014 +0100

    Remove unused CDDB dialog private struct variable

M	src/cddb_dialog.c

commit 1f5ddcc0070025fd68d61c4f256f1a2d83016b14
Author: David King <amigadave@amigadave.com>
Date:	Sat Sep 13 22:43:57 2014 +0100

    Fix capitalization in process fields scanner

    Iterate to the end of the string, rather than only processing
    the first
    2 words.

    https://bugzilla.gnome.org/show_bug.cgi?id=736609

M	src/scan_dialog.c

commit b44afc315f1948ce7e308154d2a92392e27077bf
Author: David King <amigadave@amigadave.com>
Date:	Sat Sep 13 19:11:48 2014 +0100

    Fix check for upper-casing prepositions

    Flip the boolean check for whether to upper-case prepositions
    and other
    excluded words.

M	src/scan_dialog.c

commit 7de273759ec21f574fea53104f7e658c4bcbc6b9
Author: David King <amigadave@amigadave.com>
Date:	Tue Sep 9 11:37:04 2014 +0100

    Fix signal handler for apply-to-selection icons

    Thanks to Steven Ulrick for the bug report.

    https://bugzilla.gnome.org/show_bug.cgi?id=736315

M	src/tag_area.c

commit 692749a8e2cec9377345b03139abda8c032adf05
Author: David King <amigadave@amigadave.com>
Date:	Mon Sep 8 11:42:54 2014 +0100

    Fix checking whether ID3v1 and ID3v2 are enabled

    As reported by Steven Ulrick on the mailing list, saving files
    with ID3
    tags and then reloading the directory causes the files to be shown as
    modified, even though they are not.

    https://mail.gnome.org/archives/easytag-list/2014-September/msg00014.html

M	src/tags/id3v24_tag.c

commit 80ecf4d65b537882ff8d4939b3f03e0f5762797a
Author: Guillaume Bernard <filorin@gmx.com>
Date:	Mon Sep 8 09:53:08 2014 +0000

    Updated French translation

M	po/fr.po

commit 4b0222a3a990bf74c78696f0691d02aab2fb77b7
Author: David King <amigadave@amigadave.com>
Date:	Sun Sep 7 21:50:13 2014 +0100

    Remove unused fields in CDDB dialog private struct

M	src/cddb_dialog.c

commit 2e93948066ae248e41df4381abdb98a13b20b4ab
Author: David King <amigadave@amigadave.com>
Date:	Sun Sep 7 21:47:54 2014 +0100

    Move internal struct from charset header to source

    Also, rearrange and tidy the header.

M	src/charset.c
M	src/charset.h

commit 2c905880066380719c90b101fb2e3d55ae3e807e
Author: David King <amigadave@amigadave.com>
Date:	Sun Sep 7 19:14:51 2014 +0100

    Move CDDB dialog to GtkBuilder

A	data/cddb_dialog.ui
M	data/org.gnome.EasyTAG.gresource.xml
M	data/org.gnome.EasyTAG.gschema.xml
M	po/POTFILES.in
M	src/application_window.c
M	src/cddb_dialog.c
M	src/cddb_dialog.h
M	src/setting.c
M	src/setting.h

commit 131fdf54a3629569f39f0b29e27dd9f999b7cc95
Author: Andika Triwidada <andika@gmail.com>
Date:	Sun Sep 7 04:51:46 2014 +0000

    Added Indonesian translation

M	po/LINGUAS
A	po/id.po

commit 08ad4ccc86b0d4758d9cde19227e0a6a0a806d82
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sun Sep 7 01:07:28 2014 +0200

    Updated Polish translation

M	po/pl.po

commit 806b8692e615b79accec39cae2154aa2fb770cd2
Author: David King <amigadave@amigadave.com>
Date:	Sat Sep 6 21:47:31 2014 +0100

    Fix -Wwrite-strings warning in channel_mode_name()

M	src/tags/mpeg_header.c

commit 5ce7719ad0beefd88b64939e50395330eac6bd60
Author: David King <amigadave@amigadave.com>
Date:	Sat Sep 6 15:06:31 2014 +0100

    Remove unused id3_settings_changed()

M	src/preferences_dialog.c

commit 872a6ff51035736abf981f74ab722b11f2a6461a
Author: David King <amigadave@amigadave.com>
Date:	Sat Sep 6 15:02:53 2014 +0100

    Add load files dialog UI file to POTFILES.in

M	po/POTFILES.in

commit 1b3f886d80f6819616f3259047fcd51526f038e5
Author: David King <amigadave@amigadave.com>
Date:	Thu Sep 4 18:33:10 2014 +0100

    Review many translatable strings

M	data/menus.ui
M	data/org.gnome.EasyTAG.gschema.xml
M	data/playlist_dialog.ui
M	data/preferences_dialog.ui
M	data/toolbar.ui
M	src/application.c
M	src/application_window.c
M	src/browser.c
M	src/cddb_dialog.c
M	src/charset.c
M	src/easytag.c
M	src/et_core.c
M	src/file_area.c
M	src/load_files_dialog.c
M	src/misc.c
M	src/picture.c
M	src/playlist_dialog.c
M	src/preferences_dialog.c
M	src/scan_dialog.c
M	src/setting.c
M	src/tag_area.c
M	src/tags/ape_tag.c
M	src/tags/flac_tag.c
M	src/tags/id3_tag.c
M	src/tags/id3v24_tag.c
M	src/tags/mp4_header.cc
M	src/tags/mp4_tag.cc
M	src/tags/ogg_header.c
M	src/tags/ogg_tag.c

commit 949376a1743c98f254b2b471bf0f6c6dbdd30f8f
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	Wed Sep 3 23:37:12 2014 +0100

    Review more strings

M	data/browser.ui
M	data/easytag.desktop.in
M	data/menus.ui
M	data/org.gnome.EasyTAG.gschema.xml
M	data/playlist_dialog.ui
M	data/preferences_dialog.ui

commit a05d398b95b162dd36f4b9c26343e7e8b1385aee
Author: David King <amigadave@amigadave.com>
Date:	Wed Sep 3 18:32:31 2014 +0100

    Move application quit code to EtApplicationWindow

M	src/application.c
M	src/application_window.c
M	src/application_window.h
M	src/easytag.c
M	src/easytag.h

commit 717813f54ffaea2bcce471d2dbd68190ea2445ab
Author: David King <amigadave@amigadave.com>
Date:	Wed Sep 3 18:01:41 2014 +0100

    Remove global INIT_DIRECTORY variable

    Replace a global variable with a private variable in EtApplication.

M	src/application.c
M	src/easytag.h
M	src/main.c

commit a42e93c4db70df97acf7b37270db8cbbede3978f
Author: David King <amigadave@amigadave.com>
Date:	Wed Sep 3 16:06:44 2014 +0100

    Update the file list column width on path changes

    https://bugzilla.gnome.org/show_bug.cgi?id=735363

M	src/browser.c

commit 2adda4449b6c8bb8e69c6ce9435bc982ee994f8d
Author: David King <amigadave@amigadave.com>
Date:	Wed Sep 3 16:06:33 2014 +0100

    Use GtkTreeView interactive search in CDDB dialog

    Remove custom code to search within results.

M	src/cddb_dialog.c
M	src/setting.c
M	src/setting.h

commit 75d60313ef48df6f9880143c10f9627f87915bd6
Author: David King <amigadave@amigadave.com>
Date:	Wed Aug 27 20:50:58 2014 +0100

    Remove duplicate NULL check in et_run_program()

    Found with cppcheck.

M	src/misc.c

commit 60dca801aad9336c1036d9bdf202b6da46ebc5ca
Author: David King <amigadave@amigadave.com>
Date:	Wed Aug 27 20:49:09 2014 +0100

    Remove unused function in misc.c

    Found with cppcheck.

M	src/misc.c
M	src/misc.h

commit 54e35a67d032164ade5a1a92fee7681c9e230f27
Author: David King <amigadave@amigadave.com>
Date:	Fri Aug 22 16:03:01 2014 +0100

    Move load files dialog to GtkBuilder

A	data/load_files_dialog.ui
M	data/org.gnome.EasyTAG.gresource.xml
M	src/load_files_dialog.c
M	src/setting.c
M	src/setting.h

commit c20ab15940be282ae972f71e31fa87edef1c2fee
Author: David King <amigadave@amigadave.com>
Date:	Thu Aug 21 23:06:19 2014 +0100

    Move search dialog to GtkBuilder

M	data/org.gnome.EasyTAG.gresource.xml
A	data/search_dialog.ui
M	po/POTFILES.in
M	src/search_dialog.c

commit b55626480f999f63e23cdf3059692cd90b6b59f8
Author: David King <amigadave@amigadave.com>
Date:	Thu Aug 21 16:19:16 2014 +0100

    Move open files dialog to GtkBuilder

M	data/browser.ui
M	src/browser.c

commit 93ad29c9b90f7bcd81856353d02acd283cf9f898
Author: David King <amigadave@amigadave.com>
Date:	Thu Aug 21 08:36:40 2014 +0100

    Move browse directory dialog to GtkBuilder

M	data/browser.ui
M	src/browser.c

commit e169b255181580d2cd967e8f0c5b4329502636af
Author: David King <amigadave@amigadave.com>
Date:	Wed Aug 20 16:02:06 2014 +0100

    Move picture details dialog to GtkBuilder

M	data/org.gnome.EasyTAG.gresource.xml
A	data/tag_area.ui
M	po/POTFILES.in
M	src/tag_area.c

commit e00a7ea6828e2892a78b63f6eff28f7335631050
Author: David King <amigadave@amigadave.com>
Date:	Wed Aug 20 07:43:49 2014 +0100

    Set transient parents before init()

    If gtk_window_set_transient_for() is called in the GObject init()
    method, it is overridden to the default for the property immediately
    afterwards, as "transient-for" is a contruct property.  Instead,
    set the
    property as part of calls to g_object_new().

M	src/application_window.c
M	src/load_files_dialog.c
M	src/load_files_dialog.h
M	src/playlist_dialog.c
M	src/playlist_dialog.h
M	src/preferences_dialog.c
M	src/preferences_dialog.h
M	src/scan_dialog.c
M	src/scan_dialog.h
M	src/search_dialog.c
M	src/search_dialog.h

commit 5bdc10db890e08e23e46692fa150e37ff91e594a
Author: David King <amigadave@amigadave.com>
Date:	Tue Aug 19 16:11:01 2014 +0100

    Move rename directory dialog to GtkBuilder

A	data/browser.ui
M	data/org.gnome.EasyTAG.gresource.xml
M	po/POTFILES.in
M	src/browser.c

commit aca16a59a0ad0b101f590c159b46b8f14cedf46f
Author: David King <amigadave@amigadave.com>
Date:	Sun Aug 17 09:24:47 2014 +0100

    Move playlist dialog to GtkBuilder

M	data/org.gnome.EasyTAG.gresource.xml
A	data/playlist_dialog.ui
M	po/POTFILES.in
M	src/playlist_dialog.c

commit b15aa823afb40b381f5323e7f5385ad542254f3c
Author: David King <amigadave@amigadave.com>
Date:	Sat Aug 16 22:41:41 2014 +0100

    Remove old GTK+ 2 grid compatibility code

M	Makefile.am
M	src/application_window.c
M	src/browser.c
M	src/easytag.c
D	src/gtk2_compat.c
D	src/gtk2_compat.h
M	src/load_files_dialog.c
M	src/misc.c
M	src/misc.h
M	src/playlist_dialog.c
M	src/preferences_dialog.c
M	src/scan_dialog.c
M	src/search_dialog.c
M	src/tag_area.c

commit f6a10b4abcf25ceef89dcfebe23d115d46435b7a
Author: David King <amigadave@amigadave.com>
Date:	Sat Aug 16 22:34:38 2014 +0100

    Remove unnecessary et_grid_attach_margins()

M	src/gtk2_compat.c
M	src/gtk2_compat.h
M	src/scan_dialog.c

commit f87a971fe303ea68b97bf3fa895b076cecc74a5a
Author: David King <amigadave@amigadave.com>
Date:	Sat Aug 16 22:22:03 2014 +0100

    Remove redundant et_grid_new() define

    Call gtk_grid_new() directly.

M	src/cddb_dialog.c
M	src/gtk2_compat.h
M	src/scan_dialog.c
M	src/search_dialog.c
M	src/tag_area.c

commit 7ca75e8261d013700fc1f9b0ea63102bbfed7eb1
Author: David King <amigadave@amigadave.com>
Date:	Sat Aug 16 20:36:52 2014 +0100

    Move preferences notebook into GtkBuilder

M	data/preferences_dialog.ui
M	src/preferences_dialog.c

commit 1f58d9e9df1f83f8aa39f031a472091f44ff1b4c
Author: David King <amigadave@amigadave.com>
Date:	Sat Aug 16 16:06:45 2014 +0100

    Move CDDB preferences page to GtkBuilder

M	data/preferences_dialog.ui
M	src/preferences_dialog.c

commit 51944288f1dc20c0966357eeadf643bff0aa983f
Author: David King <amigadave@amigadave.com>
Date:	Sat Aug 16 10:28:24 2014 +0100

    Move tags preferences page to GtkBuilder

M	data/preferences_dialog.ui
M	src/preferences_dialog.c

commit beab8934b1ae311f47cb550cda1e172bb9eefcbc
Author: David King <amigadave@amigadave.com>
Date:	Sat Aug 16 09:12:56 2014 +0100

    Move file preferences page to GtkBuilder

M	data/preferences_dialog.ui
M	src/preferences_dialog.c

commit 8669c6100f55308d66f00f21db090c074b811d14
Author: David King <amigadave@amigadave.com>
Date:	Sat Aug 16 08:37:38 2014 +0100

    Move UI and misc preferences pages to GtkBuilder

    Unify the UI settings in a single User Interface page.

M	data/preferences_dialog.ui
M	src/preferences_dialog.c

commit c65572a59dc94e09ada71d77c01b7f0e66aae4ca
Author: David King <amigadave@amigadave.com>
Date:	Sat Aug 16 07:55:37 2014 +0100

    Move confirmation preferences page to GtkBuilder

M	data/preferences_dialog.ui
M	src/preferences_dialog.c

commit 663410e443da238b238f0ccfc3139d5463cc038b
Author: David King <amigadave@amigadave.com>
Date:	Fri Aug 15 22:48:37 2014 +0100

    Move scanner preferences page to GtkBuilder

M	data/org.gnome.EasyTAG.gresource.xml
A	data/preferences_dialog.ui
M	po/POTFILES.in
M	src/preferences_dialog.c

commit 5799efb3b3325d9d425fd575ff936614449d0b95
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	Fri Aug 15 22:36:19 2014 +0100

    Review strings

M	data/menus.ui
M	data/org.gnome.EasyTAG.gschema.xml
M	data/toolbar.ui
M	nautilus-extension/nautilus-easytag.c
M	src/application.c
M	src/application_window.c
M	src/browser.c
M	src/et_core.c
M	src/file_area.c

commit e26ea4460897016184242dc44bc6a3b3e239f30d
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	Fri Aug 15 20:47:24 2014 +0100

    Add "music" to the desktop file keywords

M	data/easytag.desktop.in

commit ff27f47e0eb69eac961eb729d14f272a1d1089e5
Author: David King <amigadave@amigadave.com>
Date:	Fri Aug 15 18:37:20 2014 +0100

    Move status bar to EtStatusBar object

M	Makefile.am
M	po/POTFILES.in
M	src/application.c
M	src/application_window.c
M	src/application_window.h
D	src/bar.c
D	src/bar.h
M	src/browser.c
M	src/easytag.c
M	src/et_core.c
M	src/load_files_dialog.c
M	src/log.c
M	src/misc.c
M	src/picture.c
M	src/playlist_dialog.c
M	src/preferences_dialog.c
M	src/scan_dialog.c
M	src/search_dialog.c
M	src/setting.c
A	src/status_bar.c
A	src/status_bar.h
M	src/tag_area.c

commit 238a0483a62586c3d75a6fb8306991337fbf0e29
Author: David King <amigadave@amigadave.com>
Date:	Fri Aug 15 16:10:20 2014 +0100

    Split progress bar from status bar

    There is no need to subclass GtkProgressBar, so just move the progress
    bar code to a separate file.

M	Makefile.am
M	src/application_window.c
M	src/application_window.h
M	src/bar.c
M	src/bar.h
M	src/easytag.c
M	src/gtk2_compat.c
M	src/gtk2_compat.h
A	src/progress_bar.c
C053	src/gtk2_compat.h	src/progress_bar.h
M	src/scan_dialog.c

commit 69ca1719733af77aa4b013b998c9262bfcc3170d
Author: David King <amigadave@amigadave.com>
Date:	Wed Aug 13 08:42:10 2014 +0100

    Enable ID3v2.3 (instead of ID3v2.4) by default

    Although ID3v2.4 is nearly as old as ID3v2.3, it has not received the
    same level of support in hardware and software players until recently.
    To make sure that users are not confused by their valid ID3v2.4
    tags not
    being shown in players which only support ID3v2.3, write ID3v2.3
    tags by
    default.

    https://mail.gnome.org/archives/easytag-list/2014-August/msg00014.html

M	data/org.gnome.EasyTAG.gschema.xml

commit d02484dbd73605bc6031faa6a9666f8eb3a82dca
Author: David King <amigadave@amigadave.com>
Date:	Wed Aug 13 08:38:44 2014 +0100

    Disable writing of ID3v1 tags by default

    ID3v1 tags have many problems, including the lack of a defined
    character
    encoding (and a western-centric ISO-8859-1 convention), 30 bytes per
    field and an extremely limited set of fields. Depending on the
    behaviour
    of media players, reading the ID3v1 tag instead of the ID3v2 tag could
    give misleading information (truncated fields, mojibake and so on).

    As ID3v2 is in wide use, and solves the above problems, disable
    ID3v1 by
    default.

    https://mail.gnome.org/archives/easytag-list/2014-August/msg00017.html

M	data/org.gnome.EasyTAG.gschema.xml

commit 96b081f8cd5a1feed97e1692fe2ca15f8d7ab970
Author: David King <amigadave@amigadave.com>
Date:	Sat Aug 9 22:43:38 2014 +0100

    Set maximum allowed GLib version to 2.32

    This corresponds with the version required by GTK+ 3.4, so that API
    introduced in post-2.32 releases will emit warnings when used.

M	configure.ac

commit 7d8d22804a44ec23bd1ea71bd4dfc1d7841a114c
Author: David King <amigadave@amigadave.com>
Date:	Sat Aug 9 19:11:24 2014 +0100

    Move tagging code to new subdirectory

    Rearranging the tagging code will make it easier to split the code off
    to be a separate library.

M	.gitignore
M	Makefile.am
M	po/POTFILES.in
R100	src/ape_tag.c	src/tags/ape_tag.c
R100	src/ape_tag.h	src/tags/ape_tag.h
R100	src/flac_header.c	src/tags/flac_header.c
R100	src/flac_header.h	src/tags/flac_header.h
R100	src/flac_tag.c	src/tags/flac_tag.c
R100	src/flac_tag.h	src/tags/flac_tag.h
R100	src/gio_wrapper.cc	src/tags/gio_wrapper.cc
R100	src/gio_wrapper.h	src/tags/gio_wrapper.h
R100	src/id3_tag.c	src/tags/id3_tag.c
R100	src/id3_tag.h	src/tags/id3_tag.h
R100	src/id3lib/c_wrapper.cpp	src/tags/id3lib/c_wrapper.cpp
R100	src/id3lib/id3_bugfix.h src/tags/id3lib/id3_bugfix.h
R100	src/id3lib/patch_id3lib_3.8.3_UTF16_writing_bug.diff
src/tags/id3lib/patch_id3lib_3.8.3_UTF16_writing_bug.diff
R100	src/id3v24_tag.c	src/tags/id3v24_tag.c
R100	src/libapetag/COPYING.LGPL	src/tags/libapetag/COPYING.LGPL
R100	src/libapetag/README.apetag	src/tags/libapetag/README.apetag
R100	src/libapetag/apetaglib.c	src/tags/libapetag/apetaglib.c
R100	src/libapetag/apetaglib.h	src/tags/libapetag/apetaglib.h
R100	src/libapetag/id3v2_read.c	src/tags/libapetag/id3v2_read.c
R100	src/libapetag/id3v2_read.h	src/tags/libapetag/id3v2_read.h
R100	src/libapetag/info_mac.c	src/tags/libapetag/info_mac.c
R100	src/libapetag/info_mac.h	src/tags/libapetag/info_mac.h
R100	src/libapetag/info_mpc.c	src/tags/libapetag/info_mpc.c
R100	src/libapetag/info_mpc.h	src/tags/libapetag/info_mpc.h
R100	src/libapetag/is_tag.c	src/tags/libapetag/is_tag.c
R100	src/libapetag/is_tag.h	src/tags/libapetag/is_tag.h
R100	src/monkeyaudio_header.c	src/tags/monkeyaudio_header.c
R100	src/monkeyaudio_header.h	src/tags/monkeyaudio_header.h
R100	src/mp4_header.cc	src/tags/mp4_header.cc
R100	src/mp4_header.h	src/tags/mp4_header.h
R100	src/mp4_tag.cc	src/tags/mp4_tag.cc
R100	src/mp4_tag.h	src/tags/mp4_tag.h
R100	src/mpeg_header.c	src/tags/mpeg_header.c
R100	src/mpeg_header.h	src/tags/mpeg_header.h
R100	src/musepack_header.c	src/tags/musepack_header.c
R100	src/musepack_header.h	src/tags/musepack_header.h
R100	src/ogg_header.c	src/tags/ogg_header.c
R100	src/ogg_header.h	src/tags/ogg_header.h
R100	src/ogg_tag.c	src/tags/ogg_tag.c
R100	src/ogg_tag.h	src/tags/ogg_tag.h
R100	src/opus_header.c	src/tags/opus_header.c
R100	src/opus_header.h	src/tags/opus_header.h
R100	src/opus_tag.c	src/tags/opus_tag.c
R100	src/opus_tag.h	src/tags/opus_tag.h
R100	src/vcedit.c	src/tags/vcedit.c
R100	src/vcedit.h	src/tags/vcedit.h
R100	src/wavpack_header.c	src/tags/wavpack_header.c
R100	src/wavpack_header.h	src/tags/wavpack_header.h
R100	src/wavpack_tag.c	src/tags/wavpack_tag.c
R100	src/wavpack_tag.h	src/tags/wavpack_tag.h

commit 4fa650fd4b5f99242be86acee803ed0f2f744d73
Author: David King <amigadave@amigadave.com>
Date:	Fri Aug 8 20:45:52 2014 +0100

    Remove use of deprecated GtkImageMenuItem

M	src/load_files_dialog.c
M	src/tag_area.c

commit eece2dd855a3fe4e9ac642027cbb9c4afe6bcb95
Author: David King <amigadave@amigadave.com>
Date:	Fri Aug 8 20:35:20 2014 +0100

    Remove last uses of deprecated GtkStock

M	src/application_window.c
M	src/browser.c
M	src/cddb_dialog.c
M	src/easytag.c
M	src/load_files_dialog.c
M	src/misc.c
M	src/playlist_dialog.c
M	src/preferences_dialog.c
M	src/scan_dialog.c
M	src/search_dialog.c
M	src/tag_area.c

commit 37b1ffa794682cf8b039d5d24eb8f8593f561832
Author: David King <amigadave@amigadave.com>
Date:	Wed Aug 6 07:47:16 2014 +0100

    Split off main() to a separate source file

M	Makefile.am
M	src/easytag.c
A	src/main.c

commit fffeab41b48cf9c371cab4dd1deaf24e1f55c8d6
Author: David King <amigadave@amigadave.com>
Date:	Tue Aug 5 16:51:54 2014 +0100

    Refactor about dialog handling

    Fetch the parent from EtApplication.

M	src/about.c
M	src/about.h
M	src/application.c

commit d91fc6aa8623dbcc09c09b592adbcf99f154ec2a
Author: David King <amigadave@amigadave.com>
Date:	Tue Aug 5 16:38:06 2014 +0100

    Move some GApplication handlers to EtApplication

M	src/application.c
M	src/application.h
M	src/easytag.c

commit 63a1232009a5e4324b06a53531ec00e13114db3d
Author: David King <amigadave@amigadave.com>
Date:	Fri Aug 1 22:54:52 2014 +0100

    Use same strings in GSettings schema and UI

    While not all strings are applicable to the UI, try to reduce
    translator
    effort by reducing the delta.

M	src/browser.c
M	src/cddb_dialog.c
M	src/load_files_dialog.c
M	src/playlist_dialog.c
M	src/preferences_dialog.c
M	src/scan_dialog.c

commit 4813e3a618192b36bf47687e43e78fd9feaeb7b6
Author: David King <amigadave@amigadave.com>
Date:	Fri Aug 1 21:30:14 2014 +0100

    Avoid warnings when updating the scan dialog

M	src/application_window.c
M	src/application_window.h
M	src/easytag.c

commit 6530bf0641e8d7b1e8435e11d8863f8ee276970f
Author: David King <amigadave@amigadave.com>
Date:	Fri Aug 1 16:09:19 2014 +0100

    Use GtkWidget popup-menu signal in EtBrowser

M	TODO
M	src/browser.c

commit 9411e2fb3366aeb98473f641ab0f0a970e893bad
Author: David King <amigadave@amigadave.com>
Date:	Fri Aug 1 08:53:47 2014 +0100

    Use popup-menu signal in EtLoadFilesDialog

M	src/load_files_dialog.c

commit a1018b49ba87031fd206735f3e1c2563bdf254b8
Author: David King <amigadave@amigadave.com>
Date:	Thu Jul 31 22:14:57 2014 +0200

    Use GtkWidget popup-menu signal in EtLogArea

M	src/log.c

commit 15ab6f264d258d1f3288744bf0fd256f364b3301
Author: David King <amigadave@amigadave.com>
Date:	Thu Jul 31 21:11:36 2014 +0200

    Remove use of deprecated GtkMisc xalign property

    Use GtkWidget halign property instead.

M	src/cddb_dialog.c
M	src/file_area.c
M	src/load_files_dialog.c
M	src/preferences_dialog.c
M	src/scan_dialog.c
M	src/search_dialog.c
M	src/tag_area.c

commit d881fa1306130aa0a4a733d01eb25c2511dc2093
Author: David King <amigadave@amigadave.com>
Date:	Sun Jul 20 22:45:03 2014 +0100

    Avoid warnings when reading and writing ID3 tags

    https://mail.gnome.org/archives/easytag-list/2014-July/msg00000.html

M	src/id3_tag.c

commit 94be19c239f5aaf200dae62f5a00b82c702d27d7
Author: David King <amigadave@amigadave.com>
Date:	Sat Jul 19 23:53:09 2014 +0100

    Implement hiding of file header widget

    Show the file header information if the file-show-header GSetting is
    true.

M	src/file_area.c

commit 2ebe3861967f2de4bb0f0d8d3e140feb71f9643c
Author: David King <amigadave@amigadave.com>
Date:	Sat Jul 19 23:27:37 2014 +0100

    Move dialog setting saving to application window

M	src/application_window.c
M	src/application_window.h
M	src/easytag.c
M	src/setting.c
M	src/setting.h

commit 479fef7a908db316f97ba7fbc7a3d0a6bd8e61ad
Author: David King <amigadave@amigadave.com>
Date:	Sat Jul 19 23:12:45 2014 +0100

    Remove the cancel button from the preferences

    As settings changes are applied instantly with GSettings, a cancel
    button is not useful.

M	src/preferences_dialog.c

commit 03ab2667dc2ce185dec3df2c88f92f23a7b6b839
Author: David King <amigadave@amigadave.com>
Date:	Sat Jul 19 23:06:13 2014 +0100

    Remove unused code when closing preferences dialog

M	src/preferences_dialog.c
M	src/setting.c
M	src/setting.h

commit e50cfde5a502f3b122588ebbf9f2f1b2444605d3
Author: David King <amigadave@amigadave.com>
Date:	Sat Jul 19 22:38:29 2014 +0100

    Drop explicit call to gtk_main()

M	src/easytag.c

commit 594e9575eaddc1b70b7bf6510802b27b6b8e6828
Author: David King <amigadave@amigadave.com>
Date:	Sat Jul 19 09:19:38 2014 +0100

    Move file area to EtFileArea object

M	Makefile.am
M	po/POTFILES.in
M	src/application_window.c
M	src/application_window.h
M	src/easytag.c
M	src/easytag.h
M	src/et_core.c
M	src/et_core.h
A	src/file_area.c
A	src/file_area.h
M	src/flac_header.c
M	src/flac_header.h
M	src/monkeyaudio_header.c
M	src/monkeyaudio_header.h
M	src/mp4_header.cc
M	src/mp4_header.h
M	src/mpeg_header.c
M	src/mpeg_header.h
M	src/musepack_header.c
M	src/musepack_header.h
M	src/ogg_header.c
M	src/ogg_header.h
M	src/opus_header.c
M	src/opus_header.h
M	src/wavpack_header.c
M	src/wavpack_header.h

commit fc874a72b02a213f7de07b7b859597eff755f805
Author: David King <amigadave@amigadave.com>
Date:	Fri Jul 18 08:42:22 2014 +0100

    Move tag area to EtTagArea object

M	Makefile.am
M	po/POTFILES.in
M	src/application_window.c
M	src/application_window.h
M	src/easytag.c
M	src/easytag.h
M	src/et_core.c
M	src/misc.c
M	src/misc.h
M	src/picture.c
M	src/picture.h
A	src/tag_area.c
A	src/tag_area.h

commit f9d8fa4305dbc0c61b21e44721d5e819f2eab5bd
Author: David King <amigadave@amigadave.com>
Date:	Wed Jul 16 08:19:20 2014 +0100

    Save and restore main window state

M	src/application_window.c

commit 3d0895d833e96726ea7838922161b6be1f10b2d6
Author: David King <amigadave@amigadave.com>
Date:	Wed Jul 16 07:33:17 2014 +0100

    Track main window state

    This will be used to save and restore the window dimensions,
    and whether
    the window is maximized.

M	src/application_window.c

commit 11f839d201b44ab10c189408e5bdca5921106b78
Author: David King <amigadave@amigadave.com>
Date:	Mon Jul 14 22:19:16 2014 +0100

    Remove last uses of GtkAction

M	src/application_window.c
M	src/application_window.h
M	src/easytag.h
M	src/scan_dialog.c

commit 985a94cf3a3680188c22d4a7bf91dde2b07e8c56
Author: David King <amigadave@amigadave.com>
Date:	Mon Jul 14 17:16:41 2014 +0100

    Refactor popup menu handling

    Use gdk_event_triggers_context_menu() in button-press-event handlers.
    Use GDK_BUTTON_PRIMARY instead of 1 where appropriate.

M	TODO
M	src/application_window.c
M	src/browser.c
M	src/cddb_dialog.c
M	src/load_files_dialog.c
M	src/log.c
M	src/picture.c

commit 0a41b9ab7f61af18804fe0c0694ca9124a71ff02
Author: David King <amigadave@amigadave.com>
Date:	Mon Jul 14 17:16:01 2014 +0100

    Avoid deprecated margin property with GTK+ 3.12

M	src/gtk2_compat.c

commit cb165fa7d646b1d0361773c0168189a4bc3f5cbb
Author: David King <amigadave@amigadave.com>
Date:	Mon Jul 14 08:56:03 2014 +0100

    Convert XPM image data to PNG

    Build PNG images into the easytag binary with GResource.

M	Makefile.am
M	TODO
A	data/images/all-lowercase.png
A	data/images/all-uppercase.png
A	data/images/artist-album.png
A	data/images/artist.png
A	data/images/first-letter-uppercase-word.png
A	data/images/first-letter-uppercase.png
A	data/images/freedb.png
A	data/images/gnudb.png
A	data/images/invert-selection.png
A	data/images/mask.png
A	data/images/musicbrainz.png
A	data/images/red-lines.png
A	data/images/sequence-track.png
A	data/images/unselect-all.png
M	data/org.gnome.EasyTAG.gresource.xml
D	data/pixmaps/all_downcase.xpm
D	data/pixmaps/all_uppercase.xpm
D	data/pixmaps/artist.xpm
D	data/pixmaps/artist_album.xpm
D	data/pixmaps/first_letter_uppercase.xpm
D	data/pixmaps/first_letter_uppercase_word.xpm
D	data/pixmaps/freedb.xpm
D	data/pixmaps/gnudb.xpm
D	data/pixmaps/invert_selection.xpm
D	data/pixmaps/mask.xpm
D	data/pixmaps/musicbrainz.xpm
D	data/pixmaps/red_lines.xpm
D	data/pixmaps/sequence_track.xpm
D	data/pixmaps/unselect_all.xpm
M	data/toolbar.ui
M	src/application_window.c
M	src/browser.c
M	src/cddb_dialog.c
M	src/easytag.c
M	src/load_files_dialog.c
M	src/misc.c
M	src/misc.h
M	src/scan_dialog.c

commit 7a7aa3c05aefb83b77ca2836334119ea51247f12
Author: David King <amigadave@amigadave.com>
Date:	Mon Jul 14 07:12:49 2014 +0100

    Use named icons instead of GtkStock in some places

M	src/application_window.c
M	src/load_files_dialog.c
M	src/log.c
M	src/playlist_dialog.c
M	src/scan_dialog.c

commit 348123b4d1c3c05775067644dcfa140b07a32905
Author: David King <amigadave@amigadave.com>
Date:	Sun Jul 13 22:42:50 2014 +0100

    Use GAction for toolbar stop button

M	Makefile.am
M	TODO
M	data/toolbar.ui
M	src/application_window.c
M	src/bar.c
M	src/bar.h
M	src/easytag.c
D	src/ui_manager.h

commit 4b7b43e806e860851e2e29946fbfb05873bc6f5c
Author: David King <amigadave@amigadave.com>
Date:	Sun Jul 13 21:39:24 2014 +0100

    Remove now-unused UIManager proxy logic

    It was used for showing tooltips of menu items in the status bar, but
    GActions do not have tooltips so it is now useless.

M	src/bar.c

commit 7e75bfb710fba53d7672d98e8f168f9a7693cb92
Author: David King <amigadave@amigadave.com>
Date:	Sun Jul 13 21:36:14 2014 +0100

    Use GMenuModel for popup menus

M	data/menus.ui
M	src/application_window.c
M	src/application_window.h
M	src/bar.c
M	src/bar.h
M	src/browser.c
M	src/log.c
M	src/log.h
M	src/ui_manager.h

commit bb4bb6ff064cb329dc0e954c606eb09df1536626
Author: David King <amigadave@amigadave.com>
Date:	Sun Jul 13 19:01:59 2014 +0100

    Use GAction for file sorting mode GSetting

M	data/menus.ui
M	src/application_window.c
M	src/bar.c
M	src/bar.h
M	src/ui_manager.h

commit 4d24235a57f68b619ed0a6f7933bf7b9f6306902
Author: David King <amigadave@amigadave.com>
Date:	Sun Jul 13 18:25:14 2014 +0100

    Use GAction for some view menu items

    The sorting items remain.

M	data/menus.ui
M	data/toolbar.ui
M	src/application_window.c
M	src/application_window.h
M	src/bar.c
M	src/bar.h
M	src/browser.c
M	src/browser.h
M	src/easytag.c
M	src/easytag.h
M	src/scan_dialog.c
M	src/ui_manager.h

commit f37c1b373e5ef5b12a7165cb49fd45712a6a210b
Author: David King <amigadave@amigadave.com>
Date:	Sun Jul 13 14:27:57 2014 +0100

    Use GAction for file menu items

M	data/menus.ui
M	data/toolbar.ui
M	src/application_window.c
M	src/application_window.h
M	src/bar.c
M	src/bar.h
M	src/browser.c
M	src/easytag.h
M	src/ui_manager.h

commit 4bb620efac6fc25836fdb57a890e540975bfcd07
Author: David King <amigadave@amigadave.com>
Date:	Sun Jul 13 13:03:39 2014 +0100

    Use GAction for edit menu items

M	data/menus.ui
M	data/toolbar.ui
M	src/application_window.c
M	src/application_window.h
M	src/bar.c
M	src/bar.h
M	src/browser.c
M	src/easytag.c
M	src/easytag.h
M	src/ui_manager.h

commit 1c74e5a2ab8d5e360763e30c1af4509b98f30ef9
Author: David King <amigadave@amigadave.com>
Date:	Sun Jul 13 11:51:25 2014 +0100

    Use GAction for browser menu items

M	data/menus.ui
M	src/application_window.c
M	src/application_window.h
M	src/bar.c
M	src/bar.h
M	src/ui_manager.h

commit 459150ee208a69e45b9038349948bdaa009b8856
Author: David King <amigadave@amigadave.com>
Date:	Sun Jul 13 10:49:42 2014 +0100

    Use GAction for go-file actions

M	data/menus.ui
M	data/toolbar.ui
M	src/application_window.c
M	src/application_window.h
M	src/bar.c
M	src/bar.h
M	src/easytag.c
M	src/easytag.h
M	src/scan_dialog.c
M	src/ui_manager.h

commit 1a6030682b6735ba7f62c2182bb642ad4e8583d8
Author: David King <amigadave@amigadave.com>
Date:	Sun Jul 13 09:40:47 2014 +0100

    Add toolbar for new GAction-using toolbar buttons

M	data/org.gnome.EasyTAG.gresource.xml
A	data/toolbar.ui
M	po/POTFILES.in
M	src/application_window.c

commit aefd6df28edae8a17228db8916321dc6670294e4
Author: David King <amigadave@amigadave.com>
Date:	Sun Jul 13 09:15:58 2014 +0100

    Use GAction for miscellaneous menu items

    Move action state update function to EtApplicationWindow.

M	data/menus.ui
M	src/application_window.c
M	src/application_window.h
M	src/bar.c
M	src/bar.h
M	src/browser.c
M	src/easytag.c
M	src/easytag.h
M	src/et_core.c
M	src/scan_dialog.c
M	src/ui_manager.h

commit eb3749f03f93af0ca6c205fdfd49c37d9de2386b
Author: David King <amigadave@amigadave.com>
Date:	Sun Jul 13 00:01:35 2014 +0100

    Use GAction for go-directory actions

M	data/menus.ui
M	src/application_window.c
M	src/application_window.h
M	src/bar.c
M	src/bar.h
M	src/browser.c
M	src/browser.h
M	src/ui_manager.h

commit 0dda78be6afe9c2230d70eebaec9fe6df7dc66a6
Author: David King <amigadave@amigadave.com>
Date:	Sat Jul 12 23:37:08 2014 +0100

    Add skeleton menubar from GtkBuilder file

    The menu items are still not linked to actions, so do nothing when
    clicked.

M	data/menus.ui
M	src/application.c

commit 8bad3a54238690fe4019bc495dc68cb39e31bf49
Author: David King <amigadave@amigadave.com>
Date:	Sat Jul 12 22:31:04 2014 +0100

    Add an app menu

    Install application-wide actions for help, about and quit. Load
    the app
    menu from a resource.

M	.gitignore
M	Makefile.am
M	README
M	TODO
M	configure.ac
A	data/menus.ui
A	data/org.gnome.EasyTAG.gresource.xml
M	po/POTFILES.in
M	src/application.c
M	src/bar.c
M	src/bar.h
M	src/misc.c
M	src/misc.h
M	src/ui_manager.h

commit 9ad562ab85cf6a43dc759c9600a23ba9de09519f
Author: David King <amigadave@amigadave.com>
Date:	Wed Jul 9 16:52:18 2014 +0100

    Fix some const string warnings

    Found with -Wwrite-strings and -Wcast-qual.

M	nautilus-extension/nautilus-easytag.c
M	src/cddb_dialog.c
M	src/charset.c
M	src/et_core.c
M	src/et_core.h
M	src/flac_tag.c
M	src/genres.h
M	src/id3_tag.c
M	src/id3_tag.h
M	src/id3v24_tag.c
M	src/libapetag/apetaglib.c
M	src/libapetag/apetaglib.h
M	src/picture.c
M	src/scan_dialog.c
M	src/search_dialog.c
M	src/vcedit.c

commit ea136c0a0d604fc2d9356417fa1fbb5c44f1cd5a
Author: David King <amigadave@amigadave.com>
Date:	Sat Jul 5 22:51:39 2014 +0100

    Remove main configuration file handling

    All user pereferences are now stored in GSettings. Mask lists
    and combo
    box histories are still stored in files.

M	TODO
M	data/org.gnome.EasyTAG.gschema.xml
M	src/easytag.c
M	src/preferences_dialog.c
M	src/preferences_dialog.h
M	src/setting.c
M	src/setting.h

commit 5526c15d83f189811805bb1b473389c73b5f0f6c
Author: David King <amigadave@amigadave.com>
Date:	Sat Jul 5 22:35:38 2014 +0100

    Launch default audio player for selected files

M	src/browser.c
M	src/misc.c
M	src/misc.h

commit 71865be60a9f3c3fed389b1f1930860dd8c131e5
Author: David King <amigadave@amigadave.com>
Date:	Sat Jul 5 22:29:04 2014 +0100

    Launch default audio player for directory

    Use GAppInfo to discover the default player for the content type
    of the
    first file in the list, and play the files in the directory using that
    player.

M	src/misc.c

commit bc6966ab68c277f4d8152a5909b9209075f5fc09
Author: David King <amigadave@amigadave.com>
Date:	Sun Jun 29 14:52:54 2014 +0100

    Store default scanner masks in GSettings

M	src/scan_dialog.c
M	src/setting.c
M	src/setting.h

commit aa3daba3530d87cfe076c3fe1622e753c4b908ac
Author: David King <amigadave@amigadave.com>
Date:	Sat Jun 28 19:11:38 2014 +0100

    Remove local CDDB search function

    It is very unlikely that people have a local copy of the CDDB, and the
    settings code for this would be rather awkward.

M	README
M	data/org.gnome.EasyTAG.gschema.xml
M	src/browser.c
M	src/cddb_dialog.c
M	src/preferences_dialog.c
M	src/preferences_dialog.h
M	src/setting.c
M	src/setting.h

commit 1333c077bde99041450b161d29eb4f78d2f6fb23
Author: David King <amigadave@amigadave.com>
Date:	Sat Jun 28 17:33:14 2014 +0100

    Store playlist mask preferences in GSettings

M	src/application_window.c
M	src/application_window.h
M	src/playlist_dialog.c
M	src/playlist_dialog.h
M	src/setting.c
M	src/setting.h

commit 30f87f95264178603dbaf4e5f3492b62c160c7cf
Author: David King <amigadave@amigadave.com>
Date:	Sat Jun 21 12:15:18 2014 +0100

    Store character set preferences in GSettings

M	data/org.gnome.EasyTAG.gschema.xml
M	src/charset.c
M	src/charset.h
M	src/id3_tag.c
M	src/id3v24_tag.c
M	src/preferences_dialog.c
M	src/preferences_dialog.h
M	src/setting.c
M	src/setting.h

commit f475d5cfe21aafc3c5daf679dc36f0469dbf7147
Author: David King <amigadave@amigadave.com>
Date:	Sun Jun 15 16:35:20 2014 -0400

    Store process fields conversions in GSettings

M	data/org.gnome.EasyTAG.gschema.xml
M	src/scan_dialog.c
M	src/setting.c
M	src/setting.h

commit 6d475c8cb1d14b62258e9189273e874660423899
Author: David King <amigadave@amigadave.com>
Date:	Sun Jun 15 08:40:40 2014 -0400

    Store CDDB search preferences in GSettings

M	data/org.gnome.EasyTAG.gschema.xml
M	src/cddb_dialog.c
M	src/scan_dialog.c
M	src/setting.c
M	src/setting.h

commit 377d9cfc63d3d74ead88cffe5874b0ab98083b19
Author: David King <amigadave@amigadave.com>
Date:	Sat May 10 20:49:46 2014 +0100

    Store case sensitive sorting mode in GSettings

M	src/cddb_dialog.c
M	src/et_core.c
M	src/preferences_dialog.c
M	src/preferences_dialog.h
M	src/setting.c
M	src/setting.h

commit bb1e71032bd6e8233054e32fbf3ff1e4b671d32e
Author: David King <amigadave@amigadave.com>
Date:	Sat May 10 18:01:09 2014 +0100

    Store scan space conversion options in GSettings

M	data/org.gnome.EasyTAG.gschema.xml
M	src/playlist_dialog.c
M	src/preferences_dialog.c
M	src/preferences_dialog.h
M	src/scan_dialog.c
M	src/setting.c
M	src/setting.h

commit ac46a46cc4a36299ec37e5f24b4e6c85c64cc3a5
Author: David King <amigadave@amigadave.com>
Date:	Fri May 9 21:28:28 2014 +0100

    Store ID3v2.4/2.3 preference in GSettings

M	src/application_window.c
M	src/browser.c
M	src/id3_tag.c
M	src/id3v24_tag.c
M	src/preferences_dialog.c
M	src/preferences_dialog.h
M	src/setting.c
M	src/setting.h

commit 8f648daa84ca90e838e9250d1000486c023ede20
Author: David King <amigadave@amigadave.com>
Date:	Fri May 9 21:18:26 2014 +0100

    Store disc padding preferences in GSettings

M	data/org.gnome.EasyTAG.gschema.xml
M	src/misc.c
M	src/preferences_dialog.c
M	src/preferences_dialog.h
M	src/setting.c
M	src/setting.h

commit a8ccfd418bc934cec81ff150eaba4cf3970079fc
Author: David King <amigadave@amigadave.com>
Date:	Fri May 9 20:49:27 2014 +0100

    Store the process fields option in GSettings

M	data/org.gnome.EasyTAG.gschema.xml
M	src/scan_dialog.c
M	src/setting.c
M	src/setting.h

commit f0270a6923f1e3754031c285f517118e66286b5f
Author: David King <amigadave@amigadave.com>
Date:	Fri May 9 19:12:52 2014 +0100

    Store rename filename encoding in GSettings

M	data/org.gnome.EasyTAG.gschema.xml
M	src/charset.c
M	src/preferences_dialog.c
M	src/preferences_dialog.h
M	src/setting.c
M	src/setting.h

commit 02b5318650aff43f6bf83ee3cfde503e175093f5
Author: David King <amigadave@amigadave.com>
Date:	Fri May 9 18:57:54 2014 +0100

    Store ID3v1 and ID3v2 iconv options in GSettings

M	data/org.gnome.EasyTAG.gschema.xml
M	src/id3_tag.c
M	src/id3v24_tag.c
M	src/preferences_dialog.c
M	src/preferences_dialog.h
M	src/setting.c
M	src/setting.h

commit 469140e2417e1734e08ae4ee30878dc6f1a24da7
Author: David King <amigadave@amigadave.com>
Date:	Fri May 9 18:28:14 2014 +0100

    Store the playlist content mode in GSettings

M	data/org.gnome.EasyTAG.gschema.xml
M	src/playlist_dialog.c
M	src/playlist_dialog.h
M	src/setting.c
M	src/setting.h

commit fc3c397a342d38d4f74a112394c66345421daf5d
Author: David King <amigadave@amigadave.com>
Date:	Fri May 9 09:12:37 2014 +0100

    Store the file extension case mode in GSettings

M	data/org.gnome.EasyTAG.gschema.xml
M	src/et_core.c
M	src/preferences_dialog.c
M	src/preferences_dialog.h
M	src/setting.c
M	src/setting.h

commit 37555fc8c2c19f975adbd41e5aaf3c80a42f4340
Author: David King <amigadave@amigadave.com>
Date:	Thu May 8 23:18:31 2014 +0100

    Store the scanner window mode in GSettings

M	data/org.gnome.EasyTAG.gschema.xml
M	src/application_window.c
M	src/bar.c
M	src/scan_dialog.c
M	src/scan_dialog.h
M	src/setting.c
M	src/setting.h

commit 7470a291a406d70cd472dbdd5254ff25ccf8c0a7
Author: David King <amigadave@amigadave.com>
Date:	Thu May 8 08:26:21 2014 +0100

    Store the file list sorting mode in GSettings

M	Makefile.am
M	data/org.gnome.EasyTAG.gschema.xml
M	src/application_window.c
M	src/bar.c
M	src/browser.c
M	src/et_core.c
M	src/et_core.h
M	src/preferences_dialog.c
M	src/preferences_dialog.h
M	src/setting.c
M	src/setting.h

commit af6793e0b2a8332ad9cfe23f71becc93370637ee
Author: David King <amigadave@amigadave.com>
Date:	Tue Mar 26 10:46:15 2013 +0000

    Generate GSettings enum descriptions

M	.gitignore
M	Makefile.am

commit 7418209c1cf136ece89635dcc011e81c9bfcb872
Author: David King <amigadave@amigadave.com>
Date:	Sun Mar 24 19:49:29 2013 +0000

    Generate enum descriptions with glib-mkenums

M	.gitignore
M	Makefile.am
M	configure.ac

commit 528ff19b95f9dae7bbae71052c1d80166b96f400
Author: David King <amigadave@amigadave.com>
Date:	Wed May 7 23:22:12 2014 +0100

    Use GSettings for most application settings

M	README
M	src/application_window.c
M	src/bar.c
M	src/browser.c
M	src/cddb_dialog.c
M	src/easytag.c
M	src/et_core.c
M	src/flac_tag.c
M	src/id3_tag.c
M	src/id3v24_tag.c
M	src/load_files_dialog.c
M	src/load_files_dialog.h
M	src/log.c
M	src/misc.c
M	src/ogg_tag.c
M	src/playlist_dialog.c
M	src/preferences_dialog.c
M	src/preferences_dialog.h
M	src/scan_dialog.c
M	src/search_dialog.c
M	src/setting.c
M	src/setting.h

commit b42a637b02f85d5ebcc4d97880ce7f52ca7fb2fb
Author: David King <amigadave@amigadave.com>
Date:	Sat Feb 16 22:52:59 2013 +0000

    Add GSettings schema

    Leave the keys that depend on enums and flags commented for now,
    as the
    enum values need to be generated with glib-mkenums.

M	.gitignore
M	Makefile.am
M	configure.ac
A	data/org.gnome.EasyTAG.gschema.xml
M	po/POTFILES.in

commit 8f9e6db84f2a934ee577e7518503cf725fdafd98
Author: Santtu Lakkala <inz@inz.fi>
Date:	Thu Apr 24 08:48:52 2014 +0300

    Avoid a GtkApplication assertion

    Realizaing an application window during construction triggers an
    assertion with older versions of GTK+, and a warning with newer
    ones, so
    only show the window after it has been associated with the
    application.

M	src/application_window.c
M	src/easytag.c

commit 7483788b155b50dc4ba5ff84f3a8d3647213a248
Author: David King <amigadave@amigadave.com>
Date:	Wed Feb 12 23:06:30 2014 +0000

    Move browser to EtBrowser object

M	TODO
M	src/application_window.c
M	src/application_window.h
M	src/bar.c
M	src/browser.c
M	src/browser.h
M	src/cddb_dialog.c
M	src/easytag.c
M	src/easytag.h
M	src/et_core.c
M	src/load_files_dialog.c
M	src/misc.c
M	src/misc.h
M	src/playlist_dialog.c
M	src/scan_dialog.c
M	src/scan_dialog.h
M	src/search_dialog.c
M	src/setting.c

commit 0086beb5fc89026469f2c775984e75dd270c73fd
Author: David King <amigadave@amigadave.com>
Date:	Mon Jan 20 21:08:13 2014 +0000

    Set a rough initial window size and pane positions

M	src/application_window.c
M	src/browser.c

commit 97f7b0824b837458fe7061c6882cb6fe8364a287
Author: David King <amigadave@amigadave.com>
Date:	Sun Jan 5 22:08:21 2014 +0000

    Move file selection actions to EtApplicationWindow

M	src/application_window.c
M	src/application_window.h
M	src/bar.c
M	src/easytag.c
M	src/easytag.h

commit 3c4b5591369f3259458a82d3a66849389fb28694
Author: David King <amigadave@amigadave.com>
Date:	Sun Jan 5 21:49:55 2014 +0000

    Move select and unselect actions to main window

M	src/application_window.c
M	src/application_window.h
M	src/bar.c
M	src/browser.c
M	src/easytag.c
M	src/easytag.h

commit f2099fd2ba459522c3961c0c0e032e3340020187
Author: David King <amigadave@amigadave.com>
Date:	Sat Jan 4 15:34:45 2014 +0000

    Replace strncat() with g_string_append()

M	src/cddb_dialog.c

commit 5e019e0c3b5a41097ee52601748c8ca573415bb0
Author: David King <amigadave@amigadave.com>
Date:	Sun Dec 29 23:15:26 2013 +0000

    Move scan dialog to EtScanDialog object

M	TODO
M	src/application_window.c
M	src/application_window.h
M	src/bar.c
M	src/browser.c
M	src/cddb_dialog.c
M	src/easytag.c
M	src/easytag.h
M	src/load_files_dialog.c
M	src/misc.c
M	src/playlist_dialog.c
M	src/preferences_dialog.c
M	src/scan.h
M	src/scan_dialog.c
M	src/scan_dialog.h
M	src/search_dialog.c
M	src/setting.c
M	src/setting.h

commit f21de23ab08aa4b77ab3ee6cda44abeea4ab226e
Author: David King <amigadave@amigadave.com>
Date:	Sun Dec 29 16:41:51 2013 +0000

    Move CDDB dialog to EtCDDBDialog object

M	Makefile.am
M	po/POTFILES.in
M	src/application_window.c
M	src/application_window.h
M	src/bar.c
R062	src/cddb.c	src/cddb_dialog.c
R053	src/cddb.h	src/cddb_dialog.h
M	src/easytag.c
M	src/preferences_dialog.c
M	src/setting.c
M	src/setting.h

commit ca54f878fa0c72e305a4bb45599db9521e9d1211
Author: David King <amigadave@amigadave.com>
Date:	Sat Dec 28 13:02:10 2013 +0000

    Move preferences dialog to EtPreferencesDialog

M	Makefile.am
M	po/POTFILES.in
M	src/application_window.c
M	src/application_window.h
M	src/bar.c
M	src/easytag.c
M	src/misc.c
R090	src/prefs.c	src/preferences_dialog.c
R068	src/prefs.h	src/preferences_dialog.h
M	src/scan_dialog.c
M	src/setting.c

commit 393ac7d534e0f88d740882618b7fea11787d5ce9
Author: David King <amigadave@amigadave.com>
Date:	Sat Dec 28 01:31:11 2013 +0000

    Move file search dialog to EtSearchDialog object

M	Makefile.am
M	po/POTFILES.in
M	src/application_window.c
M	src/application_window.h
M	src/bar.c
M	src/misc.c
M	src/misc.h
C050	src/misc.c	src/search_dialog.c
A	src/search_dialog.h
M	src/setting.c
M	src/setting.h

commit 02a468858418f65113cb627307f362c8fcf5eb34
Author: David King <amigadave@amigadave.com>
Date:	Fri Dec 27 23:54:21 2013 +0000

    Move load filenames dialog to EtLoadFilesDialog

M	Makefile.am
M	po/POTFILES.in
M	src/application_window.c
M	src/application_window.h
M	src/bar.c
A	src/load_files_dialog.c
A	src/load_files_dialog.h
M	src/misc.c
M	src/misc.h
M	src/setting.c
M	src/setting.h

commit 092f7f866fba22b43b6b58fd7aa7edebb3a02aed
Author: David King <amigadave@amigadave.com>
Date:	Fri Dec 27 19:56:40 2013 +0000

    Move playlist window to EtPlaylistDialog object

M	Makefile.am
M	po/POTFILES.in
M	src/application_window.c
M	src/application_window.h
M	src/bar.c
M	src/misc.c
M	src/misc.h
A	src/playlist_dialog.c
A	src/playlist_dialog.h
M	src/setting.c
M	src/setting.h

commit d3e0bc946da79f320164b18618fb8a1aefa74a03
Author: David King <amigadave@amigadave.com>
Date:	Mon Nov 4 22:27:57 2013 +0000

    Move log area to EtLogArea object

M	src/application_window.c
M	src/application_window.h
M	src/bar.c
M	src/easytag.c
M	src/log.c
M	src/log.h

commit bbdcd0f5c7eba65b26cc8c8c0fce4cbe1a363139
Author: David King <amigadave@amigadave.com>
Date:	Fri Dec 27 18:32:49 2013 +0000

    Pass the main window to actions as user data

M	src/bar.c

commit 1210ec5650561895d2c702fd43dc949b6f82c706
Author: David King <amigadave@amigadave.com>
Date:	Sat Nov 2 21:33:18 2013 +0000

    Move main window to EtApplicationWindow object

M	Makefile.am
M	po/POTFILES.in
M	src/application.h
A	src/application_window.c
A	src/application_window.h
M	src/bar.c
M	src/bar.h
M	src/browser.c
M	src/easytag.c
M	src/easytag.h
M	src/et_core.c
M	src/setting.c
M	src/setting.h

commit fa6c4f6058c72afd9dabbb78bf0e10ad212b7b53
Author: Marek Černocký <marek@manet.cz>
Date:	Tue Aug 26 09:30:07 2014 +0200

    Fixed format specifiers order

M	help/C/scanner.page

commit a9bd9d5bcb16c775bcb998b4ea1258a2cd6c2009
Author: David King <amigadave@amigadave.com>
Date:	Sat Aug 9 19:57:09 2014 +0100

    Fix format specifier in GIO C++ wrapper string

M	src/gio_wrapper.cc

commit 71bfad9d9ba587ee13141f9c695367ac98011e84
Author: David King <amigadave@amigadave.com>
Date:	Fri Aug 15 18:45:57 2014 +0100

    Use updated license tags in AppData

M	data/easytag.appdata.xml.in

commit 229ab9c33e732d18424de42c3ff8ea6dec66778e
Author: David King <amigadave@amigadave.com>
Date:	Wed Jul 30 14:41:49 2014 +0200

    Fix delays when clearing the CDDB models

    Avoid accessing deleted rows in the tree view selection changed
    handlers, by blocking the handlers when clearing the
    models. Otherwise,
    each release in the list of search results being deleted would be
    fetched from the server and then immediately discarded.

M	src/cddb.c

commit a9a575e4b6c23c1e575132e4ac566698d979e22b
Author: David King <amigadave@amigadave.com>
Date:	Sun Aug 10 12:32:43 2014 +0100

    Fix scanner help for renaming files

M	help/C/file-rename.page

commit aafa2f280cd38621835c8919315d07165639a0db
Author: David King <amigadave@amigadave.com>
Date:	Fri Aug 1 17:34:24 2014 +0100

    Provide a useful error when failing to write files

    Pass an error back from ET_Save_File_Tag_To_HD() to ensure that
    a useful
    error message is presented to the user. Provide a sane fallback if the
    tag writing function does not provide a GError API (currently all
    non-Ogg formats).

    https://bugzilla.gnome.org/show_bug.cgi?id=733929

M	src/easytag.c
M	src/et_core.c
M	src/et_core.h

commit 1ae7485be4a6a5d8139e58e42f3a31932c3b0885
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Thu Jul 31 05:24:47 2014 +0200

    doap: add app category to pass the validation

M	easytag.doap

commit 9295b8f6f91e08b707405ad1ef2877be4e6b0756
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Thu Jul 31 05:21:30 2014 +0200

    doap: fix duplicate <programming-language>

M	easytag.doap

commit ef9c43474c36c7660e67420bba514559bf7163a3
Author: David King <amigadave@amigadave.com>
Date:	Wed Jul 30 11:58:38 2014 +0200

    Fix crash when reloading the directory tree

    As the directory is cleared during reloading, the selection changes
    and
    this leads to a crash when a directory in the tree is deleted
    outside of
    EasyTAG. Avoid the changed signal being emitted by clearing the
    directory tree only when the signal is blocked.

    https://bugzilla.redhat.com/show_bug.cgi?id=1121142

M	src/browser.c

commit 31e4167e9aab1229cf7b2ec6e9352232b1a84be7
Author: David King <amigadave@amigadave.com>
Date:	Sat Jul 19 21:09:57 2014 +0100

    Fix return type of init idle handler

    The return type of a GSourceFunc is a gboolean.

M	src/easytag.c

commit 9956e8ee78638e5be289ee34418f69f3eef8f96e
Author: David King <amigadave@amigadave.com>
Date:	Sun Jul 13 21:42:19 2014 +0100

    Remove last uses of GdkColor, use GdkRGBA instead

M	src/browser.c
M	src/cddb.c

commit 43d6740afba208b3e9687055ee9031347aef44c3
Author: David King <amigadave@amigadave.com>
Date:	Wed Jul 9 15:47:57 2014 +0100

    Fix Spanish help translation

M	help/es/es.po

commit 0a91ff23ba5b30d42b9ab19a8767a12265f4cb39
Author: Daniel Mustieles <dnaiel.mustieles@gmail.com>
Date:	Tue Jul 8 17:47:48 2014 +0200

    Updated Spanish translation

M	help/es/es.po

commit ef139130cb7aa9ec0e1e4c547e8e1d3c18a12612
Author: David King <amigadave@amigadave.com>
Date:	Fri Jul 4 21:59:18 2014 +0100

    Avoid use of deprecated foreground-gdk property

    Use new foreground-rgba property instead.

M	src/browser.c
M	src/cddb.c
M	src/et_core.c
M	src/et_core.h
M	src/misc.c

commit 16ed7412860957a5bfbcda7a6a1593465dbeb7a8
Author: David King <amigadave@amigadave.com>
Date:	Fri Jul 4 21:39:43 2014 +0100

    Avoid use of deprecated background-gdk property

    Use new background-rgba property instead.

M	src/browser.c
M	src/et_core.c
M	src/et_core.h

commit 186360c1e3b507c6381115b90d4eb6ce97c2d6e1
Author: David King <amigadave@amigadave.com>
Date:	Fri Jul 4 16:33:32 2014 +0100

    Remove unused columns from log model

    The foreground and background were never set to anything other
    than the
    default.

M	src/log.c

commit 1db350b3ab9d64cbefef822cd6d1faf7b21ac452
Author: David King <amigadave@amigadave.com>
Date:	Fri Jul 4 16:32:24 2014 +0100

    Remove unused GdkColor definitions

M	src/et_core.c
M	src/et_core.h

commit 1c3316fc22dea1f460650cfa4701736814b905de
Author: David King <amigadave@amigadave.com>
Date:	Fri Jun 27 21:57:53 2014 +0100

    Update SOURCES as all MingW packages are in Fedora

M	SOURCES

commit cfc015270b8750f12cf7bbff11acf9145053bed9
Author: Balázs Úr <urbalazs@src.gnome.org>
Date:	Mon Jun 30 22:23:30 2014 +0200

    Updated Hungarian translation

M	po/hu.po

commit 787e4b2e65f56918c6f0ea5584c366fa73e7dc76
Author: genodeftest <gnomel10n@genodeftest.de>
Date:	Sun Jun 29 20:10:38 2014 +0000

    Updated German translation

M	po/de.po

commit 8b0617b8fdb8109fb99866cba0c0c3a0f5d5bf53
Author: Marek Černocký <marek@manet.cz>
Date:	Wed Jun 25 11:32:07 2014 +0200

    Updated Czech translation

M	po/cs.po

commit 7cfd7716b3582450b4f020e3dd602ab1688ec36e
Author: David King <amigadave@amigadave.com>
Date:	Thu Jun 12 12:31:03 2014 +0100

    Update NEWS for future 2.3.1 release

M	NEWS
M	configure.ac

commit dd71f05ffc398def4c8998ec8075ee806c9986f7
Author: David King <amigadave@amigadave.com>
Date:	Sun Jun 22 14:58:53 2014 +0100

    Run glib-compile-schemas during Windows install

    The GTK+ file chooser depends on a GSettings schema, which must be
    installed and compiled.

M	easytag-win32-installer.nsi.in

commit 0d65c5a4599e57d70eec8cbd0f22d93f7cac8929
Author: David King <amigadave@amigadave.com>
Date:	Sun Jun 22 14:27:28 2014 +0100

    Add Korean to Windows installed locales

M	easytag-win32-installer.nsi.in

commit 4c4d312ebd32832a24133893eff41ee46f6ca603
Author: Andreas Winkelmann <ml@awinkelmann.de>
Date:	Fri Jun 20 02:20:33 2014 +0200

    Avoid assertion in Action_Select_Browser_Style()

    When changing to artist/album view the browser list gets cleared.
    While
    clearing, GTK+ emits a changed signal for each row, and
    Browser_List_Row_Selected() gets triggered, unfortunately with a row
    where the backing file list has already been freed.

    Added a function which clears the list and stops emissions of
    Browser_List_Row_Selected() while clearing.

M	src/browser.c
M	src/browser.h
M	src/et_core.c

commit 8ca5776f4517de59cf4cea9cc1e6a55b3985058a
Author: Andreas Winkelmann <ml@awinkelmann.de>
Date:	Fri Jun 6 23:10:42 2014 +0100

    Fixed a album/artist view memory leak

    In artist/album view the album list store contains a row for a
    collection of all albums for an artist - the "<All Albums>" row. The
    attached GList was not freed.

    Add a column with a boolean value to the model to be able to identify
    this row, as a simple string comparison seems unsafe.

M	src/browser.c
M	src/browser.h

commit 2e244aa3ec3ca6ad39fa88e297f2eb5743ecacf7
Author: Andreas Winkelmann <ml@awinkelmann.de>
Date:	Mon May 26 17:00:59 2014 +0200

    Fixed a few crashes because of dangling pointers

    The two list stores from the artist/album view contain pointers to the
    list in ETCore->ETArtistAlbumFileList. When the complete list
    was freed,
    the GUI still used the pointers in the list stores and crashed.

    I saw segmentation faults while toggling between artist/album and
    directory view and furthermore while shutting down EasyTAG.

M	src/browser.c
M	src/browser.h
M	src/et_core.c

commit 3a969918db8cff0a3cefa1195fbd2f79eb4467d2
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Thu Jun 19 16:48:26 2014 +0200

    Updated Polish translation

M	po/pl.po

commit 34e9d3238ff0d2481c2e2324c576ec019bfbca0f
Author: Daniel Mustieles <dnaiel.mustieles@gmail.com>
Date:	Tue Jun 17 19:41:55 2014 +0200

    Updated Spanish Translation

M	help/Makefile.am
A	help/es/es.po

commit 3d6506bb43922a01141b793d87c5fe3f0fc98aab
Author: Daniel Mustieles <dnaiel.mustieles@gmail.com>
Date:	Tue Jun 17 19:20:04 2014 +0200

    Updated Spanish translation

M	po/es.po

commit 4ffd740dcbcac16d3e814d5609446d81d608986c
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:	Mon Jun 16 13:21:07 2014 +0000

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 8722f83eb5212835a912df9b3c868990a459745f
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	Fri Jun 13 12:41:58 2014 +0000

    Updated Greek translation

M	po/el.po

commit 25807e575343f117b5fff4824467ff1f2bf6c376
Author: David King <amigadave@amigadave.com>
Date:	Wed Jun 11 22:00:01 2014 +0100

    Update British English translation

M	po/en_GB.po

commit 19fbfca6f7b01d8ccf0c49aea31c0c09ec4b3122
Author: David King <amigadave@amigadave.com>
Date:	Wed Jun 11 20:06:08 2014 +0100

    Add generated help translations to .gitignore

M	.gitignore

commit 9dbe534dd0599ede2bd4a2a27d0add8fb404ac2b
Author: David King <amigadave@amigadave.com>
Date:	Wed Jun 11 20:01:55 2014 +0100

    Initialize gettext in Nautilus extension startup

M	nautilus-extension/nautilus-easytag.c

commit 0b38bdc30c4cd8ece99d4893d63b60dfcc3e204e
Author: David King <amigadave@amigadave.com>
Date:	Wed Jun 11 19:56:54 2014 +0100

    Use type definition macro for Nautilus extension

    Use G_DEFINE_DYNAMIC_TYPE_EXTENDED for the Nautilus extension,
    and move
    all the code into a single file as a consequence.

M	Makefile.am
D	nautilus-extension/easytag-module.c
M	nautilus-extension/nautilus-easytag.c
D	nautilus-extension/nautilus-easytag.h

commit 16ec19b447e661e333a73b1797118619ae11923f
Author: David King <amigadave@amigadave.com>
Date:	Wed Jun 11 18:25:20 2014 +0100

    Minor improvements to the Nautilus extension

    Document the requirements for the extension in the README. Add a
    COPYING.GPL3, as including the license is a requirement. Update
    .gitignore for new files.

M	.gitignore
A	COPYING.GPL3
M	Makefile.am
M	README

commit 145685dbdc6c5ab6654600b908c272a3829863bb
Author: Victor A. Santos <victoraur.santos@gmail.com>
Date:	Wed Jun 11 13:01:56 2014 -0300

    Add Nautilus actions extension

    Include a context menu item for opening directories, and one for
    opening
    supported files, in a Nautilus extension.

    https://bugzilla.gnome.org/show_bug.cgi?id=731493

M	Makefile.am
M	configure.ac
A	nautilus-extension/easytag-module.c
A	nautilus-extension/nautilus-easytag.c
A	nautilus-extension/nautilus-easytag.h
M	po/POTFILES.in

commit 03b67ff6523cb3a5c39443ac62f1f0d224a669c5
Author: David King <amigadave@amigadave.com>
Date:	Sat Jun 7 11:18:58 2014 +0100

    Correctly restore disabled process fields options

    https://bugzilla.gnome.org/show_bug.cgi?id=730573

M	src/scan_dialog.c

commit 311de7ef375a9a8542018be8694deb6334e31ac6
Author: Andreas Winkelmann <ml@awinkelmann.de>
Date:	Mon May 26 18:22:12 2014 +0200

    Refactor Browser_List_Refresh_File_In_List()

    Simplify iterations over the tree model.

M	src/browser.c

commit 45538c78fec6a48585b7f0183f902ff57f4fd0ff
Author: Brad Erickson <eosrei@gmail.com>
Date:	Mon May 26 00:08:49 2014 +0800

    Add .m4v as a supported extension for MP4 tags

    https://bugzilla.gnome.org/show_bug.cgi?id=730421

M	src/et_core.c
M	src/et_core.h

commit 4bfe75daa174c6211e9f01e72c6d06c2051a2db2
Author: David King <amigadave@amigadave.com>
Date:	Sun May 18 14:24:45 2014 +0100

    Avoid a crash when browsing hidden directories

    If viewing hidden directories is disabled, EasyTAG will fail to find a
    hidden path in the directory model, and will crash when trying to
    retrieve the full path from the model. Avoid this by returning early
    from Browser_Tree_Select_Dir().

    https://bugzilla.gnome.org/show_bug.cgi?id=730326

M	src/browser.c

commit eb35be3db766ab55b95a1c74c9011a9e50c60c9c
Author: Changwoo Ryu <cwryu@debian.org>
Date:	Sun May 18 08:15:51 2014 +0900

    Add Korean to the translation list

M	po/LINGUAS

commit d7d1e95e1830bdfb4afd4b86ab39afefc77cf10d
Author: Seong-ho Cho <darkcircle.0426@gmail.com>
Date:	Sun May 18 08:14:39 2014 +0900

    Added Korean translation

A	po/ko.po

commit 986b8f5a54fa6b83be29e2d27e85a0ddd4dbf270
Author: David King <amigadave@amigadave.com>
Date:	Fri May 9 17:21:13 2014 +0100

    Update translation list for Windows installer

M	easytag-win32-installer.nsi.in

commit 95c31f5f2d517ce41987e5d3805f9d2dc3d2dcad
Author: David King <amigadave@amigadave.com>
Date:	Fri May 9 16:34:00 2014 +0100

    Fix broken check for id3lib UTF-16 bug

    https://bugzilla.gnome.org/show_bug.cgi?id=729328

M	src/id3_tag.c

commit 130296b3ec381439b06691d226d1d1388661dd29
Author: David King <amigadave@amigadave.com>
Date:	Mon May 5 18:56:34 2014 +0100

    Read extended Winamp 5.6 genres stored as integers

    As libid3tag has not been updated in some time, the genre list
    is rather
    out of date. If an integer genre is found, and libid3tag does not find
    it in the index, try the EasyTAG index as a fallback.

M	src/id3v24_tag.c

commit 027fd46e997a1ed9a3b44f54b97e95e567319ae9
Author: David King <amigadave@amigadave.com>
Date:	Mon May 5 18:29:47 2014 +0100

    Update ID3v1 genre list

    https://bugzilla.gnome.org/show_bug.cgi?id=729036

M	src/genres.h

commit 1d74ec2ed1b51aa69e7cfc2f6c5e69e51a67f2fe
Author: Andreas Winkelmann <ml@awinkelmann.de>
Date:	Mon May 5 10:39:14 2014 +0100

    Refactor libid3tag_Get_Frame_Str() and fix leak

M	src/id3v24_tag.c

commit 5234d4a07cc091cecd8c8c7383db66ed914b924d
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:	Mon May 5 07:31:47 2014 +0300

    Added Greek translation of help

M	help/Makefile.am
A	help/el/el.po

commit 0dc1d66d4035830537d55606e257511009e5083f
Author: David King <amigadave@amigadave.com>
Date:	Sun May 4 10:32:03 2014 +0100

    Fix memory leak when reading Ogg disc number field

M	src/ogg_tag.c

commit 7542ad103a7280d783de5379f9214d61472e92f9
Author: David King <amigadave@amigadave.com>
Date:	Sun May 4 09:59:10 2014 +0100

    Avoid crash when saving Ogg file with cover art

    https://bugzilla.gnome.org/show_bug.cgi?id=729443

M	src/ogg_tag.c

commit ce47170805528bf6db7c5f102f91b9549d96da1f
Author: Marek Černocký <marek@manet.cz>
Date:	Sat Apr 26 14:12:10 2014 +0200

    Updated Czech translation

M	po/cs.po

commit 70d02c0e9ff7d6c67cb95bbe66ce801d09d9b995
Author: David King <amigadave@amigadave.com>
Date:	Sat Apr 26 08:57:24 2014 +0100

    Revert asyncronous loading and saving of images

    This reverts commit f77f63eb9ce7cf8b58bbc2251f2ef32c9352d6f4 and
    f432ebd26c9bf5fc060eecb0c90635ca4acd3abd.

    https://bugzilla.redhat.com/show_bug.cgi?id=1091577

M	src/picture.c

commit 501b11256e7d8e4146d65a15c1040cc43db7eb59
Author: David King <amigadave@amigadave.com>
Date:	Sat Apr 26 09:19:26 2014 +0100

    Allow input focus to escape the tag area

    Do not create a focus loop in the tag area, and instead allow the user
    to tab out of the area.

M	src/easytag.c

commit cf47915b455c1eb6b102173a8cdb4e84b08dadf1
Author: kipw <kip@thevertigo.com>
Date:	Fri Apr 25 15:10:38 2014 -0700

    configure.ac: Bump version to 2.2.1...
    NEWS: Added 2.2.1 changes since 2.2.0...

M	NEWS
M	configure.ac

commit 13625dce72a52b63d35c94b3b22ebec4ec691787
Author: David King <amigadave@amigadave.com>
Date:	Wed Apr 23 12:52:16 2014 +0100

    Fix loading filenames from a text file

    When the code to read a list of filenames from a text file was
    ported to
    use GFile and GIO, it read the whole file as one entry and did
    not split
    the filenames by line. Use GDataInputStream to read per-line as
    before.

M	src/misc.c

commit ea53ac5940690e5c2d4823970e43049ab9508aae
Author: David King <amigadave@amigadave.com>
Date:	Tue Apr 22 19:36:37 2014 +0100

    Revert "Refactor Scan_Convert_P20_Into_Space()"

    This reverts commit 553ba87d0311e4e4c64f2321b5aa654df0c4ae29.

    The above commit added a call to strcpy(), with arguments that
    overlapped. The behaviour of such a call is undefined, and can lead to
    test failures.

    https://bugzilla.gnome.org/show_bug.cgi?id=728743

M	src/scan.c

commit c234480f4f217125f329ec2d4553b3ace9335351
Author: David King <amigadave@amigadave.com>
Date:	Tue Apr 22 17:03:10 2014 +0100

    Add Opus and Speex MIME types to desktop file

M	data/easytag.desktop.in

commit b596895a33618f00a6fa193f8eebde39cdcff844
Author: David King <amigadave@amigadave.com>
Date:	Tue Apr 22 15:49:21 2014 +0100

    Remove a problematic debug string

M	src/gio_wrapper.cc

commit 4a22b73c4bee9ff40059b875220c6d69254a508e
Author: David King <amigadave@amigadave.com>
Date:	Tue Apr 22 15:37:13 2014 +0100

    Fix conversion specifier in debug string

M	src/gio_wrapper.cc

commit 043fc69516b69fa646a1251d512d0cb1352a1154
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	Mon Apr 21 23:44:48 2014 +0100

    Add HELP_LINGUAS to the help Makefile

M	help/Makefile.am

commit 54d3d8bf993e48018f79c9c23d6b23d4bbcd504b
Author: David King <amigadave@amigadave.com>
Date:	Mon Apr 21 17:14:05 2014 +0100

    Remove a useless debugging message

M	src/picture.c

commit 9cfb3edb17a459c3612f51c635185aad0bc092b0
Author: David King <amigadave@amigadave.com>
Date:	Mon Apr 21 16:18:12 2014 +0100

    Fix compilation if Ogg support is not available

    Add some ifdefs to check whether ENABLE_OGG is defined. Remove
    leftover
    prototype in WavPack tag code.

M	src/ogg_tag.h
M	src/vcedit.h
M	src/wavpack_tag.c

commit e3393bb9a4889e9bfe56f7ba07b5e58ef4b487ad
Author: David King <amigadave@amigadave.com>
Date:	Sun Apr 20 23:10:35 2014 +0100

    Handle images with a reported size of zero

    If a zero-byte file was encountered, such as when reading from a HTTP
    server which does not report file sizes, a zero-byte buffer was
    allocated and passed to g_input_stream_read_all(), triggering
    an assert
    in the image loading code.

    Avoid the problem by treating a non-zero file size as an optimisation,
    allocating a buffer for the input file if the size is available, and
    splicing the file input stream to a GMemoryOutputStream.

    https://bugzilla.gnome.org/show_bug.cgi?id=728602
    https://retrace.fedoraproject.org/faf/problems/1662964/

M	src/picture.c

commit 196d4f18e228d1300910d56cdda162a150ffeea8
Author: David King <amigadave@amigadave.com>
Date:	Sat Apr 19 10:29:44 2014 +0100

    Fix automatic numbering of last track in view

    https://bugzilla.gnome.org/show_bug.cgi?id=728548

M	src/easytag.c

commit 0ff9da52c747e848a7c323c2e7a585386614f69d
Author: David King <amigadave@amigadave.com>
Date:	Sat Apr 19 10:16:08 2014 +0100

    Avoid a use-after-free when caplitalizing words

    https://bugzilla.gnome.org/show_bug.cgi?id=728533

M	src/easytag.c
M	src/scan_dialog.c
M	src/scan_dialog.h

commit 12afb792cf1ff5b5f0ed094867b78836edaa22d4
Author: David King <amigadave@amigadave.com>
Date:	Thu Apr 17 23:15:07 2014 +0100

    Add missing break in switch

    Found with Coverity (CID 1163345)

M	src/prefs.c

commit f2871ad88af1ba9ff006c6fd9471ad6841e4e182
Author: David King <amigadave@amigadave.com>
Date:	Thu Apr 17 22:42:04 2014 +0100

    Remove unused code when reading MP4 header

    Found with Coverity (CID 1203406)

M	src/mp4_header.cc

commit dd99ec94f5d46e433cf785ba5bfc849dd0987f78
Author: David King <amigadave@amigadave.com>
Date:	Thu Apr 17 22:01:43 2014 +0100

    Refactor GIO error checking in C++ wrapper

    Check the return value of g_output_stream_write_all().

    Found with Coverity (CID 1203401, CID 1203402 and CID 1203403)

M	src/gio_wrapper.cc

commit b8e9808c256b60b22f202c97007e04b6682771c9
Author: David King <amigadave@amigadave.com>
Date:	Tue Apr 15 20:39:45 2014 +0100

    Port from GApplication to GtkApplication

M	src/application.c
M	src/application.h
M	src/easytag.c

commit 77d6aeb33ca4697602a39fc6f1c7ad1c9d51851d
Author: David King <amigadave@amigadave.com>
Date:	Tue Apr 15 14:43:40 2014 +0100

    Document libid3tag requirement in README

M	README

commit 858a1ec356b8574cf79279ae6f38a497ffb4411c
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Tue Apr 15 14:15:23 2014 +0200

    Updated Spanish translation

M	po/es.po

commit 73efd41d8d4d2f9bc77d799418a1152283c92fab
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:	Mon Apr 14 23:05:58 2014 +0000

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 5b8b65d47c1dd2b8f589f68492d7ee3b08161c71
Author: Roman Bogorodskiy <bogorodskiy@gmail.com>
Date:	Mon Apr 14 12:00:24 2014 +0100

    Fix C++ ID3 wrapper compilation

    https://bugzilla.gnome.org/show_bug.cgi?id=728113

M	src/id3lib/c_wrapper.cpp

commit 93201c3d62ee423af712c36085a8e314a0fcd960
Author: Santtu Lakkala <inz@inz.fi>
Date:	Mon Apr 14 11:17:59 2014 +0300

    Drop sizeof when using G_N_ELEMENTS

    The refactorization left extraneous sizeof when changing to
    G_N_ELEMENTS.

M	src/gio_wrapper.cc

commit 58b4f1e9a352fe2c870986fadd802d033f7a1f2f
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	Sun Apr 13 23:09:25 2014 +0300

    Updated Lithuanian translation

M	po/lt.po

commit b9b8824e56f14681afba97cb8c215009e5491a3f
Author: Balázs Úr <urbalazs@src.gnome.org>
Date:	Sun Apr 13 15:48:59 2014 +0200

    Updated Hungarian translation

M	po/hu.po

commit fc78f9e1e14f238eeba9f729dba0cdd2cb37960a
Author: David King <amigadave@amigadave.com>
Date:	Sun Apr 13 09:09:58 2014 +0100

    Correct buffer type in C++ GIO wrapper

M	src/gio_wrapper.cc

commit ddf003b219799b82f4a72c7568fbcbe913e45f26
Author: David King <amigadave@amigadave.com>
Date:	Sun Apr 13 08:58:09 2014 +0100

    Fix compilation if TagLib is not available

    Thanks to Abhinav for the report.

M	src/gio_wrapper.cc
M	src/gio_wrapper.h

commit 40e2787c8dbb75f36f0b2c69cdf6270aa5df7b28
Author: Abhinav <abhijangda@hotmail.com>
Date:	Sun Apr 13 11:05:17 2014 +0530

    Add only numeric characters to TPOS in ID3 Tags

    https://bugzilla.gnome.org/show_bug.cgi?id=726467

M	src/id3_tag.c
M	src/id3_tag.h
M	src/id3v24_tag.c

commit 172139f7dade030eb76ad8c99b2e3d90dd67d886
Author: David King <amigadave@amigadave.com>
Date:	Sat Apr 12 20:17:36 2014 +0100

    Update README to only mention GTK+ 3

M	README

commit 58c4d16a0662ce96a7c9455e33978967d908b70f
Author: David King <amigadave@amigadave.com>
Date:	Sat Apr 12 20:07:03 2014 +0100

    Set the inline-toolbar style on the images toolbar

M	src/easytag.c

commit 2e723c5f855a7a700ebf924e9e44de136dd818bc
Author: David King <amigadave@amigadave.com>
Date:	Sat Apr 12 19:57:13 2014 +0100

    Set the primary-toolbar style on the main toolbar

M	src/bar.c

commit eaae7f8479c2881f3965e354cf72ad4b743a49fa
Author: David King <amigadave@amigadave.com>
Date:	Sat Apr 12 19:48:37 2014 +0100

    Remove some GTK+ 2 compatibility code

M	src/gtk2_compat.c
M	src/gtk2_compat.h
M	src/misc.c

commit ab96820183cce6bedfdc8923ceb7cebc69234d68
Author: David King <amigadave@amigadave.com>
Date:	Sat Apr 12 19:45:03 2014 +0100

    Use the license-type property of GtkAboutDialog

M	src/about.c

commit ba312a2a1fdeff913afea6b33cf749fc6df47bf2
Author: David King <amigadave@amigadave.com>
Date:	Sat Apr 12 19:43:39 2014 +0100

    Depend on GTK+ 3 only

M	configure.ac

commit ecf51caab3c414846a9d9806a4ee9ef8474ec178
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	Sat Apr 12 18:59:51 2014 +0200

    Updated Slovenian translation

M	po/sl.po

commit 98f092caf16e10aa0296de7e6d33da585f73abb3
Author: David King <amigadave@amigadave.com>
Date:	Sat Apr 12 14:05:20 2014 +0100

    Bump TagLib dependency to 1.9.1 for MP4 codec enum

M	configure.ac

commit 5a73d051b844e8c8e01f0f8d51e8839e4de3bf1a
Author: David King <amigadave@amigadave.com>
Date:	Sat Apr 12 13:14:38 2014 +0100

    Use CXXFLAGS from environment

    Fix a typo when checking for warning options to pass to the C++
    compiler, and ensure that CXXFLAGS set in the environment are
    passed to
    the compiler.

M	configure.ac

commit 049a6bef4fda3edb3701f11ec6adb438bbb4dac9
Author: David King <amigadave@amigadave.com>
Date:	Fri Apr 11 23:48:39 2014 +0100

    Update NEWS for 2.2.0 release

M	NEWS
M	configure.ac

commit 4201a7a75e11efca9f6ccabc341ecdf71994ba3d
Author: David King <amigadave@amigadave.com>
Date:	Fri Apr 11 23:56:08 2014 +0100

    Update man page for new format support

M	doc/easytag.xml

commit 33493b81c5de9f340702b4a10233498d6ff6f307
Author: David King <amigadave@amigadave.com>
Date:	Fri Apr 11 23:42:14 2014 +0100

    Hide help contents menuitem on Windows

    Until Yelp runs on Windows, or the Mallard help is on help.gnome.org,
    this will remain hidden.

M	src/ui_manager.h

commit c6a7d7b900766e29091ecec91bd992f8e8c7ee25
Author: David King <amigadave@amigadave.com>
Date:	Fri Apr 11 23:07:48 2014 +0100

    Update SOURCES for the upcoming 2.2.0 release

M	SOURCES
M	easytag-win32-installer.nsi.in

commit a9b66c883f6eee2759d0a2aa418463af76788aec
Author: David King <amigadave@amigadave.com>
Date:	Fri Apr 11 21:55:56 2014 +0100

    Use TagLib namespace for ulong typedef

    Under MinGW, ulong is not defined.

M	src/gio_wrapper.cc
M	src/gio_wrapper.h

commit 4ddf4c8465cc39db88d21379d3cd298a8c372327
Author: David King <amigadave@amigadave.com>
Date:	Fri Apr 11 21:13:01 2014 +0100

    Mark changed files as bold by default

    Marking changed files as red means that they are difficult to discern
    when selected.

M	src/setting.c

commit 3c4f2f8873e5fec51f43888ed0f79de2a44f478d
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	Fri Apr 11 21:06:59 2014 +0100

    Review problems-ogg-split help page

M	help/C/problems-ogg-split.page

commit 4ccfaed1c85091124b1cf5c88d5713233bf14532
Author: David King <amigadave@amigadave.com>
Date:	Thu Apr 10 00:21:15 2014 +0100

    Add help page on Ogg tag splitting

A	help/C/problems-ogg-split.page
M	help/Makefile.am

commit 5929722b0c30193c48cf0c8d7f0daeb6d4ca6f71
Author: David King <amigadave@amigadave.com>
Date:	Fri Apr 11 14:13:01 2014 +0100

    Update DOAP file for new file format support

M	easytag.doap

commit 7803968bb2ce6248efec6f3c71591d91593c0b89
Author: David King <amigadave@amigadave.com>
Date:	Thu Apr 10 10:38:32 2014 +0100

    Update help now that MP4 cover art is supported

M	help/C/image.page

commit f5957ed28b1c197f66f05aa16d1fb2f4adabde2d
Author: David King <amigadave@amigadave.com>
Date:	Fri Apr 11 11:29:07 2014 +0100

    Remove auto pointer template

    Additionally, unref the stream on destruction of GIO_InputStream, as
    closing the stream is not sufficient.

M	src/gio_wrapper.cc

commit e776981890fd7313996bf752a376cf2187eb5805
Author: Santtu Lakkala <inz@inz.fi>
Date:	Fri Apr 11 12:01:16 2014 +0300

    Add basic error reporting to mp4_header.cc

    Add some error reporting enabled by updates in GIO wrapper to
    mp4_header.cc.

M	src/mp4_header.cc

commit 0955b0b8b3866f060d8b3a4a2661a1e023763dcb
Author: Santtu Lakkala <inz@inz.fi>
Date:	Fri Apr 11 12:01:15 2014 +0300

    Add basic error reporting to mp4_tag.cc

    Add some error reporting enabled by updates in GIO wrapper to
    mp4_tag.cc.

M	src/mp4_tag.cc

commit 0bf00a1dce794cfc8fc6fefa6c75e3274369b0a9
Author: Santtu Lakkala <inz@inz.fi>
Date:	Fri Apr 11 12:01:14 2014 +0300

    Improve error handling in GIO/TagLib wrapper

    Add some error checks and a method for getting the error to the
    GIO/TagLib compatibility layer.

M	src/gio_wrapper.cc
M	src/gio_wrapper.h

commit 3b3f81a72c9de5dfb0fbd3f06eb7a6957bc944cd
Author: David King <amigadave@amigadave.com>
Date:	Fri Apr 11 08:46:27 2014 +0100

    Use GIO wrappers in mp4_header.cc

M	src/mp4_header.cc

commit 3a53d419f6c1b4d197f6c421f462cb2093f40612
Author: Santtu Lakkala <inz@inz.fi>
Date:	Thu Apr 10 11:01:53 2014 +0300

    Use GIO wrappers in mp4_tag.cc

    Make mp4_tag.cc use GIO wrapper for reading and writing MP4 tags with
    TagLib.

M	src/mp4_tag.cc

commit 44ee383fb2d981c165c72e3d962df0a6dd131add
Author: Santtu Lakkala <inz@inz.fi>
Date:	Thu Apr 10 11:01:52 2014 +0300

    Add GIO/TagLib compatibility layer

    Create GIO based implementations of TagLib::IOStream, so TagLib can
    be used
    over GIO. The implementation still lacks almost all error handling,
    but works
    in normal situations.

M	Makefile.am
A	src/gio_wrapper.cc
A	src/gio_wrapper.h

commit 30798d62f77a92d96c97ae7c95d66efa5a60a1c6
Author: David King <amigadave@amigadave.com>
Date:	Thu Apr 10 16:50:56 2014 +0100

    Use C++ TagLib API for MP4 header information

M	Makefile.am
M	configure.ac
M	po/POTFILES.in
R071	src/mp4_header.c	src/mp4_header.cc
M	src/mp4_header.h
M	src/mp4_tag.cc

commit e561c91e19342f2ecd475b36d1cc7e7793a95c13
Author: Santtu Lakkala <inz@inz.fi>
Date:	Thu Apr 10 09:32:42 2014 +0100

    Support album artist in MP4 files

    Use the atom directly, rather than going through the properties
    convenience API.

M	src/easytag.c
M	src/mp4_tag.cc

commit db6d50178a5f1b2e80faed02638a49be89b0a96e
Author: Santtu Lakkala <inz@inz.fi>
Date:	Thu Apr 10 08:32:29 2014 +0300

    Implement cover art support for MP4

    Adds support for saving cover image into MP4 files, and show the
    images
    tab for them as well. Add G_BEGIN_DECLS and G_END_DECLS in picture.h.

    https://bugzilla.gnome.org/show_bug.cgi?id=701506

M	src/easytag.c
M	src/mp4_tag.cc
M	src/picture.h

commit e23ea390d7ec8a687fc0e82fb2d2542e71efe378
Author: David King <amigadave@amigadave.com>
Date:	Sat Mar 15 10:33:48 2014 +0000

    Support extended fields for MP4 tags

    Support the extended tags that are supported by TagLib, including
    total
    track number, disc number (and total), composer, copyright and encoded
    by.

    https://bugzilla.gnome.org/show_bug.cgi?id=701506

M	src/easytag.c
M	src/mp4_tag.cc

commit dd2ce06e05705ed3587dbbdfefff4fc15d1fd94a
Author: Santtu Lakkala <inz@inz.fi>
Date:	Fri Apr 11 12:07:38 2014 +0300

    Detect good set of warning flags for C++ compiler

    At least gcc's g++ does not like all warning flags that the C compiler
    does, so try them separately. Use -Werror to get failures, as
    the wrong
    flags only cause a warning.

M	Makefile.am
M	configure.ac

commit 70a8891b4a2b35b9bd2df3c5af8fb7cff66f5caf
Author: David King <amigadave@amigadave.com>
Date:	Thu Mar 6 23:38:39 2014 +0000

    Use C++ TagLib API for MP4 tags

    Eventually, this will enable handling of cover art and extended
    tags for
    MP4 files.

M	Makefile.am
M	configure.ac
M	po/POTFILES.in
R062	src/mp4_tag.c	src/mp4_tag.cc
M	src/mp4_tag.h

commit 4d0d294e00b7153e927c1df0037e360a95d2b227
Author: David King <amigadave@amigadave.com>
Date:	Thu Apr 3 17:38:26 2014 +0100

    Update NEWS for 2.1.10.99 preview release

M	AUTHORS
M	NEWS
M	configure.ac

commit df33e49df640f774520b76f7c7764c7dfc94a2b8
Author: David King <amigadave@amigadave.com>
Date:	Fri Apr 11 13:59:20 2014 +0100

    Fix ETFileDescription length

M	src/et_core.c

commit 46a2208d70f115f6e4849aebb23c44126f052f21
Author: Santtu Lakkala <inz@inz.fi>
Date:	Fri Apr 11 15:35:39 2014 +0300

    Move file type table contents

    The file type table was defined as static in a header, which
    meant that
    every object reading the header had a copy. Move the table to a source
    file.

M	src/et_core.c
M	src/et_core.h

commit b6f54eadbc5cdca9244653d5f7df881b08bf7bfd
Author: David King <amigadave@amigadave.com>
Date:	Thu Apr 10 00:04:09 2014 +0100

    Add help page on ID3 tag version problems

    Also see https://bugs.launchpad.net/ubuntu/+source/easytag/+bug/684352

M	help/C/index.page
A	help/C/problems-id3.page
M	help/Makefile.am

commit 72712d730c6d0deb3c26895f1f41a0f9d469dd29
Author: David King <amigadave@amigadave.com>
Date:	Wed Apr 9 23:36:13 2014 +0100

    Update supported format list in help

M	help/C/introduction.page

commit daf24d5062be84d609cb6cf9998a96c8919fa80a
Author: Praveen Illa <mail2ipn@gmail.com>
Date:	Fri Apr 11 02:44:51 2014 +0530

    Added Telugu initial Translation

M	po/LINGUAS
A	po/te.po

commit dae0a35755b421485e48ec2e5aad4c7fbb9331e5
Author: David King <amigadave@amigadave.com>
Date:	Thu Apr 10 21:36:16 2014 +0100

    Set default size on image properties dialogue

    This gives a better result than setting a size request on the image
    types tree view.

M	src/picture.c

commit 553ba87d0311e4e4c64f2321b5aa654df0c4ae29
Author: Santtu Lakkala <inz@inz.fi>
Date:	Thu Apr 10 20:20:24 2014 +0100

    Refactor Scan_Convert_P20_Into_Space()

    https://bugzilla.gnome.org/show_bug.cgi?id=726108

M	src/scan.c

commit 882f7ff40138fe7530c7ee5a46f8cf03a5c25705
Author: David King <amigadave@amigadave.com>
Date:	Thu Apr 10 17:14:10 2014 +0100

    Avoid C++ string conversion warnings

    Change the type of string literals to const gchar * in
    ET_File_Description.

M	src/et_core.h

commit b92ca8fa6de7cabc2179dca5c308f4414bbef6b5
Author: Marek Černocký <marek@manet.cz>
Date:	Wed Apr 9 14:24:29 2014 +0200

    Updated Czech translation

M	po/cs.po

commit 745e88d5129d574f957bc9dc22ac386efea4695a
Author: David King <amigadave@amigadave.com>
Date:	Wed Apr 9 09:31:55 2014 +0100

    Update British English translation

M	po/en_GB.po

commit 6d878e8a48fb2bb78c235d90fdce129526060c21
Author: Abhinav <abhijangda@hotmail.com>
Date:	Wed Apr 9 12:43:00 2014 +0530

    Avoid NULL deref in Scan_Rename_File_Prefix_Path()

    Check if the current path is non-empty before trying to use the
    name of
    the currently-displayed file.

    https://bugzilla.gnome.org/show_bug.cgi?id=727876
    https://retrace.fedoraproject.org/faf/problems/1641130/

M	src/scan_dialog.c

commit d8d6d47db19617d174bdbc881aaae4cb95f66b91
Author: Gianvito Cavasoli <gianvito@gmx.it>
Date:	Tue Apr 8 19:26:44 2014 +0200

    [l10n] Updated Italian translation.

M	po/it.po

commit 00ab3f419f63b6711b63ed7568f7f0ef2375f683
Author: David King <amigadave@amigadave.com>
Date:	Mon Apr 7 22:56:04 2014 +0100

    Use gtester and add test and report make targets

    Use the GLib testing utilities gtester and gtester-report to log and
    generate reports from tests. Create targets for tests and test
    reporting, and add further targets for more granular selection
    of tests.
    Use "make full-report" to run all GTest tests and generate an HTML
    report of the results.

M	.gitignore
M	Makefile.am
M	TODO
M	configure.ac

commit 30a0e93495e5e589941a35eb007a438dab04fc68
Author: David King <amigadave@amigadave.com>
Date:	Mon Apr 7 22:31:17 2014 +0100

    Add simple performance tests for scanner functions

M	tests/test-scan.c

commit f43c0a65e1404535c5a11a0caf7576a69a576f70
Author: Abhinav <abhijangda@hotmail.com>
Date:	Mon Apr 7 21:08:59 2014 +0100

    Improve scanner functions and fix tests

    https://bugzilla.gnome.org/show_bug.cgi?id=726108

M	src/easytag.c
M	src/scan.c
M	src/scan.h
M	src/scan_dialog.c
M	tests/test-scan.c

commit 55bc12913becad6c49894b18a7eb8816aa5346b6
Author: Abhinav <abhijangda@hotmail.com>
Date:	Mon Apr 7 18:38:58 2014 +0100

    Add a test for scanner string functions

    https://bugzilla.gnome.org/show_bug.cgi?id=726108

M	.gitignore
M	Makefile.am
A	tests/test-scan.c

commit b34a2284d1da35dd642645dd73956ecde900477f
Author: David King <amigadave@amigadave.com>
Date:	Mon Apr 7 18:19:20 2014 +0100

    Split scanner dialog off into scan_dialog.[c|h]

    Prepare to add some tests and benchmarks for the scanner
    string-handling
    functions.

M	Makefile.am
M	po/POTFILES.in
M	src/bar.c
M	src/browser.c
M	src/cddb.c
M	src/easytag.c
M	src/misc.c
M	src/scan.c
M	src/scan.h
C096	src/scan.c	src/scan_dialog.c
C077	src/scan.h	src/scan_dialog.h
M	src/setting.c

commit e92d01df738c167580c23adfc0ef3a7bb3893aa5
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Mon Apr 7 19:06:20 2014 +0200

    Updated Polish translation

M	po/pl.po

commit bf7256bc3e4b4855052af74d69ca0b0144af3f92
Author: Wolfgang Stöggl <c72578@yahoo.de>
Date:	Mon Apr 7 13:48:43 2014 +0000

    Updated German translation

M	po/de.po

commit 8cdd8146c8091b0fc0a2a13aa906070851ad0bd7
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Mon Apr 7 12:16:43 2014 +0200

    Updated Spanish translation

M	po/es.po

commit 87fe06a5e4966ce11f72d2621b5fb313c46719e7
Author: David King <amigadave@amigadave.com>
Date:	Mon Apr 7 08:35:43 2014 +0100

    Fix typo in proxy tooltip string

    https://bugzilla.gnome.org/show_bug.cgi?id=727721

M	src/prefs.c

commit 3c7afc68f88bbdc35fc4e5015ead83906eb3089e
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	Sun Apr 6 23:53:04 2014 +0000

    Updated French translation

M	po/fr.po

commit c7b73721d6bdca411627dba57ce4dc6bbc9a1d69
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	Sun Apr 6 23:47:05 2014 +0000

    Updated French translation

M	po/fr.po

commit 480e68ff48bb1a0f32976089c199d0a804250c7b
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	Sat Apr 5 21:46:49 2014 +0200

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 3b983605f4a828ac8856520363291f483662b11f
Author: Marek Černocký <marek@manet.cz>
Date:	Sat Apr 5 17:15:34 2014 +0200

    Updated Czech translation

M	po/cs.po

commit e6adc18f915201e1ad410a159094fa1af436abeb
Author: Wolfgang Stöggl <c72578@yahoo.de>
Date:	Sat Apr 5 10:35:33 2014 +0000

    Updated German translation

M	po/de.po

commit ea93fe3ec0f4e414549515d1e4f67090f1c6d11c
Author: David King <amigadave@amigadave.com>
Date:	Fri Apr 4 17:40:28 2014 +0100

    Update about dialogue credits

M	po/en_GB.po
M	src/about.c

commit a6b44d7abbf150235bcdc3233fe1161c3191c0b5
Author: Santtu Lakkala <inz@inz.fi>
Date:	Fri Apr 4 08:06:35 2014 +0300

    Reimplement Roman numeral detection

    Roman numeral detection code used complicated process of check, parse,
    build, compare to detect if a string was a valid Roman numeral.
    Reimplemented as a single step, that only checks for the validity (and
    well-formedness) of the string, without computing its value.

    It uses the same modern Roman numeral notation, including subtractive
    notation.

M	src/scan.c

commit 8a5acffa8ed6749aa0de9306ea53349a5fe34fb0
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Fri Apr 4 10:01:42 2014 +0200

    Updated Spanish translation

M	po/es.po

commit 476068994d89ee939e89e296a13884d642830fc8
Author: Abhinav <abhijangda@hotmail.com>
Date:	Thu Apr 3 22:25:15 2014 +0100

    Small optimization for scanner functions

    Discovered while fixing bug 726108.

M	src/scan.c

commit ba436215925aba8bbab0dc7eb5a8d6aab34c7fe9
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:	Thu Apr 3 17:13:03 2014 +0000

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 46f71f0ae7b9d473c1da046f9af57d20b11f15d1
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Thu Apr 3 18:54:26 2014 +0200

    Updated Polish translation

M	po/pl.po

commit 67bdf5f9ae13d9aeb9bdef4c1676645b7ff993cc
Author: David King <amigadave@amigadave.com>
Date:	Thu Apr 3 17:44:23 2014 +0100

    Update British English translation

M	po/en_GB.po

commit af6bf46fd7b33d13e341e45ac5f74b2ec63465d8
Author: David King <amigadave@amigadave.com>
Date:	Thu Apr 3 17:41:37 2014 +0100

    Mention Ogg Speex support in AppData description

M	data/easytag.appdata.xml.in

commit 1d6c063e9bad986ed9bda60bca5aabef94780026
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:	Thu Apr 3 10:56:43 2014 +0000

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit ee30ce13211495ff1b77fb3708b004689529cfb5
Author: David King <amigadave@amigadave.com>
Date:	Wed Apr 2 19:43:00 2014 +0100

    Rearrange Opus/Speex Ogg checks

    Place the checks inside the path where Opus/Speex support is
    enabled, to
    prevent superfluous errors.

M	configure.ac

commit a6a18f5b624880f9f280324ee238981ff61daaaf
Author: David King <amigadave@amigadave.com>
Date:	Wed Apr 2 17:52:22 2014 +0100

    Error out if Ogg disabled but Speex/Opus enabled

    Opus and Speex support depend on Ogg support for parsing of Vorbis
    comments, used in both formats.

M	configure.ac

commit 32e494edc029bcb24b4148ed65cc355e17a25aef
Author: David King <amigadave@amigadave.com>
Date:	Wed Apr 2 17:41:43 2014 +0100

    Update AppData for Opus file support

M	data/easytag.appdata.xml.in

commit e8296e2848c9dd28bf4a1399f853e5aebef89f61
Author: David King <amigadave@amigadave.com>
Date:	Wed Apr 2 17:21:24 2014 +0100

    Fix reading header information from Opus files

    Correctly read the sample rate and duration from Opus files.
    Additionally, handle images in an Opus comment.

M	src/opus_header.c
M	src/picture.c

commit 2b685a83e84b76dc4afa1180fc89918d115e12b5
Author: Abhinav <abhijangda@hotmail.com>
Date:	Sat Mar 29 21:32:58 2014 +0530

    Support for writing tags to Ogg Opus files

    https://bugzilla.gnome.org/show_bug.cgi?id=692389

M	src/et_core.c
M	src/ogg_tag.h
M	src/vcedit.c
M	src/vcedit.h

commit c636cd01eca6cdc4d741050790ac00354014d7a4
Author: Abhinav <abhijangda@hotmail.com>
Date:	Mon Mar 24 23:45:51 2014 +0530

    Support reading tags from Ogg Opus files

    https://bugzilla.gnome.org/show_bug.cgi?id=692389

M	Makefile.am
M	README
M	configure.ac
M	po/POTFILES.in
M	src/easytag.c
M	src/et_core.c
M	src/et_core.h
M	src/ogg_tag.c
M	src/ogg_tag.h
A	src/opus_header.c
A	src/opus_header.h
A	src/opus_tag.c
A	src/opus_tag.h

commit b22129be5b931dccef89457bb2ab963a2c7057e3
Author: David King <amigadave@amigadave.com>
Date:	Mon Mar 31 16:49:14 2014 +0100

    Show progress bar text with GTK+ 3

M	src/bar.c
M	src/gtk2_compat.c
M	src/gtk2_compat.h

commit 5ce6487893c911c9b7cbca5f35c3904eceb8facf
Author: David King <amigadave@amigadave.com>
Date:	Sun Mar 30 20:29:44 2014 +0100

    Switch to use GTK+ 3 by default

M	configure.ac

commit 47754d8f31f8711993dd6a730ef7c0eece6cac69
Author: David King <amigadave@amigadave.com>
Date:	Sat Mar 29 14:50:59 2014 +0000

    Avoid a potentially-uninitialised variable

    https://bugzilla.gnome.org/show_bug.cgi?id=727295

M	src/browser.c

commit 12a6ef9c339a87b229da5c05d1377d990a6c3bce
Author: David King <amigadave@amigadave.com>
Date:	Fri Mar 28 22:44:14 2014 +0000

    Use G_BEGIN_DECLS in more headers

    This makes it easier to test the C++ TagLib API for reading MP4 tags.

M	src/charset.h
M	src/et_core.h
M	src/log.h
M	src/misc.h
M	src/mp4_tag.h

commit 86d61b60e69e8289d7c49bf51f3f33b06f9524a8
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Fri Mar 28 21:14:41 2014 +0100

    Updated Polish translation

M	po/pl.po

commit 8d5b0e9fbff770d24f93a41e89aa922c251798b6
Author: David King <amigadave@amigadave.com>
Date:	Fri Mar 28 11:42:28 2014 +0000

    Fix a double free when opening a command-line path

    https://retrace.fedoraproject.org/faf/problems/1625976/

M	src/easytag.c

commit 15b332dfe322c6cf590c799202c39b3985af4f57
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	Mon Mar 24 22:23:04 2014 +0100

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 1f8be8569550ed424d174107a846cc8aff9f2a87
Author: Andre Klapper <a9016009@gmx.de>
Date:	Sun Mar 23 21:16:44 2014 +0100

    User docs: Make page ID the same as file name

M	help/C/image-export.page

commit 17fa304530e32f1f2b6e866a56b9c49122ab112c
Author: David King <amigadave@amigadave.com>
Date:	Thu Mar 20 10:29:44 2014 +0000

    Add British English translation

    Created with en_GB.pl: https://wiki.gnome.org/BritishEnglish

M	po/LINGUAS
A	po/en_GB.po

commit 030db34a07aeca90bde7807b2c2eceaee8cfd72a
Author: Abhinav <abhijangda@hotmail.com>
Date:	Thu Mar 20 12:59:30 2014 +0530

    Check before flushing ogg stream in vcedit_write

M	src/vcedit.c

commit a27a8fe8cbd12dac86f0e615fbda068f8bdd4a10
Author: Abhinav <abhijangda@hotmail.com>
Date:	Tue Mar 18 15:28:33 2014 +0530

    Avoid truncating Vorbis file when saving tags

    Rather than writing to the same Vorbis file that tags are being read
    from, and thus truncating the file while saving changed tags, write
    to a
    GMemoryOutputStream and then replace the on-disk contents with the
    memory stream once it has been completely written.

    https://bugzilla.gnome.org/show_bug.cgi?id=721351

M	src/vcedit.c

commit a84d6677a63fe65e2ec871e4b7432163683a1b49
Author: David King <amigadave@amigadave.com>
Date:	Sun Mar 16 11:47:17 2014 +0000

    Ask for confirmation when overwriting a file

    When file renaming was rewritten to use GIO as part of bug 700500,
    renames were set to overwrite the destination file. Change this
    behaviour back to the original behaviour, to avoid data loss.

    https://bugzilla.gnome.org/show_bug.cgi?id=726448

M	src/easytag.c

commit 61eddd3d0b97c172e6dad193b4626aa2001e49d6
Author: ck Lux <lux.r.ck@gmail.com>
Date:	Sat Mar 15 20:39:01 2014 +0800

    Set unusable artist/album radio action insensitive

    When no files are shown in the file list, make the artist/album radio
    action insensitive.

    https://bugzilla.gnome.org/show_bug.cgi?id=699957

M	src/easytag.c

commit 2117d62979dc4225a934949128ce375b6e31f321
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:	Fri Mar 14 14:50:10 2014 +0000

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 67d69800c2ee131c99ab58c67768022db3da02e1
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Thu Mar 13 18:21:52 2014 +0100

    Updated Spanish translation

M	po/es.po

commit a03be6bcf20e80a169c745498181271fce3e86df
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Wed Mar 12 18:21:02 2014 +0100

    Updated Spanish translation

M	po/es.po

commit 23c95052f23a6938e64fe0e08dde355488e32c06
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	Tue Mar 11 16:25:41 2014 +0200

    Updated Lithuanian translation

M	po/lt.po

commit a69d481e878d1b4e49698d6bcce3a12a662036a7
Author: Attila Hammer <hammera@pickup.hu>
Date:	Sat Mar 8 23:00:29 2014 +0000

    Updated Hungarian translation

M	po/hu.po

commit f41120807e464e89e26b69c87c7262d6e0ff8cac
Author: Marek Černocký <marek@manet.cz>
Date:	Sat Mar 8 21:00:57 2014 +0100

    Updated Czech translation

M	po/cs.po

commit e0c7574ef2ea5a6a3cc8ff92bd03d72d3f73e739
Author: David King <amigadave@amigadave.com>
Date:	Fri Mar 7 23:15:06 2014 +0000

    Fix load from text file dialogue response

    Avoid an assert by fixing the accepted response types to include those
    given at construction.

    https://retrace.fedoraproject.org/faf/problems/1581387/

M	src/misc.c

commit ff711176d57064efc130207cbd6047f91ee63e0c
Author: David King <amigadave@amigadave.com>
Date:	Fri Mar 7 21:09:52 2014 +0000

    Convert GIF images to PNG when saving Vorbis tags

M	src/ogg_tag.c

commit 51b9e859a969fff66f3893e15dbedc1afca87616
Author: David King <amigadave@amigadave.com>
Date:	Fri Mar 7 20:41:11 2014 +0000

    Support writing GIF image data to files

M	src/id3_tag.c
M	src/picture.c
M	src/picture.h

commit 6563a0989a6d35d618a950262bd81d2ac50ed0ed
Author: David King <amigadave@amigadave.com>
Date:	Fri Mar 7 22:41:43 2014 +0000

    Avoid crash when saving unknown image types

    https://retrace.fedoraproject.org/faf/problems/1586225/

M	src/picture.c

commit 17afda799f95c97263e52ab41fa8c9676aba3021
Author: David King <amigadave@amigadave.com>
Date:	Fri Mar 7 15:34:08 2014 +0000

    Avoid crash when declining deleting a file

    https://retrace.fedoraproject.org/faf/problems/1586226/

M	src/easytag.c

commit f432ebd26c9bf5fc060eecb0c90635ca4acd3abd
Author: Abhinav <abhijangda@hotmail.com>
Date:	Thu Mar 6 15:57:33 2014 +0530

    Improved asynchronous loading and saving of images

    https://bugzilla.gnome.org/show_bug.cgi?id=725399

M	src/picture.c

commit f77f63eb9ce7cf8b58bbc2251f2ef32c9352d6f4
Author: Abhinav <abhijangda@hotmail.com>
Date:	Wed Mar 5 20:55:47 2014 +0530

    Load and save images asynchronously, bug 725399

M	src/picture.c

commit 0dd8052061cb90a5dc006403cf464293c444f440
Author: David King <amigadave@amigadave.com>
Date:	Thu Mar 6 10:02:29 2014 +0000

    Fix memory leak in Browser_List_Remove_File()

M	src/browser.c

commit e43447037ef994976961c015bfe00fc4163dc2ea
Author: Santtu Lakkala <inz@inz.fi>
Date:	Thu Mar 6 08:20:29 2014 +0200

    Fix Roman numeral capitalization

    Roman numeral capitalization was broken by the leak fix in commit
    ae3dd7b81ba283ba0e9ea3d4aff326deedcc077e due to wrong variable usage.

M	src/scan.c

commit b55faaec5c20b0baba86e2b1dcf986bf70764088
Author: David King <amigadave@amigadave.com>
Date:	Wed Mar 5 22:56:48 2014 +0000

    Handle delete-event response from dialogues

    GTK_RESPONSE_NONE only occurs if the dialogue is shown
    programatically,
    which is not the case in EasyTAG, so handle GTK_RESPONSE_DELETE_EVENT
    instead.

M	src/browser.c
M	src/easytag.c

commit 00a51984865ee079cb27f19c6199a09d40e68c7f
Author: David King <amigadave@amigadave.com>
Date:	Wed Mar 5 22:51:37 2014 +0000

    Refactor GList handling to iterate with for loops

M	src/browser.c
M	src/easytag.c
M	src/et_core.c
M	src/id3_tag.c
M	src/id3v24_tag.c

commit 8a40b3c9f765dc2e9a9e9256c17a44ff38455e3a
Author: David King <amigadave@amigadave.com>
Date:	Wed Mar 5 22:47:13 2014 +0000

    Fix a memory leak when loading images

M	src/picture.c

commit 5442958d1ea34a992007bbb2bc047a9a5515387d
Author: David King <amigadave@amigadave.com>
Date:	Mon Mar 3 16:19:28 2014 +0000

    Return a gboolean from delete-event handler

    Avoid undefined behaviour (manifesting as a crash on Fedora Rawhide)
    by
    correctly returning a gboolean in the main window delete-event
    handler.
    If the delete event was propagated by accident, the default handler
    would destroy the window and lead to many subsequent problems.

    Thanks to Igor Gnatenko for the bug report.

    https://bugzilla.gnome.org/show_bug.cgi?id=725568
    https://bugzilla.redhat.com/show_bug.cgi?id=1071563

M	src/easytag.c

commit df638532e2a0e343d97ceddd276506c95d2f25d2
Author: David King <amigadave@amigadave.com>
Date:	Sun Feb 23 13:06:38 2014 +0000

    Refactor GList handling when saving Vorbis tags

M	src/ogg_tag.c

commit ca662dfd2ac2c21843db52b3316c3d21db5b4087
Author: David King <amigadave@amigadave.com>
Date:	Sun Feb 23 13:04:52 2014 +0000

    Refactor GList handling in et_core.c

    Refactor ET_Remove_File_From_Artist_Album_List() to use for loops to
    iterate over a GList.

M	src/et_core.c

commit 069d2d755235d6c8549a6baed9a0f18c1e61f549
Author: Abhinav <abhijangda@hotmail.com>
Date:	Thu Feb 27 11:17:42 2014 +0530

    Use GFileEnumerator instead of opendir()

    https://bugzilla.gnome.org/show_bug.cgi?id=725223

M	src/browser.c

commit 3557f72e5c4c5fd2e7881473febb35dd6359c063
Author: David King <amigadave@amigadave.com>
Date:	Wed Feb 26 21:12:30 2014 +0000

    Fix another leak in ogg_tag_read_file_tag()

M	src/ogg_tag.c

commit ad49c309811981aed03d376a37ae43217dbdce25
Author: David King <amigadave@amigadave.com>
Date:	Wed Feb 26 20:43:35 2014 +0000

    Fix memory leak in ogg_tag_read_file_tag()

M	src/ogg_tag.c

commit 4f9508505542ec19f63a0f0ecf95283d7ce77b4b
Author: David King <amigadave@amigadave.com>
Date:	Mon Feb 24 18:05:49 2014 +0000

    Mark Vorbis tags with deprecated images as changed

    Ensure that old COVERART fields containing cover art in Vorbis
    tags are
    migrated to the new METADATA_BLOCK_PICTURE by marking the tag as
    modified, so that a save will be suggested (in the new format).

    https://bugzilla.gnome.org/show_bug.cgi?id=689420

M	src/ogg_tag.c

commit 58e3d9489bd0ca38787b6b82b4a9321c52c51d22
Author: Abhinav <abhijangda@hotmail.com>
Date:	Mon Feb 24 18:57:52 2014 +0530

    Support for writing new Vorbis cover art

    http://wiki.xiph.org/index.php/VorbisComment#Cover_art

    https://bugzilla.gnome.org/show_bug.cgi?id=689420

M	src/ogg_tag.c

commit bbcd91f4ca2e89ba36a02a0d9b21c23cba98090e
Author: Abhinav <abhijangda@hotmail.com>
Date:	Sat Feb 22 11:20:31 2014 +0530

    Support for reading new Vorbis cover art

    http://wiki.xiph.org/index.php/VorbisComment#Cover_art

    https://bugzilla.gnome.org/show_bug.cgi?id=689420

M	src/ogg_tag.c

commit b4c060d02732af1771c451be0aebaf42960ba1a0
Author: David King <amigadave@amigadave.com>
Date:	Mon Feb 24 17:43:18 2014 +0000

    Fix memory leak in ET_Save_File_Tag_To_HD

M	src/et_core.c

commit eb48363cfab4b128d55f83ea5ab693416892412f
Author: David King <amigadave@amigadave.com>
Date:	Mon Feb 24 14:25:03 2014 +0000

    Refactor querying of package installation path

M	src/win32/win32dep.c
M	src/win32/win32dep.h

commit d8ad4bc6c1f12463ec02ba24b0b53431bedb6fa0
Author: David King <amigadave@amigadave.com>
Date:	Mon Feb 24 14:05:58 2014 +0000

    Remove lots of Win32 cruft

M	src/win32/win32dep.c
M	src/win32/win32dep.h

commit 1ce50a1d534bb448c0c4cd713987cdab3d9d245f
Author: Balázs Úr <urbalazs@src.gnome.org>
Date:	Sun Feb 23 16:40:17 2014 +0100

    Updated Hungarian translation

M	po/hu.po

commit 8486dcd79a0958d0fde6062960a36585bf69bc98
Author: Enrico Nicoletto <liverig@gmail.com>
Date:	Fri Feb 21 14:08:13 2014 +0000

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 1e55068cd7eaa78eda892a27fe52450edd99c496
Author: Marek Černocký <marek@manet.cz>
Date:	Thu Feb 20 23:18:20 2014 +0100

    Updated Czech translation

M	po/cs.po

commit ecd99b088b935562740745b1f080257caab44924
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	Thu Feb 20 22:23:29 2014 +0200

    Updated Lithuanian translation

M	po/lt.po

commit b27805dc163dff4d7b301b9be10a8d29b54a8a91
Author: David King <amigadave@amigadave.com>
Date:	Wed Feb 19 20:20:58 2014 +0000

    Update NEWS for 2.1.10 release

M	AUTHORS
M	NEWS
M	SOURCES
M	THANKS
M	configure.ac

commit a80df787d0389ced85c838c2f99494136dda2772
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Wed Feb 19 21:13:51 2014 +0100

    Updated Polish translation

M	po/pl.po

commit 42ecdcda50fd047bf2f2466d112a3746edde8611
Author: David King <amigadave@amigadave.com>
Date:	Wed Feb 19 19:50:50 2014 +0000

    Add Help item to About menu

M	src/bar.c
M	src/bar.h
M	src/misc.c
M	src/misc.h
M	src/ui_manager.h

commit 6b8f7464f74fbafd8ccce4861694ea2c6b9ca6a7
Author: David King <amigadave@amigadave.com>
Date:	Wed Feb 19 18:00:11 2014 +0000

    Use LOCALAPPDATA for NSIS user data uninstall

M	easytag-win32-installer.nsi.in

commit 9eda06ce6518075c8d93dbec9a73b35e1f0ce828
Author: David King <amigadave@amigadave.com>
Date:	Wed Feb 19 17:55:00 2014 +0000

    Launch application after NSIS installation

M	easytag-win32-installer.nsi.in

commit 2373022ee3a5cb7b1cca82d1d2ed2f488a98843f
Author: David King <amigadave@amigadave.com>
Date:	Wed Feb 19 17:23:41 2014 +0000

    Default to an icons style toolbar on Windows

M	easytag-win32-installer.nsi.in

commit 56ff61aff7e6fc20a0496a1eaa74e4106a101edd
Author: David King <amigadave@amigadave.com>
Date:	Wed Feb 19 17:21:34 2014 +0000

    Add folder icons and emblem to NSIS installer

M	easytag-win32-installer.nsi.in

commit 6d28bb7afe5ffe11bd23f9b0d365b0bea6d1d6fa
Author: David King <amigadave@amigadave.com>
Date:	Tue Feb 18 22:34:33 2014 +0000

    Refactor process spawning code

    Refactor the process spawning code so that it handles additional
    arguments, as it did before switching to use g_spawn_async(). Use a
    single et_run_program() method for spawning processes, and merge the
    existing implementations.

M	src/browser.c
M	src/misc.c
M	src/misc.h

commit 0f55daa993955f0b07a8164d4d0393083c3f528d
Author: David King <amigadave@amigadave.com>
Date:	Fri Feb 7 17:03:27 2014 +0000

    Use g_spawn_async() on Windows

    Remove Windows-specific code to spawn processes. Bundle the GLib spawn
    helper in the Windows installer.

M	TODO
M	easytag-win32-installer.nsi.in
M	src/browser.c
M	src/misc.c

commit 89711f22cb736d979612f1f55e447cc3338bc7d7
Author: Abhinav <abhijangda@hotmail.com>
Date:	Tue Feb 18 20:05:34 2014 +0530

    Use GFileInfo instead of stat() in prefs.c

    https://bugzilla.gnome.org/show_bug.cgi?id=724608

M	src/prefs.c

commit 3313129cb0e750dd1817c11f4f1ce187d005abd2
Author: David King <amigadave@amigadave.com>
Date:	Sun Feb 16 21:09:46 2014 +0000

    Fix memory leak in Create_Tag_Area()

M	src/easytag.c

commit aa20526caa45d213cf36b18c27bfbffc3618eccc
Author: David King <amigadave@amigadave.com>
Date:	Sun Feb 16 21:06:32 2014 +0000

    Avoid critical warnings with invalid default path

    Rather than calling Browser_Tree_Select_Dir() directly, call
    g_application_open() to use the same open codepath throughout.

    https://bugzilla.redhat.com/show_bug.cgi?id=1065765

M	src/browser.c

commit 2c803c58791645af443a20039df1b9478f83c0ff
Author: Abhinav <abhijangda@hotmail.com>
Date:	Sun Feb 16 18:11:43 2014 +0530

    Convert stat() usage to GFileInfo in et_core.c

    Found with Coverity (CID 1163367 and CID 1163368)

    https://bugzilla.gnome.org/show_bug.cgi?id=724461

M	src/et_core.c

commit c4da4b18295afb94a985b7b81858f3bc0ee1e925
Author: David King <amigadave@amigadave.com>
Date:	Sat Feb 15 23:18:38 2014 +0000

    Remove bogus comparison in Id3tag_Read_File_Tag

    Found with cppcheck.

M	src/id3v24_tag.c

commit 618700ae5bfa971a895e567a01b50de3e683905b
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	Sat Feb 15 19:16:12 2014 +0200

    Updated Lithuanian translation

M	po/lt.po

commit 91cef7e1d57fb7aae65b209d4aecf4c70d68d0a3
Author: Abhinav <abhijangda@hotmail.com>
Date:	Sat Feb 15 12:11:15 2014 +0530

    Convert stat() to GFileInfo in Save_List_Of_Files

    https://bugzilla.gnome.org/show_bug.cgi?id=724400

M	src/easytag.c

commit 4381597a181c96b8786857825eb8f9b05bb48e50
Author: Abhinav <abhijangda@hotmail.com>
Date:	Fri Feb 14 19:59:23 2014 +0530

    Use GFileInfo instead of stat() in src/browser.c

    The lack of error-checking in expand_cb() was found by Coverity (CID
    1163359).

    https://bugzilla.gnome.org/show_bug.cgi?id=724357

M	src/browser.c

commit 80a649add920eb716818381b9b29599782698910
Author: David King <amigadave@amigadave.com>
Date:	Thu Feb 13 18:47:12 2014 +0000

    Replace use of stat() in file list ctime sorting

    Use GFileInfo to query the ctime attribute, and explicitly ignore
    errors.

    Found with Coverity (CID 1163370).

M	src/et_core.c

commit 81a1e7cf4bcb7897abd7c7ac4f6bfe0f0a038395
Author: Abhinav <abhijangda@hotmail.com>
Date:	Thu Feb 13 19:27:48 2014 +0530

    Only add dummy browser row if the path is readable

    Prevent empty rows from appearing in the browser when parent
    directories
    are deleted externally. Additionally, delete the parent directory from
    the tree if it is not found.

    https://bugzilla.gnome.org/show_bug.cgi?id=722380

M	src/browser.c

commit a220a6d4c0bd51bd8e532ec863af8ead299de8af
Author: David King <amigadave@amigadave.com>
Date:	Tue Feb 11 19:25:33 2014 +0000

    Use g_format_size() instead of custom code

